Ox = Ox || {};

/*
================================================================================
ISO functions
================================================================================
// probably a bad name ... unicode may also be an ISO standard ...
*/

(function() {

    var areas = (function() {
        // see http://download.geonames.org/export/dump/admin1Codes.txt
        // but, fixme, they seem to be FIPS
        return {
            AD: [
                ["00", "Andorra (general)"],
                ["01", "Andorra"],
                ["02", "Parròquia de Canillo"],
                ["03", "Parròquia d'Encamp"],
                ["04", "Parròquia de la Massana"],
                ["05", "Parròquia d'Ordino"],
                ["06", "Parròquia de Sant Julià de Lòria"],
                ["07", "Parròquia d'Andorra la Vella"],
                ["08", "Parròquia d'Escaldes-Engordany"]
            ],
            AE: [
                ["00", "United Arab Emirates (general)"],
                ["01", "Abū Z̧aby"],
                ["02", "‘Ajmān"],
                ["03", "Dubayy"],
                ["04", "Al Fujayrah"],
                ["05", "Raʼs al Khaymah"],
                ["06", "Ash Shāriqah"],
                ["07", "Umm al Qaywayn"]
            ],
            AF: [
                ["00", "Afghanistan (general)"],
                ["01", "Badakhshan"],
                ["02", "Badghis Province"],
                ["03", "Baghlān"],
                ["05", "Bāmīān"],
                ["06", "Farah"],
                ["07", "Faryab Province"],
                ["08", "Ghaznī"],
                ["09", "Ghowr"],
                ["10", "Helmand"],
                ["11", "Herat Province"],
                ["13", "Kabul"],
                ["14", "Kāpīsā"],
                ["15", "Konarha"],
                ["16", "Laghman"],
                ["17", "Lowgar"],
                ["18", "Nangarhār"],
                ["19", "Nīmrūz"],
                ["20", "Orūzgān"],
                ["21", "Paktika"],
                ["22", "Parvān"],
                ["23", "Kandahār"],
                ["24", "Kunduz Province"],
                ["26", "Takhār"],
                ["27", "Vardak"],
                ["28", "Zabul Province"],
                ["29", "Paktīkā"],
                ["30", "Balkh"],
                ["31", "Jowzjān"],
                ["32", "Samangān"],
                ["33", "Sar-e Pol"],
                ["34", "Konar"],
                ["35", "Laghmān"],
                ["36", "Paktia Province"],
                ["37", "Khowst"],
                ["38", "Nūrestān"],
                ["39", "Orūzgān Province"],
                ["40", "Parvān"],
                ["41", "Dāykondī"],
                ["42", "Panjshīr"]
            ],
            AG: [
                ["00", "Antigua and Barbuda (general)"],
                ["01", "Barbuda"],
                ["03", "Saint George"],
                ["04", "Saint John"],
                ["05", "Saint Mary"],
                ["06", "Saint Paul"],
                ["07", "Saint Peter"],
                ["08", "Saint Philip"]
            ],
            AI: [
                ["00", "Anguilla (general)"]
            ],
            AL: [
                ["00", "Albania (general)"],
                ["40", "Berat"],
                ["41", "Dibër"],
                ["42", "Durrës"],
                ["43", "Elbasan"],
                ["44", "Fier"],
                ["45", "Gjirokastër"],
                ["46", "Korçë"],
                ["47", "Kukës"],
                ["48", "Lezhë"],
                ["49", "Shkodër"],
                ["50", "Tiranë"],
                ["51", "Vlorë"]
            ],
            AM: [
                ["00", "Armenia (general)"],
                ["01", "Aragatsotn"],
                ["02", "Ararat"],
                ["03", "Armavir"],
                ["04", "Gegharkʼunikʼ"],
                ["05", "Kotaykʼ"],
                ["06", "Lorri"],
                ["07", "Shirak"],
                ["08", "Syunikʼ"],
                ["09", "Tavush"],
                ["10", "Vayotsʼ Dzor"],
                ["11", "Yerevan"]
            ],
            AN: [
                ["00", "Netherlands Antilles (general)"]
            ],
            AO: [
                ["00", "Angola (general)"],
                ["01", "Benguela"],
                ["02", "Bié"],
                ["03", "Cabinda"],
                ["04", "Cuando Cubango"],
                ["05", "Cuanza Norte"],
                ["06", "Cuanza Sul"],
                ["07", "Cunene"],
                ["08", "Huambo"],
                ["09", "Huíla"],
                ["10", "Luanda"],
                ["12", "Malanje"],
                ["13", "Namibe"],
                ["14", "Moxico"],
                ["15", "Uíge"],
                ["16", "Zaire"],
                ["17", "Lunda Norte"],
                ["18", "Lunda Sul"],
                ["19", "Bengo"]
            ],
            AQ: [
                ["00", "Antarctica (general)"]
            ],
            AR: [
                ["00", "Argentina (general)"],
                ["01", "Buenos Aires"],
                ["02", "Catamarca"],
                ["03", "Chaco"],
                ["04", "Chubut"],
                ["05", "Córdoba"],
                ["06", "Corrientes"],
                ["07", "Distrito Federal"],
                ["08", "Entre Ríos"],
                ["09", "Formosa"],
                ["10", "Jujuy"],
                ["11", "La Pampa"],
                ["12", "La Rioja"],
                ["13", "Mendoza"],
                ["14", "Misiones"],
                ["15", "Neuquén"],
                ["16", "Río Negro"],
                ["17", "Salta"],
                ["18", "San Juan"],
                ["19", "San Luis"],
                ["20", "Santa Cruz"],
                ["21", "Santa Fe"],
                ["22", "Santiago del Estero"],
                ["23", "Tierra del Fuego, Antártida e Islas del Atlántico Sur"],
                ["24", "Tucumán"]
            ],
            AT: [
                ["00", "Austria (general)"],
                ["01", "Burgenland"],
                ["02", "Carinthia"],
                ["03", "Lower Austria"],
                ["04", "Upper Austria"],
                ["05", "Salzburg"],
                ["06", "Styria"],
                ["07", "Tyrol"],
                ["08", "Vorarlberg"],
                ["09", "Vienna"]
            ],
            AU: [
                ["00", "Heard Island and McDonald Islands (general)"],
                ["01", "Australian Capital Territory"],
                ["02", "New South Wales"],
                ["03", "Northern Territory"],
                ["04", "Queensland"],
                ["05", "South Australia"],
                ["06", "Tasmania"],
                ["07", "Victoria"],
                ["08", "Western Australia"]
            ],
            AW: [
                ["00", "Aruba (general)"]
            ],
            AZ: [
                ["00", "Azerbaijan (general)"],
                ["01", "Abşeron"],
                ["02", "Ağcabǝdi"],
                ["03", "Ağdam"],
                ["04", "Ağdaş"],
                ["05", "Ağstafa"],
                ["06", "Ağsu"],
                ["07", "Əli Bayramli"],
                ["08", "Astara"],
                ["09", "Baki"],
                ["10", "Balakǝn"],
                ["11", "Bǝrdǝ"],
                ["12", "Beylǝqan"],
                ["13", "Bilǝsuvar"],
                ["14", "Cǝbrayıl"],
                ["15", "Cǝlilabad"],
                ["16", "Daşkǝsǝn"],
                ["17", "Dǝvǝçi"],
                ["18", "Füzuli"],
                ["19", "Gǝdǝbǝy"],
                ["20", "Gǝncǝ"],
                ["21", "Goranboy"],
                ["22", "Göyçay"],
                ["23", "Hacıqabul"],
                ["24", "İmişli"],
                ["25", "İsmayıllı"],
                ["26", "Kǝlbǝcǝr"],
                ["27", "Kürdǝmir"],
                ["28", "Laçın"],
                ["29", "Lǝnkǝran"],
                ["30", "Lǝnkǝran Şǝhǝri"],
                ["31", "Lerik"],
                ["32", "Masallı"],
                ["33", "Mingǝcevir"],
                ["34", "Naftalan"],
                ["35", "Nakhichevan"],
                ["36", "Neftçala"],
                ["37", "Oğuz"],
                ["38", "Qǝbǝlǝ"],
                ["39", "Qǝx"],
                ["40", "Qazax"],
                ["41", "Qobustan"],
                ["42", "Quba"],
                ["43", "Qubadlı"],
                ["44", "Qusar"],
                ["45", "Saatlı"],
                ["46", "Sabirabad"],
                ["47", "Şǝki"],
                ["48", "Şǝki"],
                ["49", "Salyan"],
                ["50", "Şamaxı"],
                ["51", "Şǝmkir"],
                ["52", "Samux"],
                ["53", "Siyǝzǝn"],
                ["54", "Sumqayit"],
                ["55", "Şuşa"],
                ["56", "Şuşa Şəhəri"],
                ["57", "Tǝrtǝr"],
                ["58", "Tovuz"],
                ["59", "Ucar"],
                ["60", "Xaçmaz"],
                ["61", "Xankǝndi"],
                ["62", "Xanlar"],
                ["63", "Xızı"],
                ["64", "Xocalı"],
                ["65", "Xocavǝnd"],
                ["66", "Yardımlı"],
                ["67", "Yevlax"],
                ["68", "Yevlax"],
                ["69", "Zǝngilan"],
                ["70", "Zaqatala"],
                ["71", "Zǝrdab"]
            ],
            BA: [
                ["00", "Bosnia and Herzegovina (general)"],
                ["01", "Federation of Bosnia and Herzegovina"],
                ["02", "Republika Srpska"],
                ["BD", "Brčko"]
            ],
            BB: [
                ["00", "Barbados (general)"],
                ["01", "Christ Church"],
                ["02", "Saint Andrew"],
                ["03", "Saint George"],
                ["04", "Saint James"],
                ["05", "Saint John"],
                ["06", "Saint Joseph"],
                ["07", "Saint Lucy"],
                ["08", "Saint Michael"],
                ["09", "Saint Peter"],
                ["10", "Saint Philip"],
                ["11", "Saint Thomas"]
            ],
            BD: [
                ["00", "Bangladesh (general)"],
                ["80", "BG80"],
                ["81", "Dhaka"],
                ["82", "Khulna"],
                ["83", "Rājshāhi"],
                ["84", "Chittagong"],
                ["85", "Barisāl"],
                ["86", "Sylhet"]
            ],
            BE: [
                ["00", "Belgium (general)"],
                ["BRU", "Région de Bruxelles-Capitale"],
                ["VLG", "Flanders"],
                ["WAL", "Wallonia"]
            ],
            BF: [
                ["00", "Burkina Faso (general)"],
                ["01", "Boucle du Mouhoun"],
                ["02", "Cascades"],
                ["03", "Centre"],
                ["04", "Centre-Est"],
                ["05", "Centre-Nord"],
                ["06", "Centre-Ouest"],
                ["07", "Centre-Sud"],
                ["08", "Est"],
                ["09", "Hauts-Bassins"],
                ["10", "Nord"],
                ["11", "Plateau-Central"],
                ["12", "Sahel"],
                ["13", "Sud-Ouest"],
                ["15", "Bam"],
                ["19", "Boulkiemdé"],
                ["20", "Ganzourgou"],
                ["21", "Gnagna"],
                ["28", "Kouritenga"],
                ["33", "Oudalan"],
                ["34", "Passore"],
                ["36", "Sanguié"],
                ["37", "(UV37)"],
                ["38", "(UV38)"],
                ["39", "(UV39)"],
                ["40", "Soum"],
                ["41", "(UV41)"],
                ["42", "Tapoa"],
                ["43", "(UV43)"],
                ["44", "Zoundwéogo"],
                ["46", "Banwa"],
                ["47", "Bazèga"],
                ["48", "Bougouriba"],
                ["49", "Boulgou"],
                ["50", "Gourma"],
                ["51", "Houet"],
                ["52", "Ioba"],
                ["53", "Kadiogo"],
                ["54", "Kènèdougou"],
                ["55", "Comoé"],
                ["56", "Komondjari"],
                ["57", "Kompienga"],
                ["58", "Kossi"],
                ["59", "Koulpélogo"],
                ["60", "Kourwéogo"],
                ["61", "Léraba"],
                ["62", "Loroum"],
                ["63", "Mouhoun"],
                ["64", "Namentenga"],
                ["65", "Nahouri"],
                ["66", "Nayala"],
                ["67", "Noumbiel"],
                ["68", "Oubritenga"],
                ["69", "Poni"],
                ["70", "Sanmatenga"],
                ["71", "Séno"],
                ["72", "Sissili"],
                ["73", "Sourou"],
                ["74", "Tuy"],
                ["75", "Yagha"],
                ["76", "Yatenga"],
                ["77", "Ziro"],
                ["78", "Zondoma"]
            ],
            BG: [
                ["00", "Bulgaria (general)"],
                ["29", "Burgas"],
                ["30", "Grad"],
                ["31", "Khaskovo"],
                ["32", "Lovech"],
                ["33", "Mikhaylovgrad"],
                ["34", "Plovdiv"],
                ["35", "Razgrad"],
                ["36", "Sofiya"],
                ["37", "Varna"],
                ["38", "Blagoevgrad"],
                ["39", "Burgas"],
                ["40", "Dobrich"],
                ["41", "Gabrovo"],
                ["42", "Oblast Sofiya-Grad"],
                ["43", "Khaskovo"],
                ["44", "Kŭrdzhali"],
                ["45", "Kyustendil"],
                ["46", "Lovech"],
                ["47", "Montana"],
                ["48", "Pazardzhit"],
                ["49", "Pernik"],
                ["50", "Pleven"],
                ["51", "Plovdiv"],
                ["52", "Razgrad"],
                ["53", "Ruse"],
                ["54", "Shumen"],
                ["55", "Silistra"],
                ["56", "Sliven"],
                ["57", "Smolyan"],
                ["58", "Sofiya"],
                ["59", "Stara Zagora"],
                ["60", "Tŭrgovishte"],
                ["61", "Varna"],
                ["62", "Veliko Tŭrnovo"],
                ["63", "Vidin"],
                ["64", "Vratsa"],
                ["65", "Yambol"]
            ],
            BH: [
                ["00", "Bahrain (general)"],
                ["01", "Hedd"],
                ["02", "Manama"],
                ["03", "Muharraq"],
                ["05", "Jidd Haffs"],
                ["06", "Sitra"],
                ["07", "(BA07)"],
                ["08", "Western Region"],
                ["09", "Hawar Islands"],
                ["10", "Northern Region"],
                ["11", "Central Region"],
                ["12", "Isa Town"],
                ["13", "Ar Rifa’ and Southern Region"],
                ["14", "Hamad town"]
            ],
            BI: [
                ["00", "Burundi (general)"],
                ["02", "Bujumbura"],
                ["05", "(BY05)"],
                ["09", "Bubanza"],
                ["10", "Bururi"],
                ["11", "Cankuzo"],
                ["12", "Cibitoke"],
                ["13", "Gitega"],
                ["14", "Karuzi"],
                ["15", "Kayanza"],
                ["16", "Kirundo"],
                ["17", "Makamba"],
                ["18", "Muyinga"],
                ["19", "Ngozi"],
                ["20", "Rutana"],
                ["21", "Ruyigi"],
                ["22", "Muramvya"],
                ["23", "Mwaro"]
            ],
            BJ: [
                ["00", "Benin (general)"],
                ["01", "Atakora"],
                ["02", "Atlantique"],
                ["03", "Borgou"],
                ["04", "Mono"],
                ["05", "Oueme"],
                ["06", "Zou"],
                ["07", "Alibori"],
                ["08", "Atakora"],
                ["09", "Atlantique"],
                ["10", "Borgou"],
                ["11", "Collines"],
                ["12", "Kouffo"],
                ["13", "Donga"],
                ["14", "Littoral"],
                ["15", "Mono"],
                ["16", "Quémé"],
                ["17", "Plateau"],
                ["18", "Zou"]
            ],
            BM: [
                ["00", "Bermuda (general)"],
                ["01", "Devonshire"],
                ["02", "Hamilton Parish"],
                ["03", "Hamilton city"],
                ["04", "Paget"],
                ["05", "Pembroke"],
                ["06", "Saint George"],
                ["07", "Saint Georgeʼs"],
                ["08", "Sandys"],
                ["09", "Smithʼs"],
                ["10", "Southampton"],
                ["11", "Warwick"]
            ],
            BN: [
                ["00", "Brunei (general)"],
                ["01", "Belait"],
                ["02", "Brunei and Muara"],
                ["03", "Temburong"],
                ["04", "Tutong"]
            ],
            BO: [
                ["00", "Bolivia (general)"],
                ["01", "Chuquisaca"],
                ["02", "Cochabamba"],
                ["03", "El Beni"],
                ["04", "La Paz"],
                ["05", "Oruro"],
                ["06", "Pando"],
                ["07", "Potosí"],
                ["08", "Santa Cruz"],
                ["09", "Tarija"]
            ],
            BR: [
                ["00", "Brazil (general)"],
                ["01", "Acre"],
                ["02", "Alagoas"],
                ["03", "Amapá"],
                ["04", "Estado do Amazonas"],
                ["05", "Bahia"],
                ["06", "Ceará"],
                ["07", "Distrito Federal"],
                ["08", "Espírito Santo"],
                ["09", "Fernando de Noronha"],
                ["10", "Goias"],
                ["11", "Mato Grosso do Sul"],
                ["13", "Maranhão"],
                ["14", "Mato Grosso"],
                ["15", "Minas Gerais"],
                ["16", "Pará"],
                ["17", "Paraíba"],
                ["18", "Paraná"],
                ["19", "Pernambuco"],
                ["20", "Piauí"],
                ["21", "State of Rio de Janeiro"],
                ["22", "Rio Grande do Norte"],
                ["23", "Rio Grande do Sul"],
                ["24", "Rondônia"],
                ["25", "Roraima"],
                ["26", "Santa Catarina"],
                ["27", "São Paulo"],
                ["28", "Sergipe"],
                ["29", "Estado de Goiás"],
                ["30", "Pernambuco"],
                ["31", "Tocantins"]
            ],
            BS: [
                ["00", "Bahamas, The (general)"],
                ["05", "Bimini"],
                ["06", "Cat Island"],
                ["10", "Exuma"],
                ["13", "Inagua"],
                ["15", "Long Island"],
                ["16", "Mayaguana"],
                ["18", "Ragged Island"],
                ["22", "Harbour Island"],
                ["23", "New Providence"],
                ["24", "Acklins and Crooked Islands"],
                ["25", "Freeport"],
                ["26", "Fresh Creek"],
                ["27", "Governorʼs Harbour"],
                ["28", "Green Turtle Cay"],
                ["29", "High Rock"],
                ["30", "Kemps Bay"],
                ["31", "Marsh Harbour"],
                ["32", "Nichollstown and Berry Islands"],
                ["33", "Rock Sound"],
                ["34", "Sandy Point"],
                ["35", "San Salvador and Rum Cay"]
            ],
            BT: [
                ["00", "Bhutan (general)"],
                ["05", "Bumthang"],
                ["06", "Chhukha"],
                ["07", "Chirang"],
                ["08", "Daga"],
                ["09", "Geylegphug"],
                ["10", "Ha"],
                ["11", "Lhuntshi"],
                ["12", "Mongar"],
                ["13", "Paro District"],
                ["14", "Pemagatsel"],
                ["16", "Samchi"],
                ["17", "Samdrup Jongkhar District"],
                ["18", "Shemgang"],
                ["19", "Tashigang"],
                ["20", "Thimphu"],
                ["21", "Tongsa"],
                ["22", "Wangdi Phodrang"]
            ],
            BW: [
                ["00", "Botswana (general)"],
                ["01", "Central"],
                ["02", "Chobe"],
                ["03", "Ghanzi"],
                ["04", "Kgalagadi"],
                ["05", "Kgatleng"],
                ["06", "Kweneng"],
                ["07", "Ngamiland"],
                ["08", "North East"],
                ["09", "South East"],
                ["10", "Southern"],
                ["11", "North West"]
            ],
            BY: [
                ["00", "Belarus (general)"],
                ["01", "Brestskaya Voblastsʼ"],
                ["02", "Homyelʼskaya Voblastsʼ"],
                ["03", "Hrodzyenskaya Voblastsʼ"],
                ["04", "Mahilyowskaya Voblastsʼ"],
                ["05", "Horad Minsk"],
                ["06", "Minskaya Voblastsʼ"],
                ["07", "Vitsyebskaya Voblastsʼ"]
            ],
            BZ: [
                ["00", "Belize (general)"],
                ["01", "Belize"],
                ["02", "Cayo"],
                ["03", "Corozal"],
                ["04", "Orange Walk"],
                ["05", "Stann Creek"],
                ["06", "Toledo"]
            ],
            CA: [
                ["00", "Canada (general)"],
                ["01", "Alberta"],
                ["02", "British Columbia"],
                ["03", "Manitoba"],
                ["04", "New Brunswick"],
                ["05", "Newfoundland and Labrador"],
                ["07", "Nova Scotia"],
                ["08", "Ontario"],
                ["09", "Prince Edward Island"],
                ["10", "Quebec"],
                ["11", "Saskatchewan"],
                ["12", "Yukon"],
                ["13", "Northwest Territories"],
                ["14", "Nunavut"]
            ],
            CC: [
                ["00", "Cocos (Keeling) Islands (general)"]
            ],
            CD: [
                ["00", "Congo, Democratic Republic of The (general)"],
                ["01", "Bandundu"],
                ["02", "Équateur"],
                ["03", "Kasaï-Occidental"],
                ["04", "Kasaï-Oriental"],
                ["05", "Katanga"],
                ["06", "Kinshasa"],
                ["07", "Kivu Région du"],
                ["08", "Bas-Congo"],
                ["09", "Orientale"],
                ["10", "Maniema"],
                ["11", "Nord-Kivu"],
                ["12", "Sud-Kivu"]
            ],
            CF: [
                ["00", "Central African Republic (general)"],
                ["01", "Bamingui-Bangoran"],
                ["02", "Basse-Kotto"],
                ["03", "Haute-Kotto"],
                ["04", "Mambéré-Kadéï"],
                ["05", "Haut-Mbomou"],
                ["06", "Kémo"],
                ["07", "Lobaye"],
                ["08", "Mbomou"],
                ["09", "Nana-Mambéré"],
                ["11", "Ouaka"],
                ["12", "Ouham"],
                ["13", "Ouham-Pendé"],
                ["14", "Vakaga"],
                ["15", "Nana-Grébizi"],
                ["16", "Sangha-Mbaéré"],
                ["17", "Ombella-Mpoko"],
                ["18", "Bangui"]
            ],
            CG: [
                ["00", "Congo (general)"],
                ["01", "Bouenza"],
                ["03", "CF03"],
                ["04", "Kouilou"],
                ["05", "Lékoumou"],
                ["06", "Likouala"],
                ["07", "Niari"],
                ["08", "Plateaux"],
                ["10", "Sangha"],
                ["11", "Pool"],
                ["12", "Brazzaville"],
                ["13", "Cuvette"],
                ["14", "Cuvette-Ouest"]
            ],
            CH: [
                ["00", "Switzerland (general)"],
                ["AG", "Aargau"],
                ["AI", "Appenzell Innerrhoden"],
                ["AR", "Appenzell Ausserrhoden"],
                ["BE", "Bern"],
                ["BL", "Basel-Landschaft"],
                ["BS", "Basel-Stadt"],
                ["FR", "Fribourg"],
                ["GE", "Genève"],
                ["GL", "Glarus"],
                ["GR", "Graubünden"],
                ["JU", "Jura"],
                ["LU", "Luzern"],
                ["NE", "Neuchâtel"],
                ["NW", "Nidwalden"],
                ["OW", "Obwalden"],
                ["SG", "Kanton St. Gallen"],
                ["SH", "Schaffhausen"],
                ["SO", "Solothurn"],
                ["SZ", "Schwyz"],
                ["TG", "Thurgau"],
                ["TI", "Ticino"],
                ["UR", "Uri"],
                ["VD", "Vaud"],
                ["VS", "Valais"],
                ["ZG", "Zug"],
                ["ZH", "Zürich"]
            ],
            CI: [
                ["00", "Côte dʼIvoire (general)"],
                ["01", "Valparaíso Region"],
                ["03", "Antofagasta Region"],
                ["04", "Araucanía Region"],
                ["05", "Atacama Region"],
                ["06", "Biobío Region"],
                ["07", "Coquimbo Region"],
                ["11", "Maule Region"],
                ["12", "Santiago Metropolitan Region"],
                ["14", "Danane"],
                ["16", "Divo"],
                ["17", "Ferkessedougou"],
                ["18", "Gagnoa"],
                ["20", "Katiola"],
                ["21", "Korhogo"],
                ["23", "Odienne"],
                ["25", "Seguela"],
                ["26", "Touba"],
                ["27", "Bongouanou"],
                ["28", "Issia"],
                ["29", "Lakota"],
                ["30", "Mankono"],
                ["31", "Oume"],
                ["32", "Soubre"],
                ["33", "Tingrela"],
                ["34", "Zuenoula"],
                ["35", "(IV35)"],
                ["36", "Bangolo"],
                ["37", "Beoumi"],
                ["38", "Bondoukou"],
                ["39", "Bouafle"],
                ["40", "Bouake"],
                ["41", "Daloa"],
                ["42", "Daoukro"],
                ["43", "(IV43)"],
                ["44", "Duekoue"],
                ["45", "Grand-Lahou"],
                ["46", "(IV46)"],
                ["47", "Man"],
                ["48", "Mbahiakro"],
                ["49", "Sakassou"],
                ["50", "San Pedro"],
                ["51", "Sassandra"],
                ["52", "Sinfra"],
                ["53", "Tabou"],
                ["54", "Tanda"],
                ["55", "Tiassale"],
                ["56", "Toumodi"],
                ["57", "Vavoua"],
                ["58", "(IV58)"],
                ["59", "(IV59)"],
                ["60", "(IV60)"],
                ["61", "Abidjan"],
                ["62", "Aboisso"],
                ["63", "Adiake"],
                ["64", "Alepe"],
                ["65", "Bocanda"],
                ["66", "Dabou"],
                ["67", "Dimbokro"],
                ["68", "Grand-Bassam"],
                ["69", "Guiglo"],
                ["70", "Jacqueville"],
                ["71", "Tiebissou"],
                ["72", "Toulepleu"],
                ["73", "Yamoussoukro"],
                ["74", "Agnéby"],
                ["75", "Bafing"],
                ["76", "Bas-Sassandra"],
                ["77", "Denguélé"],
                ["78", "Dix-Huit Montagnes"],
                ["79", "Fromager"],
                ["80", "Haut-Sassandra"],
                ["81", "Lacs"],
                ["82", "Lagunes"],
                ["83", "Marahoué"],
                ["84", "Moyen-Cavally"],
                ["85", "Moyen-Comoé"],
                ["86", "Nʼzi-Comoé"],
                ["87", "Savanes"],
                ["88", "Sud-Bandama"],
                ["89", "Sud-Comoé"],
                ["90", "Vallée du Bandama"],
                ["91", "Worodougou"],
                ["92", "Zanzan"]
            ],
            CK: [
                ["00", "Cook Islands (general)"]
            ],
            CL: [
                ["00", "Chile (general)"],
                ["01", "Valparaíso"],
                ["02", "Aisén del General Carlos Ibáñez del Campo"],
                ["03", "Antofagasta"],
                ["04", "Araucanía"],
                ["05", "Atacama"],
                ["06", "Bío-Bío"],
                ["07", "Coquimbo"],
                ["08", "Libertador General Bernardo OʼHiggins"],
                ["10", "Magallanes y Antártica Chilena"],
                ["11", "Maule"],
                ["12", "Región Metropolitana"],
                ["14", "Los Lagos"],
                ["15", "Tarapacá"],
                ["16", "Región de Arica y Parinacota"],
                ["17", "Región de Los Ríos"]
            ],
            CM: [
                ["00", "Cameroon (general)"],
                ["04", "Est"],
                ["05", "Littoral"],
                ["07", "North-West Province"],
                ["08", "Ouest"],
                ["09", "South-West Province"],
                ["10", "Adamaoua"],
                ["11", "Centre"],
                ["12", "Extreme-Nord"],
                ["13", "North Province"],
                ["14", "South Province"]
            ],
            CN: [
                ["00", "Paracel Islands (general)"],
                ["01", "Anhui"],
                ["02", "Zhejiang"],
                ["03", "Jiangxi"],
                ["04", "Jiangsu"],
                ["05", "Jilin"],
                ["06", "Qinghai"],
                ["07", "Fujian"],
                ["08", "Heilongjiang"],
                ["09", "Henan"],
                ["0Z", "disputed"],
                ["10", "Hebei"],
                ["11", "Hunan Province"],
                ["12", "Hubei"],
                ["13", "Xinjiang"],
                ["14", "Xizang"],
                ["15", "Gansu"],
                ["16", "Guangxi"],
                ["18", "Guizhou"],
                ["19", "Liaoning Province"],
                ["20", "Nei Mongol"],
                ["21", "Ningxia"],
                ["22", "Beijing"],
                ["23", "Shanghai"],
                ["24", "Shanxi"],
                ["25", "Shandong"],
                ["26", "Shaanxi"],
                ["28", "Tianjin"],
                ["29", "Yunnan Province"],
                ["30", "Guangdong"],
                ["31", "Hainan Province"],
                ["32", "Sichuan"],
                ["33", "Chongqing"],
                ["99", "PF99"]
            ],
            CO: [
                ["00", "Colombia (general)"],
                ["01", "Amazonas"],
                ["02", "Antioquia"],
                ["03", "Arauca"],
                ["04", "Atlántico"],
                ["05", "Bolívar"],
                ["06", "Boyacá"],
                ["07", "Caldas"],
                ["08", "Caquetá"],
                ["09", "Cauca"],
                ["10", "Cesar"],
                ["11", "Chocó"],
                ["12", "Córdoba"],
                ["14", "Guaviare"],
                ["15", "Guainía"],
                ["16", "Huila"],
                ["17", "La Guajira"],
                ["18", "Magdalena"],
                ["19", "Meta"],
                ["20", "Nariño"],
                ["21", "Norte de Santander"],
                ["22", "Putumayo"],
                ["23", "Quindío"],
                ["24", "Risaralda"],
                ["25", "Archipiélago de San Andrés, Providencia y Santa Catalina"],
                ["26", "Santander"],
                ["27", "Sucre"],
                ["28", "Tolima"],
                ["29", "Valle del Cauca"],
                ["30", "Vaupés"],
                ["31", "Vichada"],
                ["32", "Casanare"],
                ["33", "Cundinamarca"],
                ["34", "Bogota D.C."],
                ["35", "Bolívar"],
                ["36", "Boyacá"],
                ["37", "Caldas"],
                ["38", "Magdalena"]
            ],
            CR: [
                ["00", "Costa Rica (general)"],
                ["01", "Alajuela"],
                ["02", "Cartago"],
                ["03", "Guanacaste"],
                ["04", "Heredia"],
                ["06", "Limón"],
                ["07", "Puntarenas"],
                ["08", "San José"]
            ],
            CS: [
                ["00", "Serbia and Montenegro (general)"],
                ["01", "Crna Gora (Montenegro)"],
                ["02", "Srbija (Serbia)"]
            ],
            CU: [
                ["00", "Cuba (general)"],
                ["01", "Pinar del Río"],
                ["02", "Ciudad de La Habana"],
                ["03", "Matanzas"],
                ["04", "Isla de la Juventud"],
                ["05", "Camagüey"],
                ["07", "Ciego de Ávila"],
                ["08", "Cienfuegos"],
                ["09", "Granma"],
                ["10", "Guantánamo"],
                ["11", "La Habana"],
                ["12", "Holguín"],
                ["13", "Las Tunas"],
                ["14", "Sancti Spíritus"],
                ["15", "Santiago de Cuba"],
                ["16", "Villa Clara"]
            ],
            CV: [
                ["00", "Cape Verde (general)"],
                ["01", "Boa Vista"],
                ["02", "Brava"],
                ["04", "Maio"],
                ["05", "Paul"],
                ["06", "Praia"],
                ["07", "Ribeira Grande"],
                ["08", "Sal"],
                ["09", "Santa Catarina "],
                ["10", "São Nicolau"],
                ["11", "São Vicente"],
                ["12", "Tarrafal "],
                ["13", "Mosteiros"],
                ["14", "Praia"],
                ["15", "Santa Catarina"],
                ["16", "Santa Cruz"],
                ["17", "São Domingos"],
                ["18", "São Filipe"],
                ["19", "São Miguel"],
                ["20", "Tarrafal"]
            ],
            CX: [
                ["00", "Christmas Island (general)"]
            ],
            CY: [
                ["00", "Cyprus (general)"],
                ["01", "Famagusta"],
                ["02", "Kyrenia"],
                ["03", "Larnaca"],
                ["04", "Nicosia"],
                ["05", "Limassol"],
                ["06", "Paphos"]
            ],
            CZ: [
                ["00", "Czech Republic (general)"],
                ["20", "Hradec Kralove"],
                ["21", "Jablonec nad Nisou"],
                ["23", "Jiein"],
                ["24", "Jihlava"],
                ["30", "Kolin"],
                ["33", "Liberec"],
                ["36", "Melnik"],
                ["37", "Mlada Boleslav"],
                ["39", "Nachod"],
                ["41", "Nymburk"],
                ["45", "Pardubice"],
                ["52", "Hlavní Mesto Praha"],
                ["61", "Semily"],
                ["70", "Trutnov"],
                ["73", "(EZ73)"],
                ["78", "South Moravian Region"],
                ["79", "Jihočeský Kraj"],
                ["80", "Vysočina"],
                ["81", "Karlovarský Kraj"],
                ["82", "Královéhradecký Kraj"],
                ["83", "Liberecký Kraj"],
                ["84", "Olomoucký Kraj"],
                ["85", "Moravskoslezský Kraj"],
                ["86", "Pardubický Kraj"],
                ["87", "Plzeňský Kraj"],
                ["88", "Středočeský Kraj"],
                ["89", "Ústecký Kraj"],
                ["90", "Zlínský Kraj"]
            ],
            DE: [
                ["00", "Germany (general)"],
                ["01", "Baden-Württemberg"],
                ["02", "Bavaria"],
                ["03", "Bremen"],
                ["04", "Hamburg"],
                ["05", "Hesse"],
                ["06", "Lower Saxony"],
                ["07", "North Rhine-Westphalia"],
                ["08", "Rhineland-Palatinate"],
                ["09", "Saarland"],
                ["10", "Schleswig-Holstein"],
                ["11", "Brandenburg"],
                ["12", "Mecklenburg-Vorpommern"],
                ["13", "Saxony"],
                ["14", "Saxony-Anhalt"],
                ["15", "Thuringia"],
                ["16", "Berlin"]
            ],
            DJ: [
                ["00", "Djibouti (general)"],
                ["01", "Ali Sabieh"],
                ["02", "Dikhil "],
                ["03", "Djibouti "],
                ["04", "Obock"],
                ["05", "Tadjourah"],
                ["06", "Dikhil"],
                ["07", "Djibouti"],
                ["08", "Arta"]
            ],
            DK: [
                ["01", "Århus"],
                ["02", "Bornholm"],
                ["03", "Frederiksborg"],
                ["04", "Fyn"],
                ["05", "Copenhagen city"],
                ["06", "København"],
                ["07", "Nordjylland"],
                ["08", "Ribe"],
                ["09", "Ringkøbing"],
                ["10", "Roskilde"],
                ["11", "Sønderjylland"],
                ["12", "Storstrøm"],
                ["13", "Vejle"],
                ["14", "Vestsjælland"],
                ["15", "Viborg"],
                ["16", "Fredriksberg"],
                ["17", "Capital Region"],
                ["18", "Central Jutland"],
                ["19", "North Jutland"],
                ["20", "Region Zealand"],
                ["21", "Region South Denmark"]
            ],
            DM: [
                ["00", "Dominica (general)"],
                ["02", "Saint Andrew"],
                ["03", "Saint David"],
                ["04", "Saint George"],
                ["05", "Saint John"],
                ["06", "Saint Joseph"],
                ["07", "Saint Luke"],
                ["08", "Saint Mark"],
                ["09", "Saint Patrick"],
                ["10", "Saint Paul"],
                ["11", "Saint Peter"]
            ],
            DO: [
                ["00", "Dominican Republic (general)"],
                ["01", "Azua"],
                ["02", "Baoruco"],
                ["03", "Barahona"],
                ["04", "Dajabón"],
                ["06", "Duarte"],
                ["08", "Espaillat"],
                ["09", "Independencia"],
                ["10", "La Altagracia"],
                ["11", "Elías Piña"],
                ["12", "La Romana"],
                ["14", "María Trinidad Sánchez"],
                ["15", "Monte Cristi"],
                ["16", "Pedernales"],
                ["18", "Puerto Plata"],
                ["19", "Salcedo"],
                ["20", "Samaná"],
                ["21", "Sánchez Ramírez"],
                ["23", "San Juan"],
                ["24", "San Pedro de Macorís"],
                ["25", "Santiago"],
                ["26", "Santiago Rodríguez"],
                ["27", "Valverde"],
                ["28", "El Seíbo"],
                ["29", "Hato Mayor"],
                ["30", "La Vega"],
                ["31", "Monseñor Nouel"],
                ["32", "Monte Plata"],
                ["33", "San Cristóbal"],
                ["34", "Distrito Nacional"],
                ["35", "Peravia"],
                ["36", "Provincia de San José de Ocoa"],
                ["37", "Provincia de Santo Domingo"]
            ],
            DZ: [
                ["00", "Algeria (general)"],
                ["01", "Alger"],
                ["03", "Batna"],
                ["04", "Constantine"],
                ["06", "Médéa"],
                ["07", "Mostaganem"],
                ["09", "Oran"],
                ["10", "Saïda"],
                ["12", "Sétif"],
                ["13", "Tiaret"],
                ["14", "Tizi Ouzou"],
                ["15", "Tlemcen"],
                ["18", "Bejaïa"],
                ["19", "Biskra"],
                ["20", "Blida"],
                ["21", "Bouira"],
                ["22", "Djelfa"],
                ["23", "Guelma"],
                ["24", "Jijel"],
                ["25", "Laghouat"],
                ["26", "Mascara"],
                ["27", "Mʼsila"],
                ["29", "Oum el Bouaghi"],
                ["30", "Sidi Bel Abbès"],
                ["31", "Skikda"],
                ["33", "Tébessa"],
                ["34", "Adrar"],
                ["35", "Aïn Defla"],
                ["36", "Aïn Temouchent"],
                ["37", "Annaba"],
                ["38", "Béchar"],
                ["39", "Bordj Bou Arréridj"],
                ["40", "Boumerdes"],
                ["41", "Chlef"],
                ["42", "El Bayadh"],
                ["43", "El Oued"],
                ["44", "El Tarf"],
                ["45", "Ghardaïa"],
                ["46", "Illizi"],
                ["47", "Khenchela"],
                ["48", "Mila"],
                ["49", "Naama النعامة"],
                ["50", "Ouargla"],
                ["51", "Relizane"],
                ["52", "Souk Ahras"],
                ["53", "Tamanghasset"],
                ["54", "Tindouf"],
                ["55", "Tipaza"],
                ["56", "Tissemsilt"]
            ],
            EC: [
                ["00", "Ecuador (general)"],
                ["01", "Galápagos"],
                ["02", "Azuay"],
                ["03", "Bolívar"],
                ["04", "Cañar"],
                ["05", "Carchi"],
                ["06", "Chimborazo"],
                ["07", "Cotopaxi"],
                ["08", "El Oro"],
                ["09", "Esmeraldas"],
                ["10", "Guayas"],
                ["11", "Imbabura"],
                ["12", "Loja"],
                ["13", "Los Ríos"],
                ["14", "Manabí"],
                ["15", "Morona-Santiago"],
                ["16", "Napo"],
                ["17", "Pastaza"],
                ["18", "Pichincha"],
                ["19", "Tungurahua"],
                ["20", "Zamora-Chinchipe"],
                ["22", "Sucumbios"],
                ["23", "Napo"],
                ["24", "Orellana"]
            ],
            EE: [
                ["00", "Estonia (general)"],
                ["01", "Harjumaa"],
                ["02", "Hiiumaa"],
                ["03", "Ida-Virumaa"],
                ["04", "Järvamaa"],
                ["05", "Jõgevamaa"],
                ["07", "Läänemaa"],
                ["08", "Lääne-Virumaa"],
                ["11", "Pärnumaa"],
                ["12", "Põlvamaa"],
                ["13", "Raplamaa"],
                ["14", "Saaremaa"],
                ["18", "Tartumaa"],
                ["19", "Valgamaa"],
                ["20", "Viljandimaa"],
                ["21", "Võrumaa"]
            ],
            EG: [
                ["00", "Egypt (general)"],
                ["01", "Ad Daqahlīyah"],
                ["02", "Al Baḩr al Aḩmar"],
                ["03", "Al Buḩayrah"],
                ["04", "Al Fayyūm"],
                ["05", "Al Gharbīyah"],
                ["06", "Alexandria"],
                ["07", "Al Ismā‘īlīyah"],
                ["08", "Al Jīzah"],
                ["09", "Al Minūfīyah"],
                ["10", "Al Minyā"],
                ["11", "Al Qāhirah"],
                ["12", "Al Qalyūbīyah"],
                ["13", "Al Wādī al Jadīd"],
                ["14", "Eastern Province"],
                ["15", "As Suways"],
                ["16", "Aswān"],
                ["17", "Asyūţ"],
                ["18", "Banī Suwayf"],
                ["19", "Būr Sa‘īd"],
                ["20", "Dumyāţ"],
                ["21", "Kafr ash Shaykh"],
                ["22", "Maţrūḩ"],
                ["23", "Qinā"],
                ["24", "Sūhāj"],
                ["26", "Janūb Sīnāʼ"],
                ["27", "Shamāl Sīnāʼ"]
            ],
            EH: [
                ["00", "Western Sahara (general)"]
            ],
            ER: [
                ["00", "Eritrea (general)"],
                ["01", "Ānseba"],
                ["02", "Debub"],
                ["03", "Debubawī Kʼeyih Bahrī"],
                ["04", "Gash Barka"],
                ["05", "Maʼākel"],
                ["06", "Semēnawī Kʼeyih Bahrī"]
            ],
            ES: [
                ["00", "Ceuta"],
                ["07", "Balearic Islands"],
                ["27", "La Rioja"],
                ["28", "(SP28)"],
                ["29", "Autonomous Region of Madrid"],
                ["31", "Murcia"],
                ["32", "Navarre"],
                ["34", "Asturias"],
                ["39", "Cantabria"],
                ["51", "Andalusia"],
                ["52", "Aragon"],
                ["53", "Canary Islands"],
                ["54", "Castille-La Mancha"],
                ["55", "Castille and León"],
                ["56", "Catalonia"],
                ["57", "Estremadura"],
                ["58", "Galicia"],
                ["59", "Basque Country"],
                ["60", "Valencia"]
            ],
            ET: [
                ["00", "Ethiopia (general)"],
                ["01", "Arsi"],
                ["02", "Gonder"],
                ["03", "Bale"],
                ["04", "Eritrea"],
                ["05", "Gamo Gofa"],
                ["06", "Gojam"],
                ["07", "Harerge"],
                ["08", "Ilubabor"],
                ["09", "Kefa"],
                ["10", "Addis Abeba"],
                ["11", "Sidamo"],
                ["12", "Tigray"],
                ["13", "Welega Kifle Hāger"],
                ["14", "Welo"],
                ["15", "Adis Abeba"],
                ["17", "Asosa"],
                ["18", "Borena "],
                ["19", "Debub Gonder"],
                ["20", "Debub Shewa"],
                ["21", "Debub Welo"],
                ["22", "Dire Dawa"],
                ["23", "Gambela"],
                ["24", "Metekel"],
                ["25", "Mirab Gojam"],
                ["26", "Mirab Harerge"],
                ["27", "Mirab Shewa"],
                ["28", "Misrak Gojam"],
                ["29", "Misrak Harerge"],
                ["30", "Nazret"],
                ["31", "Ogaden"],
                ["32", "Omo"],
                ["33", "Semen Gonder"],
                ["34", "Semen Shewa"],
                ["35", "Semen Welo"],
                ["37", "Tigray"],
                ["38", "Bale"],
                ["39", "Gamo Gofa"],
                ["40", "Ilubabor"],
                ["41", "Kefa"],
                ["42", "Sidamo"],
                ["43", "Welega"],
                ["44", "Ādīs Ābeba"],
                ["45", "Āfar"],
                ["46", "Āmara"],
                ["47", "Bīnshangul Gumuz"],
                ["48", "Dirē Dawa"],
                ["49", "Gambēla Hizboch"],
                ["50", "Hārerī Hizb"],
                ["51", "Oromīya"],
                ["52", "Sumalē"],
                ["53", "Tigray"],
                ["54", "YeDebub Bihēroch Bihēreseboch na Hizboch"]
            ],
            FI: [
                ["00", "Finland (general)"],
                ["01", "Åland"],
                ["02", "Hame"],
                ["03", "Keski-Suomi"],
                ["04", "Kuopio"],
                ["05", "Kymi"],
                ["06", "Lapponia"],
                ["07", "Mikkeli"],
                ["08", "Oulu"],
                ["09", "Pohjois-Karjala"],
                ["10", "Turku ja Pori"],
                ["11", "Uusimaa"],
                ["12", "Vaasa"],
                ["13", "Southern Finland"],
                ["14", "Eastern Finland"],
                ["15", "Western Finland"]
            ],
            FJ: [
                ["00", "Fiji (general)"],
                ["01", "Central"],
                ["02", "Eastern"],
                ["03", "Northern"],
                ["04", "Rotuma"],
                ["05", "Western"]
            ],
            FK: [
                ["00", "Falkland Islands (Islas Malvinas) (general)"]
            ],
            FM: [
                ["00", "Micronesia, Federated States of (general)"],
                ["01", "Kosrae"],
                ["02", "Pohnpei"],
                ["03", "Chuuk"],
                ["04", "Yap"],
                ["FM", ""]
            ],
            FO: [
                ["NO", "Norðoyar region"],
                ["OS", "Eysturoy region"],
                ["SA", "Sandoy region"],
                ["ST", "Streymoy region"],
                ["SU", "Suðuroy region"],
                ["VG", "Vágar region"]
            ],
            FR: [
                ["00", "France (general)"],
                ["97", "Aquitaine"],
                ["98", "Auvergne"],
                ["99", "Basse-Normandie"],
                ["A1", "Bourgogne"],
                ["A2", "Brittany"],
                ["A3", "Centre"],
                ["A4", "Champagne-Ardenne"],
                ["A5", "Corsica"],
                ["A6", "Franche-Comté"],
                ["A7", "Haute-Normandie"],
                ["A8", "Île-de-France"],
                ["A9", "Languedoc-Roussillon"],
                ["B1", "Limousin"],
                ["B2", "Lorraine"],
                ["B3", "Midi-Pyrénées"],
                ["B4", "Nord-Pas-de-Calais"],
                ["B5", "Pays de la Loire"],
                ["B6", "Picardie"],
                ["B7", "Poitou-Charentes"],
                ["B8", "Provence-Alpes-Côte d'Azur"],
                ["B9", "Rhône-Alpes"],
                ["C1", "Alsace"]
            ],
            GA: [
                ["00", "Gabon (general)"],
                ["01", "Estuaire"],
                ["02", "Haut-Ogooué"],
                ["03", "Moyen-Ogooué"],
                ["04", "Ngounié"],
                ["05", "Nyanga"],
                ["06", "Ogooué-Ivindo"],
                ["07", "Ogooué-Lolo"],
                ["08", "Ogooué-Maritime"],
                ["09", "Woleu-Ntem"]
            ],
            GB: [
                ["11", "(UK11)"],
                ["12", "(UK12)"],
                ["13", "(UK13)"],
                ["17", "Greater London"],
                ["19", "(UK19)"],
                ["29", "(UK29)"],
                ["32", "(UK32)"],
                ["36", "(UK36)"],
                ["52", "(UK52)"],
                ["64", "(UK64)"],
                ["80", "(UK80)"],
                ["81", "(UK81)"],
                ["82", "Grampian"],
                ["83", "(UK83)"],
                ["84", "Lothian"],
                ["85", "(UK85)"],
                ["86", "(UK86)"],
                ["87", "Strathclyde"],
                ["88", "Tayside"],
                ["89", "(UK89)"],
                ["90", "Clwyd"],
                ["91", "Dyfed"],
                ["92", "Gwent"],
                ["93", "(UK93)"],
                ["96", "South Glamorgan"],
                ["A4", "Bath and North East Somerset"],
                ["ENG", "England"],
                ["J2", "North East Lincolnshire"],
                ["J3", "North Lincolnshire"],
                ["J4", "North Somerset"],
                ["M6", "South Gloucestershire"],
                ["NIR", "Northern Ireland"],
                ["SCT", "Scotland"],
                ["T8", "Argyll and Bute"],
                ["WLS", "Wales"]
            ],
            GD: [
                ["00", "Grenada (general)"],
                ["01", "Saint Andrew"],
                ["02", "Saint David"],
                ["03", "Saint George"],
                ["04", "Saint John"],
                ["05", "Saint Mark"],
                ["06", "Saint Patrick"]
            ],
            GE: [
                ["00", "Abkhazia"],
                ["04", "Ajaria"],
                ["15", "Chʼkhorotsqus Raioni"],
                ["36", "Martvilis Raioni"],
                ["51", "T'bilisi"],
                ["64", "Zugdidis Raioni"]
            ],
            GF: [
                ["GF", "Guyane"]
            ],
            GG: [
                ["00", "Guernsey (general)"]
            ],
            GH: [
                ["00", "Ghana (general)"],
                ["01", "Greater Accra"],
                ["02", "Ashanti"],
                ["03", "Brong-Ahafo Region"],
                ["04", "Central"],
                ["05", "Eastern"],
                ["06", "Northern"],
                ["08", "Volta"],
                ["09", "Western"],
                ["10", "Upper East"],
                ["11", "Upper West"]
            ],
            GI: [
                ["00", "Gibraltar (general)"]
            ],
            GL: [
                ["00", "Greenland (general)"],
                ["01", "Nordgrønland"],
                ["02", "Østgrønland"],
                ["03", "Vestgrønland"]
            ],
            GM: [
                ["00", "Gambia, The (general)"],
                ["01", "Banjul"],
                ["02", "Lower River"],
                ["03", "Central River"],
                ["04", "Upper River"],
                ["05", "Western"],
                ["07", "North Bank"]
            ],
            GN: [
                ["00", "Guinea (general)"],
                ["01", "Beyla"],
                ["02", "Boffa"],
                ["03", "Boké"],
                ["04", "Conakry"],
                ["05", "Dabola"],
                ["06", "Dalaba"],
                ["07", "Dinguiraye"],
                ["08", "(GV08)"],
                ["09", "Faranah"],
                ["10", "Forécariah"],
                ["11", "Fria"],
                ["12", "Gaoual"],
                ["13", "Guéckédou"],
                ["14", "(GV14)"],
                ["15", "Kérouané"],
                ["16", "Kindia"],
                ["17", "Kissidougou"],
                ["18", "Koundara"],
                ["19", "Kouroussa"],
                ["20", "(GV20)"],
                ["21", "Macenta"],
                ["22", "Mali"],
                ["23", "Mamou"],
                ["24", "(GV24)"],
                ["25", "Pita"],
                ["26", "(GV26)"],
                ["27", "Télimélé"],
                ["28", "Tougué"],
                ["29", "Yomou"],
                ["30", "Coyah"],
                ["31", "Dubréka"],
                ["32", "Kankan"],
                ["33", "Koubia"],
                ["34", "Labé"],
                ["35", "Lélouma"],
                ["36", "Lola"],
                ["37", "Mandiana"],
                ["38", "Nzérékoré"],
                ["39", "Siguiri"]
            ],
            GP: [
                ["GP", "Région Guadeloupe"]
            ],
            GQ: [
                ["00", "Equatorial Guinea (general)"],
                ["03", "Annobón"],
                ["04", "Bioko Norte"],
                ["05", "Bioko Sur"],
                ["06", "Centro Sur"],
                ["07", "Kié-Ntem"],
                ["08", "Litoral"],
                ["09", "Wele-Nzas"]
            ],
            GR: [
                ["736572", "Mount Athos"],
                ["ESYE11", "East Macedonia and Thrace"],
                ["ESYE12", "Central Macedonia"],
                ["ESYE13", "West Macedonia"],
                ["ESYE14", "Thessaly"],
                ["ESYE21", "Epirus"],
                ["ESYE22", "Ionian Islands"],
                ["ESYE23", "West Greece"],
                ["ESYE24", "Central Greece"],
                ["ESYE25", "Peloponnese"],
                ["ESYE31", "Attica"],
                ["ESYE41", "North Aegean"],
                ["ESYE42", "South Aegean"],
                ["ESYE43", "Crete"]
            ],
            GS: [
                ["00", "South Georgia and The South Sandwich Islands (general)"]
            ],
            GT: [
                ["00", "Guatemala (general)"],
                ["01", "Alta Verapaz"],
                ["02", "Baja Verapaz"],
                ["03", "Chimaltenango"],
                ["04", "Chiquimula"],
                ["05", "El Progreso"],
                ["06", "Escuintla"],
                ["07", "Guatemala"],
                ["08", "Huehuetenango"],
                ["09", "Izabal"],
                ["10", "Jalapa"],
                ["11", "Jutiapa"],
                ["12", "Petén"],
                ["13", "Quetzaltenango"],
                ["14", "Quiché"],
                ["15", "Retalhuleu"],
                ["16", "Sacatepéquez"],
                ["17", "San Marcos"],
                ["18", "Santa Rosa"],
                ["19", "Sololá"],
                ["20", "Suchitepéquez"],
                ["21", "Totonicapán"],
                ["22", "Zacapa"]
            ],
            GW: [
                ["00", "Guinea-Bissau (general)"],
                ["01", "Bafatá"],
                ["02", "Quinara"],
                ["04", "Oio"],
                ["05", "Bolama"],
                ["06", "Cacheu"],
                ["07", "Tombali"],
                ["10", "Gabú"],
                ["11", "Bissau"],
                ["12", "Biombo"]
            ],
            GY: [
                ["00", "Guyana (general)"],
                ["10", "Barima-Waini"],
                ["11", "Cuyuni-Mazaruni"],
                ["12", "Demerara-Mahaica"],
                ["13", "East Berbice-Corentyne"],
                ["14", "Essequibo Islands-West Demerara"],
                ["15", "Mahaica-Berbice"],
                ["16", "Pomeroon-Supenaam"],
                ["17", "Potaro-Siparuni"],
                ["18", "Upper Demerara-Berbice"],
                ["19", "Upper Takutu-Upper Essequibo"]
            ],
            HK: [
                ["00", "Hong Kong (general)"]
            ],
            HN: [
                ["00", "Honduras (general)"],
                ["01", "Atlántida"],
                ["02", "Choluteca"],
                ["03", "Colón"],
                ["04", "Comayagua"],
                ["05", "Copán"],
                ["06", "Cortés"],
                ["07", "El Paraíso"],
                ["08", "Francisco Morazán"],
                ["09", "Gracias a Dios"],
                ["10", "Intibucá"],
                ["11", "Islas de la Bahía"],
                ["12", "La Paz"],
                ["13", "Lempira"],
                ["14", "Ocotepeque"],
                ["15", "Olancho"],
                ["16", "Santa Bárbara"],
                ["17", "Valle"],
                ["18", "Yoro"]
            ],
            HR: [
                ["00", "Croatia (general)"],
                ["01", "Bjelovarsko-Bilogorska"],
                ["02", "Brodsko-Posavska"],
                ["03", "Dubrovačko-Neretvanska"],
                ["04", "Istarska"],
                ["05", "Karlovačka"],
                ["06", "Koprivničko-Križevačka"],
                ["07", "Krapinsko-Zagorska"],
                ["08", "Ličko-Senjska"],
                ["09", "Međimurska"],
                ["10", "Osječko-Baranjska"],
                ["11", "Požeško-Slavonska"],
                ["12", "Primorsko-Goranska"],
                ["13", "Šibensko-Kniniska"],
                ["14", "Sisačko-Moslavačka"],
                ["15", "Splitsko-Dalmatinska"],
                ["16", "Varaždinska"],
                ["17", "Virovitičk-Podravska"],
                ["18", "Vukovarsko-Srijemska"],
                ["19", "Zadarska"],
                ["20", "Zagrebačka"],
                ["21", "Grad Zagreb"]
            ],
            HT: [
                ["00", "Haiti (general)"],
                ["03", "Nord-Ouest"],
                ["06", "Artibonite"],
                ["07", "Centre"],
                ["09", "Nord"],
                ["10", "Nord-Est"],
                ["11", "Ouest"],
                ["12", "Sud"],
                ["13", "Sud-Est"],
                ["14", "GrandʼAnse"]
            ],
            HU: [
                ["00", "Hungary (general)"],
                ["01", "Bács-Kiskun"],
                ["02", "Baranya"],
                ["03", "Békés"],
                ["04", "Borsod-Abaúj-Zemplén"],
                ["05", "Budapest"],
                ["06", "Csongrád"],
                ["08", "Fejér"],
                ["09", "Győr-Moson-Sopron"],
                ["10", "Hajdú-Bihar"],
                ["11", "Heves"],
                ["12", "Komárom-Esztergom"],
                ["14", "Nógrád"],
                ["16", "Pest"],
                ["17", "Somogy"],
                ["18", "Szabolcs-Szatmár-Bereg"],
                ["20", "Jász-Nagykun-Szolnok"],
                ["21", "Tolna"],
                ["22", "Vas"],
                ["23", "Veszprém"],
                ["24", "Zala"]
            ],
            ID: [
                ["00", "Indonesia (general) "],
                ["01", "Aceh"],
                ["02", "Bali"],
                ["03", "Bengkulu"],
                ["04", "Jakarta Raya"],
                ["05", "Jambi"],
                ["06", "Jawa Barat"],
                ["08", "East Java"],
                ["09", "(ID09) "],
                ["10", "Yogyakarta "],
                ["11", "West Kalimantan"],
                ["12", "South Kalimantan"],
                ["13", "Kalimantan Tengah"],
                ["14", "East Kalimantan"],
                ["15", "Lampung"],
                ["17", "Nusa Tenggara Barat"],
                ["18", "East Nusa Tenggara"],
                ["19", "(ID19) "],
                ["20", "(ID20) "],
                ["21", "Central Sulawesi"],
                ["22", "Sulawesi Tenggara"],
                ["23", "Sulawesi Utara"],
                ["24", "West Sumatra"],
                ["25", "Sumatera Selatan"],
                ["26", "North Sumatra"],
                ["27", "Timor Timur"],
                ["28", "Maluku "],
                ["29", "Maluku Utara"],
                ["30", "West Java"],
                ["31", "North Sulawesi"],
                ["32", "South Sumatra"],
                ["33", "Banten"],
                ["34", "Gorontalo"],
                ["35", "Bangka-Belitung"],
                ["36", "Papua"],
                ["37", "Riau"],
                ["38", "South Sulawesi"],
                ["39", "Irian Jaya Barat"],
                ["40", "Riau Islands"],
                ["41", "Sulawesi Barat"]
            ],
            IE: [
                ["00", "Ireland (general)"],
                ["01", "Carlow"],
                ["02", "County Cavan"],
                ["03", "County Clare"],
                ["04", "Cork"],
                ["06", "Donegal"],
                ["07", "Dublin"],
                ["10", "Galway"],
                ["11", "County Kerry"],
                ["12", "County Kildare"],
                ["13", "County Kilkenny"],
                ["14", "Leitrim"],
                ["15", "Leix"],
                ["16", "Limerick"],
                ["18", "County Longford"],
                ["19", "County Louth"],
                ["20", "County Mayo"],
                ["21", "County Meath"],
                ["22", "Monaghan"],
                ["23", "County Offaly"],
                ["24", "County Roscommon"],
                ["25", "County Sligo"],
                ["26", "Tipperary"],
                ["27", "County Waterford"],
                ["29", "County Westmeath"],
                ["30", "County Wexford"],
                ["31", "County Wicklow"]
            ],
            IL: [
                ["00", "Israel (general)"],
                ["01", "HaDarom"],
                ["02", "HaMerkaz"],
                ["03", "Northern District"],
                ["04", "H̱efa"],
                ["05", "Tel Aviv"],
                ["06", "Yerushalayim"]
            ],
            IM: [
                ["00", "Isle of Man (general)"]
            ],
            IN: [
                ["00", "India (general)"],
                ["01", "Andaman and Nicobar Islands"],
                ["02", "Andhra Pradesh"],
                ["03", "Assam"],
                ["04", "Bihar"],
                ["05", "Chandīgarh"],
                ["06", "Dādra and Nagar Haveli"],
                ["07", "Delhi"],
                ["09", "Gujarāt"],
                ["10", "Haryāna"],
                ["11", "Himāchal Pradesh"],
                ["12", "Kashmir"],
                ["13", "Kerala"],
                ["14", "Laccadives"],
                ["15", "Madhya Pradesh "],
                ["16", "Mahārāshtra"],
                ["17", "Manipur"],
                ["18", "Meghālaya"],
                ["19", "Karnātaka"],
                ["20", "Nāgāland"],
                ["21", "Orissa"],
                ["22", "Pondicherry"],
                ["23", "Punjab"],
                ["24", "Rājasthān"],
                ["25", "Tamil Nādu"],
                ["26", "Tripura"],
                ["27", "Uttar Pradesh"],
                ["28", "Bengal"],
                ["29", "Sikkim"],
                ["30", "Arunāchal Pradesh"],
                ["31", "Mizoram"],
                ["32", "Daman and Diu"],
                ["33", "Goa"],
                ["34", "Bihār"],
                ["35", "Madhya Pradesh"],
                ["36", "Uttar Pradesh"],
                ["37", "Chhattisgarh"],
                ["38", "Jharkhand"],
                ["39", "Uttarakhand"]
            ],
            IO: [
                ["00", "British Indian Ocean Territory (general)"]
            ],
            IQ: [
                ["00", "Iraq (general)"],
                ["01", "Al Anbār"],
                ["02", "Al Başrah"],
                ["03", "Al Muthanná"],
                ["04", "Al Qādisīyah"],
                ["05", "As Sulaymānīyah"],
                ["06", "Bābil"],
                ["07", "Baghdād"],
                ["08", "Dahūk"],
                ["09", "Dhi Qar"],
                ["10", "Diyala"],
                ["11", "Arbīl"],
                ["12", "Karbalāʼ"],
                ["13", "At Taʼmīm"],
                ["14", "Maysan"],
                ["15", "Nīnawá"],
                ["16", "Wāsiţ"],
                ["17", "An Najaf"],
                ["18", "Şalāḩ ad Dīn"]
            ],
            IR: [
                ["00", "Iran (general)"],
                ["01", "Āz̄ārbāyjān-e Gharbī"],
                ["02", "Ostān-e Āz̄arbāyjān-e Sharqī"],
                ["03", "Chahār Maḩāll va Bakhtīārī"],
                ["04", "Sīstān va Balūchestān"],
                ["05", "Kohgīlūyeh va Būyer Aḩmad"],
                ["07", "Fārs Province"],
                ["08", "Gīlān"],
                ["09", "Hamadān"],
                ["10", "Īlām"],
                ["11", "Hormozgān Province"],
                ["12", "Kerman"],
                ["13", "Kermānshāh"],
                ["15", "Khūzestān"],
                ["16", "Kordestān"],
                ["17", "Mazandaran"],
                ["19", "Markazi"],
                ["21", "Zanjan"],
                ["22", "Bushehr Province"],
                ["23", "Lorestān"],
                ["24", "Markazi"],
                ["25", "Semnān Province"],
                ["26", "Tehrān"],
                ["27", "Zanjan"],
                ["28", "Eşfahān"],
                ["29", "Kermān"],
                ["30", "Ostan-e Khorasan-e Razavi"],
                ["31", "Yazd"],
                ["32", "Ardabīl"],
                ["33", "Āz̄ārbāyjān-e Sharqī"],
                ["34", "Markazi Province"],
                ["35", "Māzandarān Province"],
                ["36", "Zanjan Province"],
                ["37", "Golestān"],
                ["38", "Qazvīn"],
                ["39", "Qom"],
                ["40", "Yazd"],
                ["41", "Khorāsān-e Jonūbī"],
                ["42", "Razavi Khorasan Province"],
                ["43", "Khorāsān-e Shomālī"]
            ],
            IS: [
                ["00", "Iceland (general)"],
                ["07", "Borgarfjardarsysla"],
                ["08", "Dalasysla"],
                ["09", "Eyjafjardarsysla"],
                ["10", "Gullbringusysla"],
                ["11", "Hafnarfjördur"],
                ["12", "Husavik"],
                ["13", "Isafjördur"],
                ["14", "Keflavik"],
                ["15", "Kjosarsysla"],
                ["16", "Kopavogur"],
                ["17", "Myrasysla"],
                ["18", "Neskaupstadur"],
                ["19", "Nordur-Isafjardarsysla"],
                ["20", "Nordur-Mulasysla"],
                ["21", "Nordur-Tingeyjarsysla"],
                ["22", "Olafsfjördur"],
                ["23", "Rangarvallasysla"],
                ["24", "Reykjavík"],
                ["25", "Saudarkrokur"],
                ["26", "Seydisfjordur"],
                ["27", "Siglufjordur"],
                ["28", "Skagafjardarsysla"],
                ["29", "Snafellsnes- og Hnappadalssysla"],
                ["30", "Strandasysla"],
                ["31", "Sudur-Mulasysla"],
                ["32", "Sudur-Tingeyjarsysla"],
                ["33", "Vestmannaeyjar"],
                ["34", "Vestur-Bardastrandarsysla"],
                ["35", "Vestur-Hunavatnssysla"],
                ["36", "Vestur-Isafjardarsysla"],
                ["37", "Vestur-Skaftafellssysla"],
                ["38", "East"],
                ["39", "Capital Region"],
                ["40", "Northeast"],
                ["41", "Northwest"],
                ["42", "South"],
                ["43", "Southern Peninsula"],
                ["44", "Westfjords"],
                ["45", "West"]
            ],
            IT: [
                ["00", "Italy (general)"],
                ["01", "Abruzzo"],
                ["02", "Basilicate"],
                ["03", "Calabria"],
                ["04", "Campania"],
                ["05", "Emilia-Romagna"],
                ["06", "Friuli"],
                ["07", "Latium"],
                ["08", "Liguria"],
                ["09", "Lombardy"],
                ["10", "The Marches"],
                ["11", "Molise"],
                ["12", "Piedmont"],
                ["13", "Apulia"],
                ["14", "Sardinia"],
                ["15", "Sicily"],
                ["16", "Tuscany"],
                ["17", "Trentino-Alto Adige"],
                ["18", "Umbria"],
                ["19", "Aosta Valley"],
                ["20", "Veneto"]
            ],
            JM: [
                ["00", "Jamaica (general)"],
                ["01", "Clarendon"],
                ["02", "Hanover Parish"],
                ["04", "Manchester"],
                ["07", "Portland"],
                ["08", "Saint Andrew"],
                ["09", "Saint Ann"],
                ["10", "Saint Catherine"],
                ["11", "Saint Elizabeth"],
                ["12", "Saint James"],
                ["13", "Saint Mary"],
                ["14", "Saint Thomas"],
                ["15", "Trelawny"],
                ["16", "Westmoreland"],
                ["17", "Kingston"]
            ],
            JO: [
                ["00", "Jordan (general)"],
                ["02", "Balqa"],
                ["07", "Ma’an"],
                ["09", "Karak"],
                ["10", "Al Mafraq"],
                ["11", "Amman"],
                ["12", "Tafielah"],
                ["13", "Az Zarqa"],
                ["14", "Irbid"],
                ["15", "Mafraq"],
                ["16", "‘Ammān"],
                ["17", "Zarqa"],
                ["18", "Irbid"],
                ["19", "Ma'an"],
                ["20", "Ajlun"],
                ["21", "Aqaba"],
                ["22", "Jerash"],
                ["23", "Madaba"]
            ],
            JP: [
                ["00", "Japan (general)"],
                ["01", "Aichi"],
                ["02", "Akita"],
                ["03", "Aomori"],
                ["04", "Chiba"],
                ["05", "Ehime"],
                ["06", "Fukui"],
                ["07", "Fukuoka"],
                ["08", "Fukushima"],
                ["09", "Gifu"],
                ["10", "Gumma"],
                ["11", "Hiroshima"],
                ["12", "Hokkaidō"],
                ["13", "Hyōgo"],
                ["14", "Ibaraki"],
                ["15", "Ishikawa"],
                ["16", "Iwate"],
                ["17", "Kagawa"],
                ["18", "Kagoshima"],
                ["19", "Kanagawa"],
                ["20", "Kōchi"],
                ["21", "Kumamoto"],
                ["22", "Kyōto"],
                ["23", "Mie"],
                ["24", "Miyagi"],
                ["25", "Miyazaki"],
                ["26", "Nagano"],
                ["27", "Nagasaki"],
                ["28", "Nara"],
                ["29", "Niigata"],
                ["30", "Ōita"],
                ["31", "Okayama"],
                ["32", "Ōsaka"],
                ["33", "Saga"],
                ["34", "Saitama"],
                ["35", "Shiga"],
                ["36", "Shimane"],
                ["37", "Shizuoka"],
                ["38", "Tochigi"],
                ["39", "Tokushima"],
                ["40", "Tōkyō"],
                ["41", "Tottori"],
                ["42", "Toyama"],
                ["43", "Wakayama"],
                ["44", "Yamagata"],
                ["45", "Yamaguchi"],
                ["46", "Yamanashi"],
                ["47", "Okinawa"]
            ],
            KE: [
                ["00", "Kenya (general)"],
                ["01", "Central"],
                ["02", "Coast"],
                ["03", "Eastern"],
                ["05", "Nairobi Area"],
                ["06", "North-Eastern"],
                ["07", "Nyanza"],
                ["08", "Rift Valley"],
                ["09", "Western"]
            ],
            KG: [
                ["00", "Kyrgyzstan (general)"],
                ["01", "Bishkek"],
                ["02", "Chüy"],
                ["03", "Jalal-Abad"],
                ["04", "Naryn"],
                ["05", "(KG05)"],
                ["06", "Talas"],
                ["07", "Ysyk-Köl"],
                ["08", "Osh"],
                ["09", "Batken"]
            ],
            KH: [
                ["00", "Khétt Bântéay Méan Cheăy"],
                ["01", "Khétt Bătdâmbâng"],
                ["02", "Kâmpóng Cham"],
                ["03", "Kâmpóng Chhnăng"],
                ["04", "Khétt Kâmpóng Spœ"],
                ["05", "Kâmpóng Thum"],
                ["06", "Khétt Kâmpôt"],
                ["07", "Kândal"],
                ["08", "Kaôh Kŏng"],
                ["09", "Krâchéh"],
                ["10", "Môndól Kiri"],
                ["11", "Phnum Penh"],
                ["12", "Poŭthĭsăt"],
                ["13", "Preăh Vihéar"],
                ["14", "Prey Vêng"],
                ["15", "Khétt Rôtânăh Kiri"],
                ["17", "Stœ̆ng Trêng"],
                ["18", "Svay Riĕng"],
                ["19", "Takêv"],
                ["20", "(CB20)"],
                ["21", "Kâmpôt"],
                ["22", "Phnum Pénh"],
                ["23", "Rôtânăh Kiri"],
                ["24", "Siĕm Réab"],
                ["25", "Bantéay Méan Cheăy"],
                ["26", "Kêb"],
                ["27", "Ŏtdâr Méan Cheăy"],
                ["28", "Preăh Seihânŭ"],
                ["29", "Bătdâmbâng"],
                ["30", "Palĭn"]
            ],
            KI: [
                ["00", "Line Islands"],
                ["01", "Gilbert Islands"],
                ["02", "Line Islands"],
                ["03", "Phoenix Islands"]
            ],
            KM: [
                ["00", "Comoros (general)"],
                ["01", "Anjouan"],
                ["02", "Grande Comore"],
                ["03", "Mohéli"]
            ],
            KN: [
                ["00", "Saint Kitts and Nevis (general)"],
                ["01", "Christ Church Nichola Town"],
                ["02", "Saint Anne Sandy Point"],
                ["03", "Saint George Basseterre"],
                ["04", "Saint George Gingerland"],
                ["05", "Saint James Windwa"],
                ["06", "Saint John Capesterre"],
                ["07", "Saint John Figtree"],
                ["08", "Saint Mary Cayon"],
                ["09", "Saint Paul Capesterre"],
                ["10", "Saint Paul Charlestown"],
                ["11", "Saint Peter Basseterre"],
                ["12", "Saint Thomas Lowland"],
                ["13", "Saint Thomas Middle Island"],
                ["15", "Trinity Palmetto Point"]
            ],
            KP: [
                ["00", "North Korea (general)"],
                ["01", "Chagang-do"],
                ["03", "Hamgyŏng-namdo"],
                ["06", "Hwanghae-namdo"],
                ["07", "Hwanghae-bukto"],
                ["08", "Kaesŏng-si"],
                ["09", "Gangwon"],
                ["11", "P'yŏngan-bukto"],
                ["12", "P'yŏngyang-si"],
                ["13", "Yanggang-do"],
                ["14", "Namp'o-si"],
                ["15", "P'yŏngan-namdo"],
                ["16", "(KN16)"],
                ["17", "Hamgyŏng-bukto"],
                ["18", "Najin Sŏnbong-si"]
            ],
            KR: [
                ["00", "South Korea (general)"],
                ["01", "Jeju"],
                ["03", "North Jeolla"],
                ["05", "North Chungcheong"],
                ["06", "Gangwon"],
                ["10", "Busan"],
                ["11", "Seoul"],
                ["12", "Incheon"],
                ["13", "Gyeonggi"],
                ["14", "North Gyeongsang"],
                ["15", "Daegu"],
                ["16", "South Jeolla"],
                ["17", "South Chungcheong"],
                ["18", "Gwangju"],
                ["19", "Daejeon"],
                ["20", "South Gyeongsang"],
                ["21", "Ulsan"]
            ],
            KW: [
                ["00", "Muḩāfaz̧atalWafrah"],
                ["02", "Al ‘Āşimah"],
                ["03", "Ḩawallī"],
                ["04", "Al Aḩmadī"],
                ["05", "Al Jahrāʼ"],
                ["06", "Al Farwaniyah"]
            ],
            KY: [
                ["00", "Cayman Islands (general)"],
                ["01", "Creek"],
                ["02", "Eastern"],
                ["03", "Midland"],
                ["04", "South Town"],
                ["05", "Spot Bay"],
                ["06", "Stake Bay"],
                ["07", "West End"],
                ["08", "Western"]
            ],
            KZ: [
                ["00", "Zhezqazghan Oblysy"],
                ["01", "Almaty"],
                ["02", "Almaty Qalasy"],
                ["03", "Aqmola"],
                ["04", "Aqtöbe"],
                ["05", "Astana Qalasy"],
                ["06", "Atyraū"],
                ["07", "Batys Qazaqstan"],
                ["09", "Mangghystaū"],
                ["10", "Ongtüstik Qazaqstan"],
                ["11", "Pavlodar"],
                ["12", "Qaraghandy"],
                ["13", "Qostanay"],
                ["14", "Qyzylorda"],
                ["15", "East Kazakhstan"],
                ["16", "Soltüstik Qazaqstan"],
                ["17", "Zhambyl"]
            ],
            LA: [
                ["00", "Laos (general)"],
                ["01", "Attapu"],
                ["02", "Champasak"],
                ["03", "Houaphan"],
                ["04", "Khammouan"],
                ["05", "Louang Namtha"],
                ["06", "Louangphrabang"],
                ["07", "Oudômxai"],
                ["08", "Phongsali"],
                ["09", "Saravan"],
                ["10", "Savannakhet"],
                ["11", "Vientiane"],
                ["13", "Xiagnabouli"],
                ["14", "Xiangkhoang"],
                ["15", "Khammouan"],
                ["16", "Loungnamtha"],
                ["17", "Louangphabang"],
                ["18", "Phôngsali"],
                ["19", "Salavan"],
                ["20", "Savannahkhét"],
                ["22", "Bokèo"],
                ["23", "Bolikhamxai"],
                ["24", "Viangchan"],
                ["25", "Xaisômboun"],
                ["26", "Xékong"],
                ["27", "Viangchan"]
            ],
            LB: [
                ["00", "Lebanon (general)"],
                ["01", "Béqaa"],
                ["02", "(LE02)"],
                ["03", "Liban-Nord"],
                ["04", "Beyrouth"],
                ["05", "Mont-Liban"],
                ["06", "Liban-Sud"],
                ["07", "Nabatîyé"],
                ["08", "Béqaa"],
                ["09", "Liban-Nord"],
                ["10", "Aakkâr"],
                ["11", "Baalbek-Hermel"]
            ],
            LC: [
                ["00", "Saint Lucia (general)"],
                ["01", "Anse-la-Raye"],
                ["02", "Dauphin"],
                ["03", "Castries"],
                ["04", "Choiseul"],
                ["05", "Dennery"],
                ["06", "Gros-Islet"],
                ["07", "Laborie"],
                ["08", "Micoud"],
                ["09", "Soufrière"],
                ["10", "Vieux-Fort"],
                ["11", "Praslin"]
            ],
            LI: [
                ["00", "Liechtenstein (general)"],
                ["01", "Balzers"],
                ["02", "Eschen"],
                ["03", "Gamprin"],
                ["04", "Mauren"],
                ["05", "Planken"],
                ["06", "Ruggell"],
                ["07", "Schaan"],
                ["08", "Schellenberg"],
                ["09", "Triesen"],
                ["10", "Triesenberg"],
                ["11", "Vaduz"]
            ],
            LK: [
                ["00", "Sri Lanka (general)"],
                ["29", "Central"],
                ["30", "North Central"],
                ["31", "North Eastern"],
                ["32", "North Western"],
                ["33", "Sabaragamuwa"],
                ["34", "Southern"],
                ["35", "Uva"],
                ["36", "Western"]
            ],
            LR: [
                ["00", "Liberia (general)"],
                ["01", "Bong"],
                ["02", "Grand Jide"],
                ["04", "Grand Cape Mount"],
                ["05", "Lofa"],
                ["08", "(LI08)"],
                ["09", "Nimba"],
                ["10", "Sinoe"],
                ["11", "Grand Bassa County"],
                ["12", "Grand Cape Mount"],
                ["13", "Maryland"],
                ["14", "Montserrado"],
                ["15", "Bomi"],
                ["16", "Grand Kru"],
                ["17", "Margibi"],
                ["18", "River Cess"],
                ["19", "Grand Gedeh"],
                ["20", "Lofa"],
                ["21", "Gbarpolu"],
                ["22", "River Gee"]
            ],
            LS: [
                ["00", "Lesotho (general)"],
                ["01", "Balzers Commune"],
                ["02", "Eschen Commune"],
                ["03", "Gamprin Commune"],
                ["04", "Mauren Commune"],
                ["05", "Planken Commune"],
                ["06", "Ruggell Commune"],
                ["10", "Berea District"],
                ["11", "Butha-Buthe District"],
                ["12", "Leribe District"],
                ["13", "Mafeteng"],
                ["14", "Maseru"],
                ["15", "Mohaleʼs Hoek"],
                ["16", "Mokhotlong"],
                ["17", "Qachaʼs Nek"],
                ["18", "Quthing District"],
                ["19", "Thaba-Tseka District"]
            ],
            LT: [
                ["00", "Lithuania (general)"],
                ["40", "(LH40)"],
                ["56", "Alytaus Apskritis"],
                ["57", "Kauno Apskritis"],
                ["58", "Klaipėdos Apskritis"],
                ["59", "Marijampolės Apskritis"],
                ["60", "Panevėžio Apskritis"],
                ["61", "Šiaulių Apskritis"],
                ["62", "Tauragės Apskritis"],
                ["63", "Telšių Apskritis"],
                ["64", "Utenos Apskritis"],
                ["65", "Vilniaus Apskritis"]
            ],
            LU: [
                ["00", "Luxembourg (general)"],
                ["01", "Diekirch"],
                ["02", "Grevenmacher"],
                ["03", "Luxembourg"]
            ],
            LV: [
                ["00", "Dobeles Rajons"],
                ["01", "Aizkraukles Rajons"],
                ["02", "Alūksnes Rajons"],
                ["03", "Balvu Rajons"],
                ["04", "Bauskas Rajons"],
                ["05", "Cēsu Rajons"],
                ["06", "Daugavpils"],
                ["07", "Daugavpils Rajons"],
                ["08", "Dobeles Rajons"],
                ["09", "Gulbenes Rajons"],
                ["10", "Jēkabpils Rajons"],
                ["11", "Jelgava"],
                ["12", "Jelgavas Rajons"],
                ["13", "Jūrmala"],
                ["14", "Krāslavas Rajons"],
                ["15", "Kuldīgas Rajons"],
                ["16", "Liepāja"],
                ["17", "Liepājas Rajons"],
                ["18", "Limbažu Rajons"],
                ["19", "Ludzas Rajons"],
                ["20", "Madonas Rajons"],
                ["21", "Ogres Rajons"],
                ["22", "Preiļu Rajons"],
                ["23", "Rēzekne"],
                ["24", "Rēzeknes Rajons"],
                ["25", "Rīga"],
                ["26", "Rīgas Rajons"],
                ["27", "Saldus Rajons"],
                ["28", "Talsu Rajons"],
                ["29", "Tukuma Rajons"],
                ["30", "Valkas Rajons"],
                ["31", "Valmieras Rajons"],
                ["32", "Ventspils"],
                ["33", "Ventspils Rajons"]
            ],
            LY: [
                ["00", "Libya (general)"],
                ["02", "Baladīyat al Abyār"],
                ["03", "Al ‘Azīzīyah"],
                ["04", "Baladīyat al Bayḑā'"],
                ["05", "Al Jufrah"],
                ["06", "Baladīyat al Jumayl"],
                ["08", "Al Kufrah"],
                ["09", "Baladīyat al Marj"],
                ["10", "Baladīyat al Qarābūll"],
                ["11", "Baladīyat al Qubbah"],
                ["12", "Baladīyat al `Ujaylāt"],
                ["13", "Ash Shāţiʼ"],
                ["15", "Baladīyat az Zahrā'"],
                ["18", "Baladīyat Banī Walīd"],
                ["19", "Baladīyat Bin Jawwād"],
                ["23", "Baladīyat Ghāt"],
                ["24", "Baladīyat Jādū"],
                ["25", "Baladīyat Jālū"],
                ["26", "Baladīyat Janzūr"],
                ["27", "Masallatah"],
                ["29", "Baladīyat Mizdah"],
                ["30", "Murzuq"],
                ["31", "Baladīyat Nālūt"],
                ["32", "Baladīyat Qamīnis"],
                ["33", "Baladīyat Qaşr Bin Ghashīr"],
                ["34", "Sabhā"],
                ["35", "Baladīyat Şabrātah"],
                ["36", "Baladīyat Shaḩḩāt"],
                ["37", "Baladīyat Şurmān"],
                ["39", "Tajura’ "],
                ["41", "Tarhūnah"],
                ["42", "Ţubruq"],
                ["43", "Baladīyat Tūkrah"],
                ["45", "Zlīţan"],
                ["46", "Baladīyat Zuwārah"],
                ["47", "Ajdābiyā"],
                ["48", "Al Fātiḩ"],
                ["49", "Al Jabal al Akhḑar"],
                ["50", "Al Khums"],
                ["51", "An Nuqāţ al Khams"],
                ["52", "Awbārī"],
                ["53", "Az Zāwiyah"],
                ["54", "Banghāzī"],
                ["55", "Darnah"],
                ["56", "Ghadāmis"],
                ["57", "Gharyān"],
                ["58", "Mişrātah"],
                ["59", "Sawfajjīn"],
                ["60", "Surt"],
                ["61", "Ţarābulus"],
                ["62", "Yafran"]
            ],
            MA: [
                ["01", "Agadir"],
                ["02", "Al Hoceïma"],
                ["03", "Azizal"],
                ["04", "Ben Slimane"],
                ["05", "Beni Mellal"],
                ["06", "Boulemane"],
                ["07", "Casablanca"],
                ["08", "Chaouen"],
                ["09", "El Jadida"],
                ["10", "El Kelaa des Srarhna"],
                ["11", "Er Rachidia"],
                ["12", "Essaouira"],
                ["13", "Fes"],
                ["14", "Figuig"],
                ["15", "Kenitra"],
                ["16", "Khemisset"],
                ["17", "Khenifra"],
                ["18", "Khouribga"],
                ["19", "Marrakech"],
                ["20", "Meknes"],
                ["21", "Nador"],
                ["22", "Ouarzazate"],
                ["23", "Oujda"],
                ["24", "Rabat-Sale"],
                ["25", "Safi"],
                ["26", "Settat"],
                ["27", "Tanger"],
                ["29", "Tata"],
                ["30", "Taza"],
                ["32", "Tiznit"],
                ["33", "Guelmim"],
                ["34", "Ifrane"],
                ["35", "Laayoune"],
                ["36", "Tan-Tan"],
                ["37", "Taounate"],
                ["38", "Sidi Kacem"],
                ["39", "Taroudannt"],
                ["40", "Tetouan"],
                ["41", "Larache"],
                ["42", "(MO42)"],
                ["43", "(MO43)"],
                ["44", "(MO44)"],
                ["45", "Grand Casablanca"],
                ["46", "Fès-Boulemane"],
                ["47", "Marrakech-Tensift-Al Haouz"],
                ["48", "Meknès-Tafilalet"],
                ["49", "Rabat-Salé-Zemmour-Zaër"],
                ["50", "Chaouia-Ouardigha"],
                ["51", "Doukkala-Abda"],
                ["52", "Gharb-Chrarda-Beni Hssen"],
                ["53", "Guelmim-Es Smara"],
                ["54", "Oriental"],
                ["55", "Souss-Massa-Drâa"],
                ["56", "Tadla-Azilal"],
                ["57", "Tanger-Tétouan"],
                ["58", "Taza-Al Hoceima-Taounate"],
                ["59", "Laâyoune-Boujdour-Sakia El Hamra"]
            ],
            MC: [
                ["00", "Monaco (general)"]
            ],
            MD: [
                ["00", "Ungheni Judetul"],
                ["13", "(MD13)"],
                ["46", "Balti"],
                ["47", "Cahul"],
                ["49", "Stinga Nistrului"],
                ["50", "Edinet"],
                ["51", "Găgăuzia"],
                ["52", "Lapusna"],
                ["53", "Orhei"],
                ["54", "Soroca"],
                ["55", "Tighina"],
                ["56", "Ungheni"],
                ["57", "Chişinău"],
                ["58", "Stînga Nistrului"],
                ["59", "Raionul Anenii Noi"],
                ["60", "Bălţi"],
                ["61", "Raionul Basarabeasca"],
                ["62", "Bender"],
                ["63", "Raionul Briceni"],
                ["64", "Raionul Cahul"],
                ["65", "Raionul Cantemir"],
                ["66", "Călăraşi"],
                ["67", "Căuşeni"],
                ["68", "Raionul Cimişlia"],
                ["69", "Raionul Criuleni"],
                ["70", "Raionul Donduşeni"],
                ["71", "Raionul Drochia"],
                ["72", "Dubăsari"],
                ["73", "Raionul Edineţ"],
                ["74", "Raionul Făleşti"],
                ["75", "Raionul Floreşti"],
                ["76", "Raionul Glodeni"],
                ["77", "Raionul Hînceşti"],
                ["78", "Raionul Ialoveni"],
                ["79", "Raionul Leova"],
                ["80", "Raionul Nisporeni"],
                ["81", "Raionul Ocniţa"],
                ["82", "Raionul Orhei"],
                ["83", "Raionul Rezina"],
                ["84", "Raionul Rîşcani"],
                ["85", "Raionul Sîngerei"],
                ["86", "Raionul Şoldăneşti"],
                ["87", "Raionul Soroca"],
                ["88", "Ştefan-Vodă"],
                ["89", "Raionul Străşeni"],
                ["90", "Raionul Taraclia"],
                ["91", "Raionul Teleneşti"],
                ["92", "Raionul Ungheni"]
            ],
            ME: [
                ["00", "Montenegro (general)"]
            ],
            MG: [
                ["00", "Madagascar (general)"],
                ["01", "Antsiranana"],
                ["02", "Fianarantsoa"],
                ["03", "Mahajanga"],
                ["04", "Toamasina"],
                ["05", "Antananarivo"],
                ["06", "Toliara"]
            ],
            MH: [
                ["00", "Marshall Islands (general)"]
            ],
            MK: [
                ["00", "Macedonia, The Former Yugoslav Republic of (general)"],
                ["01", "Aračinovo"],
                ["02", "Bač"],
                ["03", "Belčišta"],
                ["04", "Berovo"],
                ["05", "Bistrica"],
                ["06", "Bitola"],
                ["07", "Blatec"],
                ["08", "Bogdanci"],
                ["09", "Opstina Bogomila"],
                ["10", "Bogovinje"],
                ["11", "Bosilovo"],
                ["12", "Brvenica"],
                ["13", "Čair"],
                ["14", "Capari"],
                ["15", "Čaška"],
                ["16", "Čegrana"],
                ["17", "Centar"],
                ["18", "Centar Župa"],
                ["19", "Češinovo"],
                ["20", "Čučer-Sandevo"],
                ["21", "Debar"],
                ["22", "Delčevo"],
                ["23", "Delogoždi"],
                ["24", "Demir Hisar"],
                ["25", "Demir Kapija"],
                ["26", "Dobruševo"],
                ["27", "Dolna Banjica"],
                ["28", "Dolneni"],
                ["29", "Opstina Gjorce Petrov"],
                ["30", "Drugovo"],
                ["31", "Džepčište"],
                ["32", "Gazi Baba"],
                ["33", "Gevgelija"],
                ["34", "Gostivar"],
                ["35", "Gradsko"],
                ["36", "Ilinden"],
                ["37", "Izvor"],
                ["38", "Jegunovce"],
                ["39", "Kamenjane"],
                ["40", "Karbinci"],
                ["41", "Karpoš"],
                ["42", "Kavadarci"],
                ["43", "Kičevo"],
                ["44", "Kisela Voda"],
                ["45", "Klečevce"],
                ["46", "Kočani"],
                ["47", "Konče"],
                ["48", "Kondovo"],
                ["49", "Konopište"],
                ["50", "Kosel"],
                ["51", "Kratovo"],
                ["52", "Kriva Palanka"],
                ["53", "Krivogaštani"],
                ["54", "Kruševo"],
                ["55", "Kukliš"],
                ["56", "Kukurečani"],
                ["57", "Kumanovo"],
                ["58", "Labuništa"],
                ["59", "Opstina Lipkovo"],
                ["60", "Lozovo"],
                ["61", "Lukovo"],
                ["62", "Makedonska Kamenica"],
                ["63", "Makedonski Brod"],
                ["64", "Mavrovi Anovi"],
                ["65", "Mešeišta"],
                ["66", "Miravci"],
                ["67", "Mogila"],
                ["68", "Murtino"],
                ["69", "Negotino"],
                ["70", "Negotino-Pološko"],
                ["71", "Novaci"],
                ["72", "Novo Selo"],
                ["73", "Obleševo"],
                ["74", "Ohrid"],
                ["75", "Orašac"],
                ["76", "Orizari"],
                ["77", "Oslomej"],
                ["78", "Pehčevo"],
                ["79", "Petrovec"],
                ["80", "Plasnica"],
                ["81", "Podareš"],
                ["82", "Prilep"],
                ["83", "Probištip"],
                ["84", "Radoviš"],
                ["85", "Opstina Rankovce"],
                ["86", "Resen"],
                ["87", "Rosoman"],
                ["88", "Rostuša"],
                ["89", "Samokov"],
                ["90", "Saraj"],
                ["91", "Šipkovica"],
                ["92", "Sopište"],
                ["93", "Sopotnica"],
                ["94", "Srbinovo"],
                ["95", "Staravina"],
                ["96", "Star Dojran"],
                ["97", "Staro Nagoričane"],
                ["98", "Štip"],
                ["99", "Struga"],
                ["A1", "Strumica"],
                ["A2", "Studeničani"],
                ["A3", "Šuto Orizari"],
                ["A4", "Sveti Nikole"],
                ["A5", "Tearce"],
                ["A6", "Tetovo"],
                ["A7", "Topolčani"],
                ["A8", "Valandovo"],
                ["A9", "Vasilevo"],
                ["B1", "Veles"],
                ["B2", "Velešta"],
                ["B3", "Vevčani"],
                ["B4", "Vinica"],
                ["B5", "Vitolište"],
                ["B6", "Vraneštica"],
                ["B7", "Vrapčište"],
                ["B8", "Vratnica"],
                ["B9", "Vrutok"],
                ["C1", "Zajas"],
                ["C2", "Zelenikovo"],
                ["C3", "Želino"],
                ["C4", "Žitoše"],
                ["C5", "Zletovo"],
                ["C6", "Zrnovci"]
            ],
            ML: [
                ["00", "Mali (general)"],
                ["01", "Bamako"],
                ["02", "Gao"],
                ["03", "Kayes"],
                ["04", "Mopti"],
                ["05", "Ségou"],
                ["06", "Sikasso"],
                ["07", "Koulikoro"],
                ["08", "Tombouctou"],
                ["09", "Gao"],
                ["10", "Kidal"]
            ],
            MM: [
                ["00", "Burma (general)"],
                ["01", "Rakhine State"],
                ["02", "Chin State"],
                ["03", "Ayeyarwady"],
                ["04", "Kachin State"],
                ["05", "Kayin State"],
                ["06", "Kayah State"],
                ["07", "Magwe"],
                ["08", "Mandalay"],
                ["09", "Pegu"],
                ["10", "Sagain"],
                ["11", "Shan State"],
                ["12", "Tanintharyi"],
                ["13", "Mon State"],
                ["14", "Rangoon"],
                ["15", "Magway"],
                ["16", "Bago"],
                ["17", "Yangon"],
                ["22", "(BM22)"]
            ],
            MN: [
                ["00", "Erdenet Hot (historical)"],
                ["01", "Arhangay"],
                ["02", "Bayanhongor"],
                ["03", "Bayan-Ölgiy"],
                ["06", "East Aimak"],
                ["07", "East Gobi Aymag"],
                ["08", "Middle Govĭ"],
                ["09", "Dzavhan"],
                ["10", "Govĭ-Altay"],
                ["11", "Hentiy"],
                ["12", "Hovd"],
                ["13", "Hövsgöl"],
                ["14", "South Gobi Aimak"],
                ["15", "South Hangay"],
                ["16", "Selenge"],
                ["17", "Sühbaatar"],
                ["18", "Central Aimak"],
                ["19", "Uvs"],
                ["20", "Ulaanbaatar"],
                ["21", "Bulgan"],
                ["23", "Darhan Uul"],
                ["24", "Govĭ-Sumber"],
                ["25", "Orhon"]
            ],
            MO: [
                ["00", "Macau (general)"],
                ["01", "Ilhas"],
                ["02", "Macau"]
            ],
            MQ: [
                ["MQ", "Région Martinique"]
            ],
            MR: [
                ["00", "Nouakchott District de"],
                ["01", "Hodh Ech Chargui"],
                ["02", "Hodh El Gharbi"],
                ["03", "Assaba"],
                ["04", "Gorgol"],
                ["05", "Brakna"],
                ["06", "Trarza"],
                ["07", "Adrar"],
                ["08", "Dakhlet Nouadhibou"],
                ["09", "Tagant"],
                ["10", "Guidimaka"],
                ["11", "Tiris Zemmour"],
                ["12", "Inchiri"]
            ],
            MS: [
                ["00", "Montserrat (general)"],
                ["01", "Saint Anthony"],
                ["02", "Saint Georges"],
                ["03", "Saint Peter"]
            ],
            MT: [
                ["00", "Malta (general)"]
            ],
            MU: [
                ["00", "Mauritius (general)"],
                ["12", "Black River"],
                ["13", "Flacq"],
                ["14", "Grand Port"],
                ["15", "Moka"],
                ["16", "Pamplemousses"],
                ["17", "Plaines Wilhems"],
                ["18", "Port Louis"],
                ["19", "Rivière du Rempart"],
                ["20", "Savanne"],
                ["21", "Agalega Islands"],
                ["22", "Cargados Carajos"],
                ["23", "Rodrigues"]
            ],
            MV: [
                ["00", "Maale"],
                ["01", "Seenu"],
                ["02", "Alifu Atholhu"],
                ["03", "Lhaviyani Atholhu"],
                ["04", "Vaavu Atholhu"],
                ["05", "Laamu"],
                ["07", "Haa Alifu Atholhu"],
                ["08", "Thaa Atholhu"],
                ["12", "Meemu Atholhu"],
                ["13", "Raa Atholhu"],
                ["14", "Faafu Atholhu"],
                ["17", "Dhaalu Atholhu"],
                ["20", "Baa Atholhu"],
                ["23", "Haa Dhaalu Atholhu"],
                ["24", "Shaviyani Atholhu"],
                ["25", "Noonu Atholhu"],
                ["27", "Gaafu Alifu Atholhu"],
                ["28", "Gaafu Dhaalu Atholhu"],
                ["29", "Gnyaviyani Atoll"],
                ["30", "Alifu"],
                ["31", "Baa"],
                ["32", "Dhaalu"],
                ["33", "Faafu"],
                ["34", "Gaafu Alifu"],
                ["35", "Gaafu Dhaalu"],
                ["36", "Haa Alifu"],
                ["37", "Haa Dhaalu"],
                ["38", "Kaafu"],
                ["39", "Lhaviyani"],
                ["40", "Maale"],
                ["41", "Meemu"],
                ["42", "Gnaviyani"],
                ["43", "Noonu"],
                ["44", "Raa"],
                ["45", "Shaviyani"],
                ["46", "Thaa"],
                ["47", "Vaavu"]
            ],
            MW: [
                ["00", "Malawi (general)"],
                ["02", "Chikwawa"],
                ["03", "Chiradzulu"],
                ["04", "Chitipa"],
                ["05", "Thyolo"],
                ["06", "Dedza"],
                ["07", "Dowa"],
                ["08", "Karonga"],
                ["09", "Kasungu"],
                ["10", "(MI10)"],
                ["11", "Lilongwe"],
                ["12", "Mangochi"],
                ["13", "Mchinji"],
                ["14", "(MI14)"],
                ["15", "Mzimba"],
                ["16", "Ntcheu"],
                ["17", "Nkhata Bay"],
                ["18", "Nkhotakota"],
                ["19", "Nsanje"],
                ["20", "Ntchisi"],
                ["21", "Rumphi"],
                ["22", "Salima"],
                ["23", "Zomba"],
                ["24", "Blantyre"],
                ["25", "Mwanza"],
                ["26", "Balaka"],
                ["27", "Likoma"],
                ["28", "Machinga"],
                ["29", "Mulanje"],
                ["30", "Phalombe"]
            ],
            MX: [
                ["00", "Mexico (general)"],
                ["01", "Aguascalientes"],
                ["02", "Baja California"],
                ["03", "Baja California Sur"],
                ["04", "Campeche"],
                ["05", "Chiapas"],
                ["06", "Chihuahua"],
                ["07", "Coahuila"],
                ["08", "Colima"],
                ["09", "The Federal District"],
                ["10", "Durango"],
                ["11", "Guanajuato"],
                ["12", "Guerrero"],
                ["13", "Hidalgo"],
                ["14", "Jalisco"],
                ["15", "México"],
                ["16", "Michoacán"],
                ["17", "Morelos"],
                ["18", "Nayarit"],
                ["19", "Nuevo León"],
                ["20", "Oaxaca"],
                ["21", "Puebla"],
                ["22", "Querétaro"],
                ["23", "Quintana Roo"],
                ["24", "San Luis Potosí"],
                ["25", "Sinaloa"],
                ["26", "Sonora"],
                ["27", "Tabasco"],
                ["28", "Tamaulipas"],
                ["29", "Tlaxcala"],
                ["30", "Veracruz-Llave"],
                ["31", "Yucatán"],
                ["32", "Zacatecas"]
            ],
            MY: [
                ["00", "Malaysia (general)"],
                ["01", "Johor"],
                ["02", "Kedah"],
                ["03", "Kelantan"],
                ["04", "Melaka"],
                ["05", "Negeri Sembilan"],
                ["06", "Pahang"],
                ["07", "Perak"],
                ["08", "Perlis"],
                ["09", "Pulau Pinang"],
                ["11", "Sarawak"],
                ["12", "Selangor"],
                ["13", "Terengganu"],
                ["14", "Kuala Lumpur"],
                ["15", "Federal Territory of Labuan"],
                ["16", "Sabah"],
                ["17", "Putrajaya"]
            ],
            MZ: [
                ["00", "Mozambique (general)"],
                ["01", "Cabo Delgado"],
                ["02", "Gaza"],
                ["03", "Inhambane"],
                ["04", "Maputo Province"],
                ["05", "Sofala"],
                ["06", "Nampula"],
                ["07", "Niassa"],
                ["08", "Tete"],
                ["09", "Zambézia"],
                ["10", "Manica"],
                ["11", "Maputo"]
            ],
            NA: [
                ["00", "Namibia (general)"],
                ["01", "Bethanien"],
                ["02", "Caprivi Oos"],
                ["06", "Kaokoland"],
                ["13", "Otjiwarongo"],
                ["14", "Outjo"],
                ["15", "Owambo"],
                ["21", "Khomas"],
                ["25", "Kavango"],
                ["28", "Caprivi"],
                ["29", "Erongo"],
                ["30", "Hardap"],
                ["31", "Karas"],
                ["32", "Kunene"],
                ["33", "Ohangwena"],
                ["34", "Okavango"],
                ["35", "Omaheke"],
                ["36", "Omusati"],
                ["37", "Oshana"],
                ["38", "Oshikoto"],
                ["39", "Otjozondjupa"]
            ],
            NE: [
                ["00", "Niger (general)"],
                ["01", "Agadez"],
                ["02", "Diffa"],
                ["03", "Dosso"],
                ["04", "Maradi"],
                ["06", "Tahoua"],
                ["07", "Zinder"],
                ["09", "Tillabéri"]
            ],
            NF: [
                ["00", "Norfolk Island (general)"]
            ],
            NG: [
                ["00", "Bendel State"],
                ["05", "Lagos"],
                ["10", "(NI10)"],
                ["11", "Abuja Federal Capital Territory"],
                ["12", "(NI12)"],
                ["16", "Ogun"],
                ["17", "(NI17)"],
                ["18", "(NI18)"],
                ["20", "(NI20)"],
                ["21", "Akwa Ibom"],
                ["22", "Cross River"],
                ["23", "Kaduna"],
                ["24", "Katsina"],
                ["25", "Anambra"],
                ["26", "Benue"],
                ["27", "Borno"],
                ["28", "Imo"],
                ["29", "Kano"],
                ["30", "Kwara"],
                ["31", "Niger"],
                ["32", "Oyo"],
                ["34", "(NI34)"],
                ["35", "Adamawa"],
                ["36", "Delta"],
                ["37", "Edo"],
                ["39", "Jigawa"],
                ["40", "Kebbi"],
                ["41", "Kogi"],
                ["42", "Osun"],
                ["43", "Taraba"],
                ["44", "Yobe"],
                ["45", "Abia"],
                ["46", "Bauchi"],
                ["47", "Enugu"],
                ["48", "Ondo"],
                ["49", "Plateau"],
                ["50", "Rivers"],
                ["51", "Sokoto"],
                ["52", "Bayelsa"],
                ["53", "Ebonyi"],
                ["54", "Ekiti"],
                ["55", "Gombe"],
                ["56", "Nassarawa"],
                ["57", "Zamfara"]
            ],
            NI: [
                ["00", "Nicaragua (general)"],
                ["01", "Boaco"],
                ["02", "Carazo"],
                ["03", "Chinandega"],
                ["04", "Chontales"],
                ["05", "Estelí"],
                ["06", "Granada"],
                ["07", "Jinotega"],
                ["08", "León"],
                ["09", "Madriz"],
                ["10", "Managua"],
                ["11", "Masaya"],
                ["12", "Matagalpa"],
                ["13", "Nueva Segovia"],
                ["14", "Río San Juan"],
                ["15", "Rivas"],
                ["16", "Ogun State"],
                ["17", "Atlántico Norte"],
                ["18", "Región Autónoma Atlántico Sur"]
            ],
            NL: [
                ["00", "Netherlands (general)"],
                ["01", "Provincie Drenthe"],
                ["02", "Provincie Friesland"],
                ["03", "Gelderland"],
                ["04", "Groningen"],
                ["05", "Limburg"],
                ["06", "North Brabant"],
                ["07", "North Holland"],
                ["09", "Utrecht"],
                ["10", "Zeeland"],
                ["11", "South Holland"],
                ["15", "Overijssel"],
                ["16", "Flevoland"]
            ],
            NO: [
                ["00", "Jan Mayen"],
                ["01", "Akershus"],
                ["02", "Aust-Agder"],
                ["04", "Buskerud"],
                ["05", "Finnmark"],
                ["06", "Hedmark"],
                ["07", "Hordaland"],
                ["08", "Møre og Romsdal"],
                ["09", "Nordland"],
                ["10", "Nord-Trøndelag"],
                ["11", "Oppland"],
                ["12", "Oslo county"],
                ["13", "Østfold"],
                ["14", "Rogaland"],
                ["15", "Sogn og Fjordane"],
                ["16", "Sør-Trøndelag"],
                ["17", "Telemark"],
                ["18", "Troms"],
                ["19", "Vest-Agder"],
                ["20", "Vestfold"]
            ],
            NP: [
                ["00", "Bāgmatī Zone"],
                ["01", "Bāgmatī"],
                ["02", "Bherī"],
                ["03", "Dhawalāgiri"],
                ["04", "Gandakī"],
                ["05", "Janakpur"],
                ["06", "Karnālī"],
                ["07", "Kosī"],
                ["08", "Lumbinī"],
                ["09", "Mahākālī"],
                ["10", "Mechī"],
                ["11", "Nārāyanī"],
                ["12", "Rāptī"],
                ["13", "Sagarmāthā"],
                ["14", "Setī"]
            ],
            NR: [
                ["00", "Nauru (general)"],
                ["01", "Aiwo"],
                ["02", "Anabar"],
                ["03", "Anetan"],
                ["04", "Anibare"],
                ["05", "Baiti"],
                ["06", "Boe"],
                ["07", "Buada"],
                ["08", "Denigomodu"],
                ["09", "Ewa"],
                ["10", "Ijuw"],
                ["11", "Meneng"],
                ["12", "Nibok"],
                ["13", "Uaboe"],
                ["14", "Yaren"]
            ],
            NU: [
                ["00", "Niue (general)"]
            ],
            NZ: [
                ["01", "Akaroa"],
                ["03", "Amuri"],
                ["04", "Ashburton"],
                ["07", "Bay of Islands"],
                ["08", "Bruce"],
                ["09", "Buller"],
                ["10", "Chatham Islands"],
                ["11", "Cheviot"],
                ["12", "Clifton"],
                ["13", "Clutha"],
                ["14", "Cook"],
                ["16", "Dannevirke"],
                ["17", "Egmont"],
                ["18", "Eketahuna"],
                ["19", "Ellesmere"],
                ["20", "Eltham"],
                ["21", "Eyre"],
                ["2181818", "Tasman"],
                ["22", "Featherston"],
                ["24", "Franklin"],
                ["26", "Golden Bay"],
                ["27", "Great Barrier Island"],
                ["28", "Grey"],
                ["29", "Hauraki Plains"],
                ["30", "Hawera"],
                ["31", "Hawkeʼs Bay"],
                ["32", "Heathcote"],
                ["33", "Hobson"],
                ["34", "Hokianga"],
                ["35", "Horowhenua"],
                ["36", "Hutt"],
                ["37", "Inangahua"],
                ["38", "Inglewood"],
                ["39", "Kaikoura"],
                ["40", "Kairanga"],
                ["41", "Kiwitea"],
                ["43", "Lake"],
                ["45", "Mackenzie"],
                ["46", "Malvern"],
                ["47", "Manawatu"],
                ["48", "Mangonui"],
                ["49", "Maniototo"],
                ["50", "Marlborough"],
                ["51", "Masterton"],
                ["52", "Matamata"],
                ["53", "Mount Herbert"],
                ["54", "Ohinemuri"],
                ["55", "Opotiki"],
                ["56", "Oroua"],
                ["57", "Otamatea"],
                ["58", "Otorohanga"],
                ["59", "Oxford"],
                ["60", "Pahiatua"],
                ["61", "Paparua"],
                ["63", "Patea"],
                ["65", "Piako"],
                ["66", "Pohangina"],
                ["67", "Raglan"],
                ["68", "Rangiora"],
                ["69", "Rangitikei"],
                ["70", "Rodney"],
                ["71", "Rotorua"],
                ["72", "Southland"],
                ["73", "Stewart Island"],
                ["74", "Stratford"],
                ["76", "Taranaki"],
                ["77", "Taumarunui"],
                ["78", "Taupo"],
                ["79", "Tauranga"],
                ["81", "Tuapeka"],
                ["82", "Vincent"],
                ["83", "Waiapu"],
                ["84", "Waihemo"],
                ["85", "Waikato"],
                ["86", "Waikohu"],
                ["88", "Waimairi"],
                ["89", "Waimarino"],
                ["90", "Waimate"],
                ["91", "Waimate West"],
                ["92", "Waimea"],
                ["93", "Waipa"],
                ["95", "Waipawa"],
                ["96", "Waipukurau"],
                ["97", "Wairarapa South"],
                ["98", "Wairewa"],
                ["99", "Wairoa"],
                ["A1", "Whangarei"],
                ["A2", "Whangaroa"],
                ["A3", "Woodville"],
                ["A4", "Waitaki"],
                ["A6", "Waitomo"],
                ["A8", "Waitotara"],
                ["AK", "North Auckland"],
                ["B2", "Wanganui"],
                ["B3", "Westland"],
                ["B4", "Whakatane"],
                ["BM", "Marlborough"],
                ["CH", "Canterbury"],
                ["D4", "Hurunui"],
                ["D5", "Silverpeaks"],
                ["D6", "Strathallan"],
                ["D8", "Waiheke"],
                ["D9", "Hikurangi"],
                ["DN", "Otago"],
                ["E1", "Manaia"],
                ["E2", "Runanga"],
                ["E3", "Saint Kilda"],
                ["E4", "Thames-Coromandel"],
                ["E5", "Waverley"],
                ["E6", "Wallace"],
                ["E7", "Auckland"],
                ["E8", "Bay of Plenty"],
                ["E9", "Canterbury"],
                ["F1", "Gisborne"],
                ["F2", "Hawke's Bay"],
                ["F3", "Manawatu-Wanganui"],
                ["F4", "Marlborough"],
                ["F5", "Nelson"],
                ["F6", "Northland"],
                ["F7", "Otago"],
                ["F8", "Southland"],
                ["F9", "Taranaki"],
                ["G1", "Waikato"],
                ["G2", "Wellington"],
                ["G3", "West Coast"],
                ["GS", "Gisborne"],
                ["HK", "Westland"],
                ["HN", "South Auckland"],
                ["IN", "Southland"],
                ["NA", "Hawke's Bay"],
                ["NN", "Nelson"],
                ["NP", "Taranaki"],
                ["WN", "Wellington"]
            ],
            OM: [
                ["00", "Oman (general)"],
                ["01", "Ad Dākhilīyah"],
                ["02", "Al Bāţinah"],
                ["03", "Al Wusţá"],
                ["04", "Ash Sharqīyah"],
                ["05", "Az̧ Z̧āhirah"],
                ["06", "Masqaţ"],
                ["07", "Musandam"],
                ["08", "Z̧ufār"]
            ],
            PA: [
                ["00", "Panama (general)"],
                ["01", "Bocas del Toro"],
                ["02", "Chiriquí"],
                ["03", "Coclé"],
                ["04", "Colón"],
                ["05", "Darién"],
                ["06", "Herrera"],
                ["07", "Los Santos"],
                ["08", "Panamá"],
                ["09", "San Blas"],
                ["10", "Veraguas"]
            ],
            PE: [
                ["00", "Peru (general)"],
                ["01", "Amazonas"],
                ["02", "Ancash"],
                ["03", "Apurímac"],
                ["04", "Arequipa"],
                ["05", "Ayacucho"],
                ["06", "Cajamarca"],
                ["07", "Callao"],
                ["08", "Cusco"],
                ["09", "Huancavelica"],
                ["10", "Huanuco"],
                ["11", "Ica"],
                ["12", "Junín"],
                ["13", "La Libertad"],
                ["14", "Lambayeque"],
                ["15", "Lima"],
                ["15b", "Provincia de Lima"],
                ["16", "Loreto"],
                ["17", "Madre de Dios"],
                ["18", "Moquegua"],
                ["19", "Pasco"],
                ["20", "Piura"],
                ["21", "Puno"],
                ["22", "San Martín"],
                ["23", "Tacna"],
                ["24", "Tumbes"],
                ["25", "Ucayali"]
            ],
            PG: [
                ["00", "Papua New Guinea (general)"],
                ["01", "Central"],
                ["02", "Gulf"],
                ["03", "Milne Bay"],
                ["04", "Northern"],
                ["05", "Southern Highlands"],
                ["06", "Western"],
                ["07", "Bougainville"],
                ["08", "Chimbu"],
                ["09", "Eastern Highlands"],
                ["10", "East New Britain"],
                ["11", "East Sepik"],
                ["12", "Madang"],
                ["13", "Manus"],
                ["14", "Morobe"],
                ["15", "New Ireland"],
                ["16", "Western Highlands"],
                ["17", "West New Britain"],
                ["18", "Sandaun"],
                ["19", "Enga"],
                ["20", "National Capital"]
            ],
            PH: [
                ["00", "Philippines (general)"],
                ["01", "Abra"],
                ["02", "Agusan del Norte"],
                ["03", "Agusan del Sur"],
                ["04", "Aklan"],
                ["05", "Albay"],
                ["06", "Antique"],
                ["07", "Bataan"],
                ["08", "Batanes"],
                ["09", "Batangas"],
                ["10", "Benguet"],
                ["11", "Bohol"],
                ["12", "Bukidnon"],
                ["13", "Bulacan"],
                ["14", "Cagayan"],
                ["15", "Camarines Norte"],
                ["16", "Camarines Sur"],
                ["17", "Camiguin"],
                ["18", "Capiz"],
                ["19", "Catanduanes"],
                ["20", "Cavite"],
                ["21", "Cebu"],
                ["22", "Basilan"],
                ["23", "Eastern Samar"],
                ["24", "Davao"],
                ["25", "Davao del Sur"],
                ["26", "Davao Oriental"],
                ["27", "Ifugao"],
                ["28", "Ilocos Norte"],
                ["29", "Ilocos Sur"],
                ["30", "Iloilo"],
                ["31", "Isabela"],
                ["32", "Kalinga-Apayao"],
                ["33", "Laguna"],
                ["34", "Lanao del Norte"],
                ["35", "Lanao del Sur"],
                ["36", "La Union"],
                ["37", "Leyte"],
                ["38", "Marinduque"],
                ["39", "Masbate"],
                ["40", "Mindoro Occidental"],
                ["41", "Oriental Mindoro"],
                ["42", "Misamis Occidental"],
                ["43", "Misamis Oriental"],
                ["44", "Mountain Province"],
                ["45", "(RP45)"],
                ["46", "Negros Oriental"],
                ["47", "Nueva Ecija"],
                ["48", "Nueva Vizcaya"],
                ["49", "Palawan"],
                ["50", "Pampanga"],
                ["51", "Pangasinan"],
                ["53", "Rizal"],
                ["54", "Romblon"],
                ["55", "Samar"],
                ["56", "Maguindanao"],
                ["57", "North Cotabato"],
                ["58", "Sorsogon"],
                ["59", "Southern Leyte"],
                ["60", "Sulu"],
                ["61", "Surigao del Norte"],
                ["62", "Surigao del Sur"],
                ["63", "Tarlac"],
                ["64", "Zambales"],
                ["65", "Zamboanga del Norte"],
                ["66", "Zamboanga del Sur"],
                ["67", "Northern Samar"],
                ["68", "Quirino"],
                ["69", "Siquijor"],
                ["70", "South Cotabato"],
                ["71", "Sultan Kudarat"],
                ["72", "Tawi-Tawi"],
                ["A1", "Angeles"],
                ["A2", "Bacolod City"],
                ["A3", "Bago"],
                ["A4", "Baguio"],
                ["A5", "Bais"],
                ["A6", "Basilan"],
                ["A7", "Batangas"],
                ["A8", "Butuan"],
                ["A9", "Cabanatuan"],
                ["B1", "Cadiz"],
                ["B3", "Calbayog"],
                ["B4", "Caloocan"],
                ["B5", "Canlaon"],
                ["B6", "Cavite"],
                ["B7", "Cebu City"],
                ["B8", "Cotabato"],
                ["B9", "Dagupan"],
                ["C1", "Danao"],
                ["C2", "Dapitan"],
                ["C3", "Davao"],
                ["C4", "Dipolog"],
                ["C5", "Dumaguete"],
                ["C6", "General Santos"],
                ["C7", "Gingoog"],
                ["C9", "Iloilo"],
                ["D1", "Iriga"],
                ["D2", "La Carlota"],
                ["D3", "Laoag"],
                ["D4", "Lapu-Lapu"],
                ["D5", "Legaspi"],
                ["D6", "Lipa"],
                ["D7", "Lucena"],
                ["D8", "Mandaue"],
                ["D9", "Manila"],
                ["E2", "Naga"],
                ["E3", "Olongapo"],
                ["E4", "Ormoc"],
                ["E5", "Oroquieta"],
                ["E6", "Ozamis"],
                ["E7", "Pagadian"],
                ["E8", "Palayan"],
                ["E9", "Pasay"],
                ["F1", "Puerto Princesa"],
                ["F2", "Quezon"],
                ["F3", "Roxas"],
                ["F4", "San Carlos, Negros Occidental"],
                ["F5", "San Carlos, Pangasinan"],
                ["F6", "San Jose"],
                ["F7", "San Pablo"],
                ["F8", "Silay"],
                ["F9", "Surigao"],
                ["G1", "Tacloban"],
                ["G2", "Tagaytay"],
                ["G3", "Tagbilaran"],
                ["G4", "Tangub"],
                ["G5", "Toledo"],
                ["G6", "Trece Martires"],
                ["G7", "Zamboanga City"],
                ["G8", "Aurora"],
                ["H2", "Quezon"],
                ["H3", "Negros Occidental"]
            ],
            PK: [
                ["00", "Pakistan (general)"],
                ["01", "Federally Administered Tribal Areas"],
                ["02", "Balochistān"],
                ["03", "North-West Frontier"],
                ["04", "Punjab"],
                ["05", "Sindh"],
                ["06", "Azad Kashmir"],
                ["07", "Northern Areas"],
                ["08", "Islāmābād"]
            ],
            PL: [
                ["23", "Biala Podlaska"],
                ["24", "Bialystok"],
                ["25", "Bielsko"],
                ["26", "Bydgoszcz"],
                ["27", "Chelm"],
                ["28", "Ciechanow"],
                ["29", "Czestochowa"],
                ["30", "Elblag"],
                ["31", "Gdansk"],
                ["32", "Gorzow"],
                ["33", "Jelenia Gora"],
                ["34", "Kalisz"],
                ["35", "Katowice"],
                ["36", "Kielce"],
                ["37", "Konin"],
                ["38", "Koszalin"],
                ["39", "Krakow"],
                ["40", "Krosno"],
                ["41", "Legnica"],
                ["42", "Leszno"],
                ["43", "Lodz"],
                ["44", "Lomza"],
                ["45", "Lublin"],
                ["46", "Nowy Sacz"],
                ["47", "Olsztyn"],
                ["48", "Opole"],
                ["49", "Ostroleka"],
                ["50", "Pita"],
                ["51", "Piotrkow"],
                ["52", "Plock"],
                ["53", "Poznan"],
                ["54", "Przemysl"],
                ["55", "Radom"],
                ["56", "Rzeszow"],
                ["57", "Siedlce"],
                ["58", "Sieradz"],
                ["59", "Skierniewice"],
                ["60", "Slupsk"],
                ["61", "Suwalki"],
                ["62", "Szczecin"],
                ["63", "Tarnobrzeg"],
                ["64", "Tarnow"],
                ["65", "Torufi"],
                ["66", "Walbrzych"],
                ["67", "Warszawa"],
                ["68", "Wloclawek"],
                ["69", "Wroclaw"],
                ["70", "Zamosc"],
                ["71", "Zielona Gora"],
                ["72", "Lower Silesian Voivodeship"],
                ["73", "Kujawsko-Pomorskie Voivodship"],
                ["74", "Łódź Voivodeship"],
                ["75", "Lublin Voivodeship"],
                ["76", "Lubusz Voivodship"],
                ["77", "Lesser Poland Voivodeship"],
                ["78", "Masovian Voivodeship"],
                ["79", "Opole Voivodeship"],
                ["80", "Subcarpathian Voivodeship"],
                ["81", "Podlasie Voivodship"],
                ["82", "Pomeranian Voivodeship"],
                ["83", "Silesian Voivodeship"],
                ["84", "Świętokrzyskie Voivodship"],
                ["85", "Warmian-Masurian Voivodeship"],
                ["86", "Greater Poland Voivodeship"],
                ["87", "West Pomeranian Voivodeship"]
            ],
            PM: [
                ["975", "Collectivité territoriale de Saint-Pierre-et-Miquelon"]
            ],
            PN: [
                ["00", "Pitcairn Islands (general)"]
            ],
            PR: [
                ["00", "San Juan"]
            ],
            PS: [
                ["00", "Palestine (general)"],
                ["GZ", "Gaza Strip"],
                ["WE", "West Bank"]
            ],
            PT: [
                ["00", "Portugal (general)"],
                ["02", "Aveiro"],
                ["03", "Beja"],
                ["04", "Braga"],
                ["05", "Bragança"],
                ["06", "Castelo Branco"],
                ["07", "Coimbra"],
                ["08", "Évora"],
                ["09", "Faro"],
                ["10", "Madeira"],
                ["11", "Guarda"],
                ["13", "Leiria"],
                ["14", "Lisbon"],
                ["16", "Portalegre"],
                ["17", "Porto"],
                ["18", "Santarém"],
                ["19", "Setúbal"],
                ["20", "Viana do Castelo"],
                ["21", "Vila Real"],
                ["22", "Viseu"],
                ["23", "Azores"]
            ],
            PW: [
                ["00", "State of Ngeremlengui"]
            ],
            PY: [
                ["00", "Paraguay (general)"],
                ["01", "Alto Paraná"],
                ["02", "Amambay"],
                ["03", "Departamento de Alto Paraguay"],
                ["04", "Caaguazú"],
                ["05", "Caazapá"],
                ["06", "Central"],
                ["07", "Concepción"],
                ["08", "Cordillera"],
                ["10", "Guairá"],
                ["11", "Itapúa"],
                ["12", "Misiones"],
                ["13", "Ñeembucú"],
                ["15", "Paraguarí"],
                ["16", "Presidente Hayes"],
                ["17", "San Pedro"],
                ["19", "Canindeyú"],
                ["22", "Asunción"],
                ["23", "Asunción"],
                ["24", "Boquerón"]
            ],
            QA: [
                ["00", "Qatar (general)"],
                ["01", "Ad Dawḩah"],
                ["02", "Al Ghuwayrīyah"],
                ["03", "Al Jumaylīyah"],
                ["04", "Al Khawr"],
                ["05", "Al Wakrah Municipality"],
                ["06", "Ar Rayyān"],
                ["07", "Jarayan al Batinah"],
                ["08", "Madīnat ash Shamāl"],
                ["09", "Umm Şalāl"],
                ["10", "Al Wakrah"],
                ["11", "Jarayān al Bāţinah"],
                ["12", "Umm Sa‘īd"]
            ],
            RE: [
                ["RE", "Région Réunion"]
            ],
            RO: [
                ["01", "Alba"],
                ["02", "Arad"],
                ["03", "Argeş"],
                ["04", "Bacău"],
                ["05", "Bihor"],
                ["06", "Bistriţa-Năsăud"],
                ["07", "Botoşani"],
                ["08", "Brăila"],
                ["09", "Braşov"],
                ["10", "Bucureşti"],
                ["11", "Buzău"],
                ["12", "Caraş-Severin"],
                ["13", "Cluj"],
                ["14", "Constanţa"],
                ["15", "Covasna"],
                ["16", "Dâmboviţa"],
                ["17", "Dolj"],
                ["18", "Galaţi"],
                ["19", "Gorj"],
                ["20", "Harghita"],
                ["21", "Hunedoara"],
                ["22", "Ialomiţa"],
                ["23", "Iaşi"],
                ["25", "Maramureş"],
                ["26", "Mehedinţi"],
                ["27", "Mureş"],
                ["28", "Neamţ"],
                ["29", "Olt"],
                ["30", "Prahova"],
                ["31", "Sălaj"],
                ["32", "Satu Mare"],
                ["33", "Sibiu"],
                ["34", "Suceava"],
                ["35", "Teleorman"],
                ["36", "Timiş"],
                ["37", "Tulcea"],
                ["38", "Vaslui"],
                ["39", "Vâlcea"],
                ["40", "Judeţul Vrancea"],
                ["41", "Călăraşi"],
                ["42", "Giurgiu"],
                ["43", "Ilfov"]
            ],
            RS: [
                ["00", "Serbia (general)"],
                ["01", "Kosovo"],
                ["02", "Autonomna Pokrajina Vojvodina"]
            ],
            RU: [
                ["00", "Russia (general)"],
                ["01", "Adygeya"],
                ["02", "Aginskiy Buryatskiy Avtonomnyy Okrug"],
                ["03", "Altay"],
                ["04", "Altayskiy Kray"],
                ["05", "Amur"],
                ["06", "Arkhangelskaya oblast"],
                ["07", "Astrakhan"],
                ["08", "Bashkortostan"],
                ["09", "Belgorod"],
                ["10", "Brjansk"],
                ["11", "Buryatiya"],
                ["12", "Chechnya"],
                ["13", "Tsjeljabinsk"],
                ["14", "Tsjita"],
                ["15", "Chukotskiy Avtonomnyy Okrug"],
                ["16", "Chuvashia"],
                ["17", "Dagestan"],
                ["18", "Evenkiyskiy Avtonomnyy Okrug"],
                ["19", "Ingushetiya"],
                ["20", "Irkutsk"],
                ["21", "Ivanovo"],
                ["22", "Kabardino-Balkariya"],
                ["23", "Kaliningrad"],
                ["24", "Kalmykiya"],
                ["25", "Kaluga"],
                ["26", "Kamtsjatka"],
                ["27", "Karachayevo-Cherkesiya"],
                ["28", "Kareliya"],
                ["29", "Kemerovo"],
                ["30", "Khabarovsk Krai"],
                ["31", "Khakasiya"],
                ["32", "Khanty-Mansiyskiy Avtonomnyy Okrug"],
                ["33", "Kirov"],
                ["34", "Komi"],
                ["36", "Koryakskiy Avtonomnyy Okrug"],
                ["37", "Kostroma"],
                ["38", "Krasnodarskiy Kray"],
                ["39", "Krasnoyarskiy Kray"],
                ["40", "Kurgan"],
                ["41", "Kursk"],
                ["42", "Leningradskaya Oblast'"],
                ["43", "Lipetsk"],
                ["44", "Magadan"],
                ["45", "Mariy-El"],
                ["46", "Mordoviya"],
                ["47", "Moskovskaya Oblast'"],
                ["48", "Moscow"],
                ["49", "Murmansk Oblast"],
                ["50", "Nenetskiy Avtonomnyy Okrug"],
                ["51", "Nizjnij Novgorod"],
                ["52", "Novgorod"],
                ["53", "Novosibirsk"],
                ["54", "Omsk"],
                ["55", "Orenburg"],
                ["56", "Orjol"],
                ["57", "Penza"],
                ["59", "Primorskiy Kray"],
                ["60", "Pskov"],
                ["61", "Rostov"],
                ["62", "Rjazan"],
                ["63", "Sakha"],
                ["64", "Sakhalin"],
                ["65", "Samara"],
                ["66", "Sankt-Peterburg"],
                ["67", "Saratov"],
                ["68", "Severnaya Osetiya-Alaniya"],
                ["69", "Smolensk"],
                ["70", "Stavropol'skiy Kray"],
                ["71", "Sverdlovsk"],
                ["72", "Tambov"],
                ["73", "Tatarstan"],
                ["74", "Taymyrskiy (Dolgano-Nenetskiy) Avtonomnyy Okrug"],
                ["75", "Tomsk"],
                ["76", "Tula"],
                ["77", "Tverskaya Oblast’"],
                ["78", "Tjumen"],
                ["79", "Tyva"],
                ["80", "Udmurtiya"],
                ["81", "Uljanovsk"],
                ["82", "Ust'-Ordynskiy Buryatskiy Avtonomnyy Okrug"],
                ["83", "Vladimir"],
                ["84", "Volgograd"],
                ["85", "Vologda"],
                ["86", "Voronezj"],
                ["87", "Yamalo-Nenetskiy Avtonomnyy Okrug"],
                ["88", "Jaroslavl"],
                ["89", "Jewish Autonomous Oblast"],
                ["90", "Perm"],
                ["JA", "RSJA"]
            ],
            RW: [
                ["00", "Rwanda (general)"],
                ["01", "Butare"],
                ["02", "Byumba"],
                ["03", "Cyangugu"],
                ["04", "Gikongoro"],
                ["05", "Gisenyi"],
                ["06", "Gitarama"],
                ["07", "Kibungo"],
                ["08", "Kibuye"],
                ["09", "Kigali"],
                ["10", "Ruhengeri"],
                ["11", "Eastern Province"],
                ["12", "Kigali City"],
                ["13", "Northern Province"],
                ["14", "Western Province"],
                ["15", "Southern Province"]
            ],
            SA: [
                ["00", "Saudi Arabia (general)"],
                ["02", "Al Bāḩah"],
                ["05", "Al Madīnah"],
                ["06", "Ash Sharqīyah"],
                ["08", "Al Qaşīm"],
                ["10", "Ar Riyāḑ"],
                ["11", "‘Asīr"],
                ["13", "Ḩāʼil"],
                ["14", "Makkah"],
                ["15", "Northern Borders Region"],
                ["16", "Najrān"],
                ["17", "Jīzān"],
                ["19", "Tabūk"],
                ["20", "Al Jawf"]
            ],
            SB: [
                ["00", "Makira Province"],
                ["03", "Malaita"],
                ["04", "Western"],
                ["05", "Central"],
                ["06", "Guadalcanal"],
                ["07", "Isabel"],
                ["08", "Makira"],
                ["09", "Temotu"],
                ["11", "Choiseul"],
                ["12", "Rennell and Bellona"]
            ],
            SC: [
                ["00", "Seychelles (general)"],
                ["01", "Anse aux Pins"],
                ["02", "Anse Boileau"],
                ["03", "Anse Etoile"],
                ["04", "Anse Louis"],
                ["05", "Anse Royale"],
                ["06", "Baie Lazare"],
                ["07", "Baie Sainte Anne"],
                ["08", "Beau Vallon"],
                ["09", "Bel Air"],
                ["10", "Bel Ombre"],
                ["11", "Cascade"],
                ["12", "Glacis"],
                ["13", "Saint Thomas Middle Island Parish"],
                ["14", "Grand Anse Praslin"],
                ["15", "Trinity Palmetto Point Parish"],
                ["16", "La Riviere Anglaise"],
                ["17", "Mont Buxton"],
                ["18", "Mont Fleuri"],
                ["19", "Plaisance"],
                ["20", "Pointe Larue"],
                ["21", "Port Glaud"],
                ["22", "Saint Louis"],
                ["23", "Takamaka"],
                ["24", "Anse aux Pins"],
                ["25", "Inner Islands"],
                ["26", "English River"],
                ["27", "Port Glaud"],
                ["28", "Baie Lazare"],
                ["29", "Beau Vallon"],
                ["30", "Bel Ombre"],
                ["31", "Glacis"],
                ["32", "Grand Anse Mahe"],
                ["33", "Grand Anse Praslin"],
                ["34", "Inner Islands"],
                ["35", "English River"],
                ["36", "Mont Fleuri"],
                ["37", "Plaisance"],
                ["38", "Pointe Larue"],
                ["39", "Port Glaud"],
                ["40", "Takamaka"],
                ["41", "Au Cap"],
                ["42", "Les Mamelles"],
                ["43", "Roche Caiman"]
            ],
            SD: [
                ["00", "Sudan (general)"],
                ["26", "(SU26)"],
                ["27", "Al Wilāyah al Wusţá"],
                ["28", "Al Wilāyah al Istiwā'īyah"],
                ["29", "Khartoum"],
                ["30", "Ash Shamaliyah"],
                ["31", "Al Wilāyah ash Sharqīyah"],
                ["32", "Ba?r al Ghazal Wilayat"],
                ["33", "Darfur Wilayat"],
                ["34", "Kurdufan Wilayat"],
                ["35", "Upper Nile"],
                ["36", "Red Sea"],
                ["37", "Lakes"],
                ["38", "Al Jazirah"],
                ["39", "Al Qadarif"],
                ["40", "Unity"],
                ["41", "White Nile"],
                ["42", "Blue Nile"],
                ["43", "Northern"],
                ["44", "Central Equatoria"],
                ["45", "Gharb al Istiwāʼīyah"],
                ["46", "Western Bahr al Ghazal"],
                ["47", "Gharb Dārfūr"],
                ["48", "Gharb Kurdufān"],
                ["49", "Janūb Dārfūr"],
                ["50", "Janūb Kurdufān"],
                ["51", "Junqalī"],
                ["52", "Kassalā"],
                ["53", "Nahr an Nīl"],
                ["54", "Shamāl Baḩr al Ghazāl"],
                ["55", "Shamāl Dārfūr"],
                ["56", "Shamāl Kurdufān"],
                ["57", "Eastern Equatoria"],
                ["58", "Sinnār"],
                ["59", "Warab"]
            ],
            SE: [
                ["00", "Sweden (general)"],
                ["01", "Alvsborg "],
                ["02", "Blekinge"],
                ["03", "Gävleborg"],
                ["04", "Goteborgs Och Bohus"],
                ["05", "Gotland"],
                ["06", "Halland"],
                ["07", "Jämtland"],
                ["08", "Jönköping"],
                ["09", "Kalmar"],
                ["10", "Dalarna"],
                ["11", "Kristianstad"],
                ["12", "Kronoberg"],
                ["13", "Malmohus"],
                ["14", "Norrbotten"],
                ["15", "Örebro"],
                ["16", "Östergötland"],
                ["17", "Skaraborg"],
                ["18", "Södermanland"],
                ["21", "Uppsala"],
                ["22", "Värmland"],
                ["23", "Västerbotten"],
                ["24", "Västernorrland"],
                ["25", "Västmanland"],
                ["26", "Stockholm"],
                ["27", "Skåne"],
                ["28", "Västra Götaland"]
            ],
            SG: [
                ["00", "Singapore (general)"]
            ],
            SH: [
                ["00", "Saint Helena (general)"],
                ["01", "Ascension"],
                ["02", "Saint Helena"],
                ["03", "Tristan da Cunha"]
            ],
            SI: [
                ["03", "Bled"],
                ["04", "Bohinj"],
                ["05", "Borovnica"],
                ["06", "Bovec"],
                ["07", "Brda"],
                ["08", "Brežice"],
                ["09", "Brezovica"],
                ["11", "Celje"],
                ["12", "Občina Cerklje na Gorenjskem"],
                ["13", "Cerknica"],
                ["14", "Cerkno"],
                ["15", "Črenšovci"],
                ["16", "Črna na Koroškem"],
                ["17", "Črnomelj"],
                ["19", "Divača"],
                ["20", "Dobrepolje"],
                ["22", "Občina Dol pri Ljubljani"],
                ["24", "Dornava"],
                ["25", "Dravograd"],
                ["26", "Duplek"],
                ["27", "Gorenja Vas-Poljane"],
                ["28", "Gorišnica"],
                ["29", "Gornja Radgona"],
                ["30", "Gornji Grad"],
                ["31", "Gornji Petrovci"],
                ["32", "Grosuplje"],
                ["34", "Hrastnik"],
                ["35", "Hrpelje-Kozina"],
                ["36", "Idrija"],
                ["37", "Ig"],
                ["38", "Ilirska Bistrica"],
                ["39", "Ivančna Gorica"],
                ["40", "Izola-Isola"],
                ["42", "Juršinci"],
                ["44", "Kanal"],
                ["45", "Kidričevo"],
                ["46", "Kobarid"],
                ["47", "Kobilje"],
                ["49", "Komen"],
                ["50", "Koper-Capodistria"],
                ["51", "Kozje"],
                ["52", "Kranj"],
                ["53", "Kranjska Gora"],
                ["54", "Krško"],
                ["55", "Kungota"],
                ["57", "Laško"],
                ["61", "Ljubljana"],
                ["62", "Ljubno"],
                ["64", "Logatec"],
                ["66", "Loški Potok"],
                ["68", "Lukovica"],
                ["71", "Medvode"],
                ["72", "Mengeš"],
                ["73", "Metlika"],
                ["74", "Mežica"],
                ["76", "Mislinja"],
                ["77", "Moravče"],
                ["78", "Moravske Toplice"],
                ["79", "Mozirje"],
                ["80", "Murska Sobota"],
                ["81", "Muta"],
                ["82", "Naklo"],
                ["83", "Nazarje"],
                ["84", "Nova Gorica"],
                ["86", "Odranci"],
                ["87", "Ormož"],
                ["88", "Osilnica"],
                ["89", "Pesnica"],
                ["91", "Pivka"],
                ["92", "Podčetrtek"],
                ["94", "Postojna"],
                ["97", "Puconci"],
                ["98", "Rače-Fram"],
                ["99", "Radeče"],
                ["A1", "Radenci"],
                ["A2", "Radlje ob Dravi"],
                ["A3", "Radovljica"],
                ["A6", "Rogašovci"],
                ["A7", "Rogaška Slatina"],
                ["A8", "Rogatec"],
                ["B1", "Semič"],
                ["B2", "Šenčur"],
                ["B3", "Šentilj"],
                ["B4", "Šentjernej"],
                ["B6", "Sevnica"],
                ["B7", "Sežana"],
                ["B8", "Škocjan"],
                ["B9", "Škofja Loka"],
                ["C1", "Škofljica"],
                ["C2", "Slovenj Gradec"],
                ["C4", "Slovenska Konjice"],
                ["C5", "Šmarje pri Jelšah"],
                ["C6", "Šmartno ob Paki"],
                ["C7", "Šoštanj"],
                ["C8", "Starše"],
                ["C9", "Štore"],
                ["D1", "Sveti Jurij"],
                ["D2", "Tolmin"],
                ["D3", "Trbovlje"],
                ["D4", "Trebnje"],
                ["D5", "Tržič"],
                ["D6", "Turnišče"],
                ["D7", "Velenje"],
                ["D8", "Velike Lašče"],
                ["E1", "Vipava"],
                ["E2", "Vitanje"],
                ["E3", "Vodice"],
                ["E5", "Vrhnika"],
                ["E6", "Vuzenica"],
                ["E7", "Zagorje ob Savi"],
                ["E9", "Zavrč"],
                ["F1", "Železniki"],
                ["F2", "Žiri"],
                ["F3", "Zreče"],
                ["F4", "Benedikt"],
                ["F5", "Bistrica ob Sotli"],
                ["F6", "Bloke"],
                ["F7", "Braslovče"],
                ["F8", "Cankova"],
                ["F9", "Cerkvenjak"],
                ["G1", "Destrnik"],
                ["G2", "Dobje"],
                ["G3", "Dobrna"],
                ["G4", "Dobrova-Horjul-Polhov Gradec"],
                ["G5", "Dobrovnik-Dobronak"],
                ["G6", "Dolenjske Toplice"],
                ["G7", "Domžale"],
                ["G8", "Grad"],
                ["G9", "Hajdina"],
                ["H1", "Hoče-Slivnica"],
                ["H2", "Hodoš-Hodos"],
                ["H3", "Horjul"],
                ["H4", "Jesenice"],
                ["H5", "Jezersko"],
                ["H6", "Kamnik"],
                ["H7", "Kočevje"],
                ["H8", "Komenda"],
                ["H9", "Kostel"],
                ["I1", "Križevci"],
                ["I2", "Kuzma"],
                ["I3", "Lenart"],
                ["I5", "Litija"],
                ["I6", "Ljutomer"],
                ["I7", "Loška Dolina"],
                ["I8", "Lovrenc na Pohorju"],
                ["I9", "Luče"],
                ["J1", "Majšperk"],
                ["J2", "Maribor"],
                ["J3", "Markovci"],
                ["J4", "Miklavž na Dravskem Polju"],
                ["J5", "Miren-Kostanjevica"],
                ["J6", "Mirna Peč"],
                ["J7", "Novo Mesto"],
                ["J8", "Oplotnica"],
                ["J9", "Piran-Pirano"],
                ["K1", "Podlehnik"],
                ["K3", "Polzela"],
                ["K4", "Prebold"],
                ["K5", "Preddvor"],
                ["K6", "Prevalje"],
                ["K7", "Ptuj"],
                ["K8", "Ravne na Koroškem"],
                ["K9", "Razkrižje"],
                ["L1", "Ribnica"],
                ["L2", "Ribnica na Pohorju"],
                ["L3", "Ruše"],
                ["L5", "Selnica ob Dravi"],
                ["L6", "Šempeter-Vrtojba"],
                ["L7", "Šentjur pri Celju"],
                ["L8", "Slovenska Bistrica"],
                ["L9", "Šmartno pri Litiji"],
                ["M1", "Sodražica"],
                ["M2", "Solčava"],
                ["M3", "Sveta Ana"],
                ["M4", "Sveti Andraž v Slovenskih Goricah"],
                ["M5", "Tabor"],
                ["M8", "Trzin"],
                ["M9", "Velika Polana"],
                ["N1", "Veržej"],
                ["N2", "Videm"],
                ["N3", "Vojnik"],
                ["N4", "Vransko"],
                ["N5", "Žalec"],
                ["N6", "Žetale"],
                ["N7", "Žirovnica"],
                ["N8", "Žužemberk"]
            ],
            SK: [
                ["00", "Slovakia (general)"],
                ["01", "Banskobystrický"],
                ["02", "Bratislavský"],
                ["03", "Košický"],
                ["04", "Nitriansky"],
                ["05", "Prešovský"],
                ["06", "Trenčiansky"],
                ["07", "Trnavský"],
                ["08", "Žilinský"]
            ],
            SL: [
                ["00", "Sierra Leone (general)"],
                ["01", "Eastern Province"],
                ["02", "Northern Province"],
                ["03", "Southern Province"],
                ["04", "Western Area"]
            ],
            SM: [
                ["00", "San Marino (general)"],
                ["01", "Acquaviva"],
                ["02", "Chiesanuova"],
                ["03", "Domagnano"],
                ["04", "Faetano"],
                ["05", "Fiorentino"],
                ["06", "Borgo Maggiore"],
                ["07", "San Marino"],
                ["08", "Montegiardino"],
                ["09", "Serravalle"]
            ],
            SN: [
                ["00", "Senegal (general)"],
                ["01", "Dakar"],
                ["03", "Diourbel"],
                ["04", "Saint-Louis"],
                ["05", "Tambacounda"],
                ["07", "Thiès"],
                ["08", "Louga"],
                ["09", "Fatick"],
                ["10", "Kaolack"],
                ["11", "Kolda Region"],
                ["12", "Ziguinchor"],
                ["13", "Louga"],
                ["14", "Saint-Louis"],
                ["15", "Matam"]
            ],
            SO: [
                ["00", "Somalia (general)"],
                ["01", "Bakool"],
                ["02", "Banaadir"],
                ["03", "Bari"],
                ["04", "Bay"],
                ["05", "Galguduud"],
                ["06", "Gedo"],
                ["07", "Hiiraan"],
                ["08", "Middle Juba"],
                ["09", "Lower Juba"],
                ["10", "Mudug"],
                ["12", "Sanaag"],
                ["13", "Middle Shabele"],
                ["14", "Shabeellaha Hoose"],
                ["17", "(SO17)"],
                ["18", "Nugaal"],
                ["19", "Togdheer"],
                ["20", "Woqooyi Galbeed"],
                ["21", "Awdal"],
                ["22", "Sool"]
            ],
            SR: [
                ["00", "Suriname (general)"],
                ["10", "Brokopondo"],
                ["11", "Commewijne"],
                ["12", "Coronie"],
                ["13", "Marowijne"],
                ["14", "Nickerie"],
                ["15", "Para"],
                ["16", "Paramaribo"],
                ["17", "Saramacca"],
                ["18", "Sipaliwini"],
                ["19", "Wanica"]
            ],
            ST: [
                ["00", "Príncipe"],
                ["01", "Príncipe"],
                ["02", "São Tomé"]
            ],
            SV: [
                ["00", "El Salvador (general)"],
                ["01", "Ahuachapán"],
                ["02", "Cabañas"],
                ["03", "Chalatenango"],
                ["04", "Cuscatlán"],
                ["05", "La Libertad"],
                ["06", "La Paz"],
                ["07", "La Unión"],
                ["08", "Morazán"],
                ["09", "San Miguel"],
                ["10", "San Salvador"],
                ["11", "Santa Ana"],
                ["12", "San Vicente"],
                ["13", "Sonsonate"],
                ["14", "Usulután"]
            ],
            SY: [
                ["00", "Syria (general)"],
                ["01", "Al-Hasakah"],
                ["02", "Latakia"],
                ["03", "Quneitra"],
                ["04", "Ar-Raqqah"],
                ["05", "As-Suwayda"],
                ["06", "Daraa"],
                ["07", "Deir ez-Zor"],
                ["08", "Rif-dimashq"],
                ["09", "Aleppo"],
                ["10", "Hama Governorate"],
                ["11", "Homs"],
                ["12", "Idlib"],
                ["13", "Damascus City"],
                ["14", "Tartus"]
            ],
            SZ: [
                ["00", "Swaziland (general)"],
                ["01", "Hhohho"],
                ["02", "Lubombo"],
                ["03", "Manzini"],
                ["04", "Shiselweni"]
            ],
            TC: [
                ["00", "Turks and Caicos Islands (general)"]
            ],
            TD: [
                ["00", "Chad (general)"],
                ["01", "Batha"],
                ["02", "Biltine"],
                ["03", "Borkou-Ennedi-Tibesti"],
                ["04", "Chari-Baguirmi"],
                ["05", "Guéra"],
                ["06", "Kanem"],
                ["07", "Lac"],
                ["08", "Logone Occidental"],
                ["09", "Logone Oriental"],
                ["10", "Mayo-Kébbi"],
                ["11", "Moyen-Chari"],
                ["12", "Ouaddaï"],
                ["13", "Salamat"],
                ["14", "Tandjilé"]
            ],
            TF: [
                ["01", "District de Saint-Paul-et-Amsterdam"],
                ["02", "District de Crozet"],
                ["03", "District de Kerguelen"],
                ["04", "District de Terre Adélie"],
                ["05", "District des Îles Éparses"]
            ],
            TG: [
                ["00", "Togo (general)"],
                ["01", "Amlame"],
                ["02", "Aneho"],
                ["03", "Atakpame"],
                ["04", "Bafilo"],
                ["05", "Bassar"],
                ["06", "Dapaong"],
                ["07", "Kante"],
                ["08", "Klouto"],
                ["09", "Lama-Kara"],
                ["10", "Lome"],
                ["11", "Mango"],
                ["12", "Niamtougou"],
                ["13", "Notse"],
                ["14", "Kpagouda"],
                ["15", "Badou"],
                ["16", "Sotouboua"],
                ["17", "Tabligbo"],
                ["18", "Tsevie"],
                ["19", "Tchamba"],
                ["20", "Tchaoudjo"],
                ["21", "Vogan"],
                ["22", "Centrale"],
                ["23", "Kara"],
                ["24", "Maritime"],
                ["25", "Plateaux"],
                ["26", "Savanes"]
            ],
            TH: [
                ["00", "Thailand (general)"],
                ["01", "Mae Hong Son"],
                ["02", "Chiang Mai"],
                ["03", "Chiang Rai"],
                ["04", "Nan"],
                ["05", "Lamphun"],
                ["06", "Lampang"],
                ["07", "Phrae"],
                ["08", "Tak"],
                ["09", "Sukhothai"],
                ["10", "Uttaradit"],
                ["11", "Kamphaeng Phet"],
                ["12", "Phitsanulok"],
                ["13", "Phichit"],
                ["14", "Phetchabun"],
                ["15", "Uthai Thani"],
                ["16", "Nakhon Sawan"],
                ["17", "Nong Khai"],
                ["18", "Loei"],
                ["20", "Sakon Nakhon"],
                ["21", "Nakhon Phanom"],
                ["22", "Khon Kaen"],
                ["23", "Kalasin"],
                ["24", "Maha Sarakham"],
                ["25", "Roi Et"],
                ["26", "Chaiyaphum"],
                ["27", "Nakhon Ratchasima"],
                ["28", "Buriram"],
                ["29", "Surin"],
                ["30", "Sisaket"],
                ["31", "Narathiwat"],
                ["32", "Chai Nat"],
                ["33", "Sing Buri"],
                ["34", "Lop Buri"],
                ["35", "Ang Thong"],
                ["36", "Phra Nakhon Si Ayutthaya"],
                ["37", "Sara Buri"],
                ["38", "Nonthaburi"],
                ["39", "Pathum Thani"],
                ["41", "Phayao"],
                ["42", "Samut Prakan"],
                ["43", "Nakhon Nayok"],
                ["44", "Chachoengsao"],
                ["46", "Chon Buri"],
                ["47", "Rayong"],
                ["48", "Chanthaburi"],
                ["49", "Trat"],
                ["50", "Kanchanaburi"],
                ["51", "Suphan Buri"],
                ["52", "Ratchaburi"],
                ["53", "Nakhon Pathom"],
                ["54", "Samut Songkhram"],
                ["55", "Samut Sakhon"],
                ["56", "Phetchaburi"],
                ["57", "Prachuap Khiri Khan"],
                ["58", "Chumphon"],
                ["59", "Ranong"],
                ["60", "Surat Thani"],
                ["61", "Phangnga"],
                ["62", "Phuket"],
                ["63", "Krabi"],
                ["64", "Nakhon Si Thammarat"],
                ["65", "Trang"],
                ["66", "Phatthalung"],
                ["67", "Satun"],
                ["68", "Songkhla"],
                ["69", "Pattani"],
                ["70", "Yala"],
                ["72", "Yasothon"],
                ["73", "Nakhon Phanom"],
                ["74", "Prachin Buri"],
                ["75", "Ubon Ratchathani"],
                ["76", "Udon Thani"],
                ["77", "Amnat Charoen"],
                ["78", "Mukdahan"],
                ["79", "Nong Bua Lamphu"],
                ["80", "Sa Kaeo"]
            ],
            TJ: [
                ["00", "Kulyabskaya Oblast'"],
                ["01", "Gorno-Badakhshan"],
                ["02", "Khatlon"],
                ["03", "Leninobod"],
                ["RR", "Region of Republican Subordination"]
            ],
            TK: [
                ["00", "Tokelau (general)"]
            ],
            TL: [
                ["00", "Bobonaro"]
            ],
            TM: [
                ["00", "Turkmenistan (general)"],
                ["01", "Ahal"],
                ["02", "Balkan"],
                ["03", "Daşoguz"],
                ["04", "Lebap"],
                ["05", "Mary"]
            ],
            TN: [
                ["00", "Tunis al Janubiyah Wilayat"],
                ["02", "Al Qaşrayn"],
                ["03", "Al Qayrawān"],
                ["06", "Jundūbah"],
                ["14", "Kef"],
                ["15", "Al Mahdīyah"],
                ["16", "Al Munastīr"],
                ["17", "Bājah"],
                ["18", "Banzart"],
                ["19", "Nābul"],
                ["22", "Silyānah"],
                ["23", "Sūsah"],
                ["26", "(TS26)"],
                ["27", "Bin ‘Arūs"],
                ["28", "Madanīn"],
                ["29", "Qābis"],
                ["30", "Qafşah"],
                ["31", "Qibilī"],
                ["32", "Şafāqis"],
                ["33", "Sīdī Bū Zayd"],
                ["34", "Taţāwīn"],
                ["35", "Tawzar"],
                ["36", "Tūnis"],
                ["37", "Zaghwān"],
                ["38", "Ariana"],
                ["39", "Manouba"]
            ],
            TO: [
                ["00", "Tonga (general)"],
                ["01", "Ha‘apai"],
                ["02", "Tongatapu"],
                ["03", "Vava‘u"]
            ],
            TR: [
                ["00", "Turkey (general)"],
                ["01", "Adana Province"],
                ["02", "Adıyaman"],
                ["03", "Afyonkarahisar"],
                ["04", "Ağrı Province"],
                ["05", "Amasya Province"],
                ["07", "Antalya Province"],
                ["08", "Artvin Province"],
                ["09", "Aydın Province"],
                ["10", "Balıkesir Province"],
                ["11", "Bilecik Province"],
                ["12", "Bingöl Province"],
                ["13", "Bitlis Province"],
                ["14", "Bolu Province"],
                ["15", "Burdur Province"],
                ["16", "Bursa"],
                ["17", "Çanakkale Province"],
                ["19", "Çorum Province"],
                ["20", "Denizli Province"],
                ["21", "Diyarbakır"],
                ["22", "Edirne Province"],
                ["23", "Elazığ"],
                ["24", "Erzincan Province"],
                ["25", "Erzurum Province"],
                ["26", "Eskişehir Province"],
                ["28", "Giresun Province"],
                ["31", "Hatay Province"],
                ["32", "Mersin Province"],
                ["33", "Isparta Province"],
                ["34", "Istanbul"],
                ["35", "İzmir"],
                ["37", "Kastamonu Province"],
                ["38", "Kayseri Province"],
                ["39", "Kırklareli Province"],
                ["40", "Kırşehir Province"],
                ["41", "Kocaeli Province"],
                ["43", "Kütahya Province"],
                ["44", "Malatya Province"],
                ["45", "Manisa Province"],
                ["46", "Kahramanmaraş Province"],
                ["48", "Muğla Province"],
                ["49", "Muş Province"],
                ["50", "Nevşehir"],
                ["52", "Ordu"],
                ["53", "Rize"],
                ["54", "Sakarya Province"],
                ["55", "Samsun Province"],
                ["57", "Sinop Province"],
                ["58", "Sivas Province"],
                ["59", "Tekirdağ Province"],
                ["60", "Tokat"],
                ["61", "Trabzon Province"],
                ["62", "Tunceli Province"],
                ["63", "Şanlıurfa Province"],
                ["64", "Uşak Province"],
                ["65", "Van Province"],
                ["66", "Yozgat Province"],
                ["68", "Ankara Province"],
                ["69", "Gümüşhane"],
                ["70", "Hakkâri Province"],
                ["71", "Konya Province"],
                ["72", "Mardin Province"],
                ["73", "Niğde"],
                ["74", "Siirt Province"],
                ["75", "Aksaray Province"],
                ["76", "Batman Province"],
                ["77", "Bayburt"],
                ["78", "Karaman Province"],
                ["79", "Kırıkkale Province"],
                ["80", "Şırnak Province"],
                ["82", "Çankırı Province"],
                ["83", "Gaziantep Province"],
                ["84", "Kars"],
                ["85", "Zonguldak"],
                ["86", "Ardahan Province"],
                ["87", "Bartın Province"],
                ["88", "Iğdır Province"],
                ["89", "Karabük"],
                ["90", "Kilis Province"],
                ["91", "Osmaniye Province"],
                ["92", "Yalova Province"],
                ["93", "Düzce"]
            ],
            TT: [
                ["00", "Trinidad and Tobago (general)"],
                ["01", "Arima"],
                ["02", "Caroni"],
                ["03", "Mayaro"],
                ["04", "Nariva"],
                ["05", "Port-of-Spain"],
                ["06", "Saint Andrew"],
                ["07", "Saint David"],
                ["08", "Saint George"],
                ["09", "Saint Patrick"],
                ["10", "San Fernando"],
                ["11", "Tobago"],
                ["12", "Victoria"]
            ],
            TV: [
                ["00", "Tuvalu (general)"]
            ],
            TW: [
                ["00", "Taiwan (general)"],
                ["01", "Fu-chien"],
                ["03", "T'ai-pei"]
            ],
            TZ: [
                ["00", "Tanzania (general)"],
                ["01", "Arusha"],
                ["02", "Pwani"],
                ["03", "Dodoma"],
                ["04", "Iringa"],
                ["05", "Kigoma"],
                ["06", "Kilimanjaro"],
                ["07", "Lindi"],
                ["08", "Mara"],
                ["09", "Mbeya"],
                ["10", "Morogoro"],
                ["11", "Mtwara"],
                ["12", "Mwanza"],
                ["13", "Pemba North"],
                ["14", "Ruvuma"],
                ["15", "Shinyanga"],
                ["16", "Singida"],
                ["17", "Tabora"],
                ["18", "Tanga"],
                ["19", "Kagera"],
                ["20", "Pemba South"],
                ["21", "Zanzibar Central/South"],
                ["22", "Zanzibar North"],
                ["23", "Dar es Salaam"],
                ["24", "Rukwa"],
                ["25", "Zanzibar Urban/West"],
                ["26", "Arusha"],
                ["27", "Manyara"]
            ],
            UA: [
                ["00", "Ukraine (general)"],
                ["01", "Cherkas'ka Oblast'"],
                ["02", "Chernihivs'ka Oblast'"],
                ["03", "Chernivets'ka Oblast'"],
                ["04", "Dnipropetrovs'ka Oblast'"],
                ["05", "Donets'ka Oblast'"],
                ["06", "Ivano-Frankivs'ka Oblast'"],
                ["07", "Kharkivs'ka Oblast'"],
                ["08", "Kherson Oblast"],
                ["09", "Khmel'nyts'ka Oblast'"],
                ["10", "Kirovohrads'ka Oblast'"],
                ["11", "Avtonomna Respublika Krym"],
                ["12", "Misto Kyyiv"],
                ["13", "Kiev Oblast"],
                ["14", "Luhans'ka Oblast'"],
                ["15", "L'vivs'ka Oblast'"],
                ["16", "Mykolayivs'ka Oblast'"],
                ["17", "Odessa Oblast"],
                ["18", "Poltava Oblast"],
                ["19", "Rivnens'ka Oblast'"],
                ["20", "Misto Sevastopol"],
                ["21", "Sumy Oblast"],
                ["22", "Ternopil's'ka Oblast'"],
                ["23", "Vinnyts'ka Oblast'"],
                ["24", "Volyns'ka Oblast'"],
                ["25", "Zakarpats'ka Oblast'"],
                ["26", "Zaporiz'ka Oblast'"],
                ["27", "Zhytomyrs'ka Oblast'"]
            ],
            UG: [
                ["00", "Busoga Province"],
                ["18", "Kampala District"],
                ["26", "Apac"],
                ["27", "Arua"],
                ["28", "Bundibugyo"],
                ["29", "Bushenyi"],
                ["30", "Gulu"],
                ["31", "Hoima"],
                ["32", "Iganga"],
                ["33", "Jinja"],
                ["34", "Kabale"],
                ["35", "Kabarole"],
                ["36", "Kalangala"],
                ["37", "Kampala"],
                ["38", "Kamuli"],
                ["39", "Kapchorwa"],
                ["40", "Kasese"],
                ["41", "Kibale"],
                ["42", "Kiboga"],
                ["43", "Kisoro"],
                ["44", "Kitgum"],
                ["45", "Kotido"],
                ["46", "Kumi"],
                ["47", "Lira"],
                ["48", "Luwero"],
                ["49", "Masaka"],
                ["50", "Masindi"],
                ["51", "Mbale"],
                ["52", "Mbarara"],
                ["53", "Moroto"],
                ["54", "Moyo"],
                ["55", "Mpigi"],
                ["56", "Mubende"],
                ["57", "Mukuno"],
                ["58", "Nebbi"],
                ["59", "Ntungamo"],
                ["60", "Pallisa"],
                ["61", "Rakai"],
                ["62", "Rukungiri"],
                ["63", "Soroti"],
                ["64", "Tororo"],
                ["65", "Adjumani"],
                ["66", "Bugiri"],
                ["67", "Busia"],
                ["68", "Iganga"],
                ["69", "Katakwi"],
                ["70", "Luwero"],
                ["71", "Masaka"],
                ["72", "Moyo"],
                ["73", "Nakasongola"],
                ["74", "Sembabule"],
                ["75", "Soroti"],
                ["76", "Tororo"],
                ["77", "Arua"],
                ["78", "Iganga"],
                ["79", "Kabarole"],
                ["80", "Kaberamaido"],
                ["81", "Kamwenge"],
                ["82", "Kanungu"],
                ["83", "Kayunga"],
                ["84", "Kitgum"],
                ["85", "Kyenjojo"],
                ["86", "Mayuge"],
                ["87", "Mbale"],
                ["88", "Moroto"],
                ["89", "Mpigi"],
                ["90", "Mukono"],
                ["91", "Nakapiripirit"],
                ["92", "Pader"],
                ["93", "Rukungiri"],
                ["94", "Sironko"],
                ["95", "Soroti"],
                ["96", "Wakiso"],
                ["97", "Yumbe"]
            ],
            US: [
                ["00", "United States (general)"],
                ["AK", "Alaska"],
                ["AL", "Alabama"],
                ["AR", "Arkansas"],
                ["AZ", "Arizona"],
                ["CA", "California"],
                ["CO", "Colorado"],
                ["CT", "Connecticut"],
                ["DC", "Washington, D.C."],
                ["DE", "Delaware"],
                ["FL", "Florida"],
                ["GA", "Georgia"],
                ["HI", "Hawaii"],
                ["IA", "Iowa"],
                ["ID", "Idaho"],
                ["IL", "Illinois"],
                ["IN", "Indiana"],
                ["KS", "Kansas"],
                ["KY", "Kentucky"],
                ["LA", "Louisiana"],
                ["MA", "Massachusetts"],
                ["MD", "Maryland"],
                ["ME", "Maine"],
                ["MI", "Michigan"],
                ["MN", "Minnesota"],
                ["MO", "Missouri"],
                ["MS", "Mississippi"],
                ["MT", "Montana"],
                ["NC", "North Carolina"],
                ["ND", "North Dakota"],
                ["NE", "Nebraska"],
                ["NH", "New Hampshire"],
                ["NJ", "New Jersey"],
                ["NM", "New Mexico"],
                ["NV", "Nevada"],
                ["NY", "New York"],
                ["OH", "Ohio"],
                ["OK", "Oklahoma"],
                ["OR", "Oregon"],
                ["PA", "Pennsylvania"],
                ["RI", "Rhode Island"],
                ["SC", "South Carolina"],
                ["SD", "South Dakota"],
                ["TN", "Tennessee"],
                ["TX", "Texas"],
                ["UT", "Utah"],
                ["VA", "Virginia"],
                ["VT", "Vermont"],
                ["WA", "Washington"],
                ["WI", "Wisconsin"],
                ["WV", "West Virginia"],
                ["WY", "Wyoming"]
            ],
            UY: [
                ["00", "Uruguay (general)"],
                ["01", "Artigas Department"],
                ["02", "Canelones Department"],
                ["03", "Cerro Largo Department"],
                ["04", "Colonia Department"],
                ["05", "Durazno"],
                ["06", "Flores"],
                ["07", "Florida Department"],
                ["08", "Lavalleja Department"],
                ["09", "Maldonado Department"],
                ["10", "Montevideo"],
                ["11", "Paysandú"],
                ["12", "Río Negro"],
                ["13", "Rivera"],
                ["14", "Rocha"],
                ["15", "Salto"],
                ["16", "San José"],
                ["17", "Soriano Department"],
                ["18", "Tacuarembó"],
                ["19", "Treinta y Tres"]
            ],
            UZ: [
                ["00", "Uzbekistan (general)"],
                ["01", "Andijon"],
                ["02", "Buxoro"],
                ["03", "Farg ona"],
                ["05", "Xorazm"],
                ["06", "Namangan"],
                ["07", "Navoiy"],
                ["08", "Qashqadaryo"],
                ["09", "Karakalpakstan"],
                ["10", "Samarqand"],
                ["12", "Surxondaryo"],
                ["13", "Toshkent Shahri"],
                ["14", "Toshkent"],
                ["15", "Jizzax"],
                ["16", "Sirdaryo"]
            ],
            VA: [
                ["00", "Vatican City (general)"]
            ],
            VC: [
                ["00", "Saint Vincent and The Grenadines (general)"],
                ["01", "Charlotte"],
                ["02", "Saint Andrew"],
                ["03", "Saint David"],
                ["04", "Saint George"],
                ["05", "Saint Patrick"],
                ["06", "Grenadines"]
            ],
            VE: [
                ["00", "Venezuela (general)"],
                ["01", "Amazonas"],
                ["02", "Anzoátegui"],
                ["03", "Apure"],
                ["04", "Aragua"],
                ["05", "Barinas"],
                ["06", "Bolívar"],
                ["07", "Carabobo"],
                ["08", "Cojedes"],
                ["09", "Delta Amacuro"],
                ["10", "Distrito Federal"],
                ["11", "Falcón"],
                ["12", "Guárico"],
                ["13", "Lara"],
                ["14", "Mérida"],
                ["15", "Miranda"],
                ["16", "Monagas"],
                ["17", "Isla Margarita"],
                ["18", "Portuguesa"],
                ["19", "Sucre"],
                ["20", "Táchira"],
                ["21", "Trujillo"],
                ["22", "Yaracuy"],
                ["23", "Zulia"],
                ["24", "Dependencias Federales"],
                ["25", "Distrito Federal"],
                ["26", "Vargas"],
                ["99", "(VE99)"]
            ],
            VG: [
                ["00", "British Virgin Islands (general)"]
            ],
            VI: [
                ["00", "Virgin Islands (general)"]
            ],
            VN: [
                ["00", "Vietnam (general)"],
                ["01", "An Giang"],
                ["02", "B?c Thái T?nh"],
                ["03", "Bến Tre"],
                ["04", "Cao Bang"],
                ["05", "Cao Bằng"],
                ["06", "Ten Bai"],
                ["07", "Ðắc Lắk"],
                ["09", "Ðồng Tháp"],
                ["10", "(VM10)"],
                ["11", "Hà B?c T?nh"],
                ["12", "H?i Hung T?nh"],
                ["13", "Hải Phòng"],
                ["14", "Hoa Binh"],
                ["15", "Ha Tay"],
                ["16", "(VM16)"],
                ["17", "(VM17)"],
                ["19", "(VM19)"],
                ["20", "Hồ Chí Minh"],
                ["21", "Kiến Giang"],
                ["22", "Lai Châu"],
                ["23", "Lâm Ðồng"],
                ["24", "Long An"],
                ["25", "Minh H?i T?nh"],
                ["26", "Thua Thien-Hue"],
                ["27", "Quang Nam"],
                ["28", "Kon Tum"],
                ["29", "Qu?ng Nam-Ðà N?ng T?nh"],
                ["30", "Quảng Ninh"],
                ["31", "Sông Bé T?nh"],
                ["32", "Sơn La"],
                ["33", "Tây Ninh"],
                ["34", "Thanh Hóa"],
                ["35", "Thái Bình"],
                ["36", "Nin Thuan"],
                ["37", "Tiền Giang"],
                ["38", "Vinh Phú T?nh"],
                ["39", "Lạng Sơn"],
                ["40", "Binh Thuan"],
                ["41", "Long An"],
                ["43", "Ðồng Nai"],
                ["44", "Ha Nội"],
                ["45", "Bà Rịa-Vũng Tàu"],
                ["46", "Bình Ðịnh"],
                ["47", "Bình Thuận"],
                ["48", "Cần Thơ"],
                ["49", "Gia Lai"],
                ["50", "Hà Giang"],
                ["51", "Hà Tây"],
                ["52", "Hà Tĩnh"],
                ["53", "Hòa Bình"],
                ["54", "Khánh Hòa"],
                ["55", "Kon Tum"],
                ["56", "Lào Cai"],
                ["57", "Nam Hà T?nh"],
                ["58", "Nghệ An"],
                ["59", "Ninh Bình"],
                ["60", "Ninh Thuận"],
                ["61", "Phú Yên"],
                ["62", "Quảng Bình"],
                ["63", "Quảng Ngãi"],
                ["64", "Quảng Trị"],
                ["65", "Sóc Trăng"],
                ["66", "Thừa Thiên-Huế"],
                ["67", "Trà Vinh"],
                ["68", "Tuyên Quang"],
                ["69", "Vĩnh Long"],
                ["70", "Yên Bái"],
                ["71", "Bắc Giang"],
                ["72", "Bắc Kạn"],
                ["73", "Bạc Liêu"],
                ["74", "Bắc Ninh"],
                ["75", "Bình Dương"],
                ["76", "Bình Phước"],
                ["77", "Cà Mau"],
                ["78", "Ðà Nẵng"],
                ["79", "Hải Dương"],
                ["80", "Hà Nam"],
                ["81", "Hưng Yên"],
                ["82", "Nam Ðịnh"],
                ["83", "Phú Thọ"],
                ["84", "Quảng Nam"],
                ["85", "Thái Nguyên"],
                ["86", "Vĩnh Phúc"]
            ],
            VU: [
                ["00", "Vanuatu (general)"],
                ["05", "Ambrym"],
                ["06", "Aoba/Maéwo"],
                ["07", "Torba"],
                ["08", "Éfaté"],
                ["09", "Épi"],
                ["10", "Malakula"],
                ["11", "Paama"],
                ["12", "Pentecôte"],
                ["13", "Sanma"],
                ["14", "Shepherd"],
                ["15", "Tafea"],
                ["16", "Malampa"],
                ["17", "Penama"],
                ["18", "Shefa"]
            ],
            WS: [
                ["00", "Samoa (general)"],
                ["01", "A‘ana"],
                ["02", "Aiga-i-le-Tai"],
                ["03", "Atua"],
                ["04", "Fa‘asaleleaga"],
                ["05", "Gaga‘emauga"],
                ["06", "Va‘a-o-Fonoti"],
                ["07", "Gagaifomauga"],
                ["08", "Palauli"],
                ["09", "Satupa‘itea"],
                ["10", "Tuamasaga"],
                ["11", "Vaisigano"]
            ],
            YE: [
                ["01", "Abyan"],
                ["02", "‘Adan"],
                ["03", "Al Mahrah"],
                ["04", "Ḩaḑramawt"],
                ["05", "Shabwah"],
                ["06", "San’a’"],
                ["07", "Ta’izz"],
                ["08", "Al Ḩudaydah"],
                ["09", "Dhamar"],
                ["10", "Al Maḩwīt"],
                ["11", "Dhamār"],
                ["12", "(YM12)"],
                ["13", "(YM13)"],
                ["14", "Maʼrib"],
                ["15", "Şa‘dah"],
                ["16", "Şan‘āʼ"],
                ["17", "(YM17)"],
                ["18", "Aḑ Ḑāli‘"],
                ["19", "Omran"],
                ["20", "Al Bayḑāʼ"],
                ["21", "Al Jawf"],
                ["22", "Ḩajjah"],
                ["23", "Ibb"],
                ["24", "Laḩij"],
                ["25", "Ta‘izz"],
                ["26", "Amanat Al Asimah"],
                ["27", "Muḩāfaz̧at Raymah"]
            ],
            YT: [
                ["00", "Mayotte (general)"]
            ],
            ZA: [
                ["00", "South Africa (general)"],
                ["01", "North-Western Province"],
                ["02", "KwaZulu-Natal"],
                ["03", "Free State"],
                ["04", "Southern Province"],
                ["05", "Eastern Cape"],
                ["06", "Gauteng"],
                ["07", "Mpumalanga"],
                ["08", "Northern Cape"],
                ["09", "Limpopo"],
                ["10", "North-West"],
                ["11", "Western Cape"]
            ],
            ZM: [
                ["00", "Zambia (general)"],
                ["01", "North-Western"],
                ["02", "Copperbelt Province"],
                ["03", "Western"],
                ["04", "Southern"],
                ["05", "Central"],
                ["06", "Eastern"],
                ["07", "Northern"],
                ["08", "Luapula"],
                ["09", "Lusaka"]
            ],
            ZW: [
                ["00", "Zimbabwe (general)"],
                ["01", "Manicaland"],
                ["02", "Midlands"],
                ["03", "Mashonaland Central"],
                ["04", "Mashonaland East"],
                ["05", "Mashonaland West"],
                ["06", "Matabeleland North"],
                ["07", "Matabeleland South"],
                ["08", "Masvingo"],
                ["09", "Bulawayo"],
                ["10", "Harare"]
            ]
        };
    })();

    var countries = (function() {
        return [
            // see http://en.wikipedia.org/wiki/ISO_3166-1_alpha-2
            ["AC", "Ascension Island", "United Kingdom", "United Kingdom"], // exceptionally reserved
            ["AD", "Andorra"],
            ["AE", "United Arab Emirates"],
            ["AF", "Afghanistan"],
            ["AG", "Antigua and Barbuda"],
            ["AI", "Anguilla", "United Kingdom"],
            ["AL", "Albania"],
            ["AM", "Armenia"],
            ["AN", "Netherlands Antilles", "Netherlands"],
            ["AO", "Angola"],
            ["AQ", "Antarctica", ["Argentina", "Australia", "Chile", "France", "New Zealand", "Norway", "United Kingdom"]],
            ["AR", "Argentina"],
            ["AS", "American Samoa", "United States"],
            ["AT", "Austria"],
            ["AU", "Australia"],
            ["AW", "Aruba", "Netherlands"],
            ["AX", "Åland Islands", "Finland"],
            ["AZ", "Azerbaijan"],
            ["BA", "Bosnia and Herzegovina"],
            ["BB", "Barbados"],
            ["BD", "Bangladesh"],
            ["BE", "Belgium"],
            ["BF", "Burkina Faso"],
            ["BG", "Bulgaria"],
            ["BH", "Bahrain"],
            ["BI", "Burundi"],
            ["BJ", "Benin"],
            ["BL", "Saint Barthélemy", "France"],
            ["BM", "Bermuda", "United Kingdom"],
            ["BN", "Brunei"],
            ["BO", "Bolivia"],
            ["BR", "Brazil"],
            ["BS", "Bahamas"],
            ["BT", "Bhutan"],
            ["BV", "Bouvet Island", "Norway", "Norway"],
            ["BW", "Botswana"],
            ["BY", "Belarus"],
            ["BZ", "Belize"],
            ["CA", "Canada"],
            ["CC", "Cocos Islands", "Australia"],
            ["CD", "Democratic Republic of the Congo"],
            ["CF", "Central African Republic"],
            ["CG", "Republic of the Congo"],
            ["CH", "Switzerland"],
            ["CI", "Côte d'Ivoire"],
            ["CK", "Cook Islands", "New Zealand"],
            ["CL", "Chile"],
            ["CM", "Cameroon"],
            ["CN", "China"],
            ["CO", "Colombia"],
            ["CP", "Clipperton Island", "France", "France"], // exceptionally reserved
            ["CR", "Costa Rica"],
            ["CU", "Cuba"],
            ["CV", "Cape Verde"],
            ["CX", "Christmas Island", "Australia"],
            ["CY", "Cyprus"],
            ["CZ", "Czech Republic"],
            ["DE", "Germany"],
            ["DG", "Diego Garcia", "United Kingdom",
                    "British Indian Ocean Territory"], // exceptionally reserved
            ["DJ", "Djibouti"],
            ["DK", "Denmark"],
            ["DM", "Dominica"],
            ["DO", "Dominican Republic"],
            ["DZ", "Algeria"],
            ["EA", "Ceuta and Melilla", "Spain"], // exceptionally reserved
            ["EC", "Ecuador"],
            ["EE", "Estonia"],
            ["EG", "Egypt"],
            ["EH", "Western Sahara"],
            ["ER", "Eritrea"],
            ["ES", "Spain"],
            ["ET", "Ethiopia"],
            ["EU", "European Union", null], // exceptionally reserved
            ["FI", "Finland"],
            ["FJ", "Fiji"],
            ["FK", "Falkland Islands", "United Kingdom"],
            ["FM", "Micronesia"],
            ["FO", "Faroe Islands", "Denmark"],
            ["FR", "France"],
            ["GA", "Gabon"],
            ["GB", "United Kingdom"],
            ["GD", "Grenada"],
            ["GE", "Georgia"],
            ["GF", "French Guiana", "France"],
            ["GG", "Guernsey", "United Kingdom"],
            ["GH", "Ghana"],
            ["GI", "Gibraltar", "United Kingdom"],
            ["GL", "Greenland", "Denmark"],
            ["GM", "Gambia"],
            ["GN", "Guinea"],
            ["GP", "Guadeloupe", "France"],
            ["GQ", "Equatorial Guinea"],
            ["GR", "Greece"],
            ["GS", "South Georgia and the South Sandwich Islands",
                    "United Kingdom"],
            ["GT", "Guatemala"],
            ["GU", "Guam", "United States"],
            ["GW", "Guinea-Bissau"],
            ["GY", "Guyana"],
            ["HK", "Hong Kong", "China"],
            ["HM", "Heard Island and McDonald Islands", "Australia", "Australia"],
            ["HN", "Honduras"],
            ["HR", "Croatia"],
            ["HT", "Haiti"],
            ["HU", "Hungary"],
            ["IC", "Canary Islands", "Spain"], // exceptionally reserved
            ["ID", "Indonesia"],
            ["IE", "Ireland"],
            ["IL", "Israel"],
            ["IM", "Isle of Man", "United Kingdom"],
            ["IN", "India"],
            ["IO", "British Indian Ocean Territory", "United Kingdom"],
            ["IQ", "Iraq"],
            ["IR", "Iran"],
            ["IS", "Iceland"],
            ["IT", "Italy"],
            ["JE", "Jersey", "United Kingdom"],
            ["JM", "Jamaica"],
            ["JO", "Jordan"],
            ["JP", "Japan"],
            ["KE", "Kenya"],
            ["KG", "Kyrgyzstan"],
            ["KH", "Cambodia"],
            ["KI", "Kiribati"],
            ["KM", "Comoros"],
            ["KN", "Saint Kitts and Nevis"],
            ["KP", "North Korea"],
            ["KR", "South Korea"],
            ["KW", "Kuwait"],
            ["KY", "Cayman Islands", "United Kingdom"],
            ["KZ", "Kazakhstan"],
            ["LA", "Laos"],
            ["LB", "Lebanon"],
            ["LC", "Saint Lucia"],
            ["LI", "Liechtenstein"],
            ["LK", "Sri Lanka"],
            ["LR", "Liberia"],
            ["LS", "Lesotho"],
            ["LT", "Lithuania"],
            ["LU", "Luxembourg"],
            ["LV", "Latvia"],
            ["LY", "Libya"],
            ["MA", "Morocco"],
            ["MC", "Monaco"],
            ["MD", "Moldova"],
            ["ME", "Montenegro"],
            ["MF", "Saint Martin", "France"],
            ["MG", "Madagascar"],
            ["MH", "Marshall Islands"],
            ["MK", "Macedonia"],
            ["ML", "Mali"],
            ["MM", "Myanmar"],
            ["MN", "Mongolia"],
            ["MO", "Macau", "China"],
            ["MP", "Northern Mariana Islands", "United States"],
            ["MQ", "Martinique", "France"],
            ["MR", "Mauritania"],
            ["MS", "Montserrat", "United Kingdom"],
            ["MT", "Malta"],
            ["MU", "Mauritius"],
            ["MV", "Maldives"],
            ["MW", "Malawi"],
            ["MX", "Mexico"],
            ["MY", "Malaysia"],
            ["MZ", "Mozambique"],
            ["NA", "Namibia"],
            ["NC", "New Caledonia", "France"],
            ["NE", "Niger"],
            ["NF", "Norfolk Island", "Australia"],
            ["NG", "Nigeria"],
            ["NI", "Nicaragua"],
            ["NL", "Netherlands"],
            ["NO", "Norway"],
            ["NP", "Nepal"],
            ["NR", "Nauru"],
            ["NU", "Niue", "New Zealand"],
            ["NZ", "New Zealand"],
            ["OM", "Oman"],
            ["PA", "Panama"],
            ["PE", "Peru"],
            ["PF", "French Polynesia", "France"],
            ["PG", "Papua New Guinea"],
            ["PH", "Philippines"],
            ["PK", "Pakistan"],
            ["PL", "Poland"],
            ["PM", "Saint Pierre and Miquelon", "France"],
            ["PN", "Pitcairn", "United Kingdom"],
            ["PR", "Puerto Rico", "United States"],
            ["PS", "Palestine"],
            ["PT", "Portugal"],
            ["PW", "Palau"],
            ["PY", "Paraguay"],
            ["QA", "Qatar"],
            ["RE", "Réunion", "France"],
            ["RO", "Romania"],
            ["RS", "Serbia"],
            ["RU", "Russia"],
            ["RW", "Rwanda"],
            ["SA", "Saudi Arabia"],
            ["SB", "Solomon Islands"],
            ["SC", "Seychelles"],
            ["SD", "Sudan"],
            ["SE", "Sweden"],
            ["SG", "Singapore"],
            ["SH", "Saint Helena", "United Kingdom"],
            ["SI", "Slovenia"],
            ["SJ", "Svalbard and Jan Mayen", "Norway", "Norway"],
            ["SK", "Slovakia"],
            ["SL", "Sierra Leone"],
            ["SM", "San Marino"],
            ["SN", "Senegal"],
            ["SO", "Somalia"],
            ["SR", "Suriname"],
            ["ST", "São Tomé and Príncipe"],
            ["SV", "El Salvador"],
            ["SY", "Syria"],
            ["SZ", "Swaziland"],
            ["TA", "Tristan da Cunha", "United Kingdom"], // exceptionally reserved
            ["TC", "Turks and Caicos Islands", "United Kingdom"],
            ["TD", "Chad"],
            ["TF", "French Southern Territories", "France"],
            ["TG", "Togo"],
            ["TH", "Thailand"],
            ["TJ", "Tajikistan"],
            ["TK", "Tokelau", "New Zealand"],
            ["TL", "Timor-Leste"],
            ["TM", "Turkmenistan"],
            ["TN", "Tunisia"],
            ["TO", "Tonga"],
            ["TR", "Turkey"],
            ["TT", "Trinidad and Tobago"],
            ["TV", "Tuvalu"],
            ["TW", "Taiwan"],
            ["TZ", "Tanzania"],
            ["UA", "Ukraine"],
            ["UG", "Uganda"],
            ["UK", "(United Kingdom)", null, "United Kingdom"], // exceptionally reserved
            ["UM", "United States Minor Outlying Islands", "United States", "United States"],
            ["US", "United States"],
            ["UY", "Uruguay"],
            ["UZ", "Uzbekistan"],
            ["VA", "Holy See"],
            ["VC", "Saint Vincent and the Grenadines"],
            ["VE", "Venezuela"],
            ["VG", "British Virgin Islands", "United Kingdom"],
            ["VI", "United States Virgin Islands", "United States"],
            ["VN", "Vietnam"],
            ["VU", "Vanuatu"],
            ["WF", "Wallis and Futuna", "France"],
            ["WS", "Samoa"],
            ["YE", "Yemen"],
            ["YT", "Mayotte", "France"],
            ["ZA", "South Africa"],
            ["ZM", "Zambia"],
            ["ZW", "Zimbabwe"],
            // dependencies
            // exceptionally reserved
            // see http://en.wikipedia.org/wiki/ISO_3166-3
            ["AIDJ", "French Afar and Issas", "France", "France"], // 1974-1977
            ["BQAQ", "British Antarctic Territory", "United Kingdom"], // 1974-1979
            ["BUMM", "Burma", "", "Myanmar"], // 1974-1989
            ["BYAA", "Byelorussian Soviet Socialist Republic"], // 1974-1992
            ["CSHH", "Czechoslovakia", "", "Czech Republic"], // 1974-1993
            ["CSXX", "Serbia and Montenegro"], // 2003-2006
            ["CTKI", "Canton and Enderbury Islands", "",
                    "Gilbert and Ellice Islands"], // 1974-1984
            ["DDDE", "East Germany"], // 1974-1990
            ["DYBJ", "Dahomey", "", "Benin"], // 1974-1977
            ["FQHH", "French Southern and Antarctic Territories", "France",
                    "French Southern Territories"], // 1974-1979
            ["FXFR", "France, Metropolitan", "France", "France"], // 1993-1997
            ["GEHH", "Gilbert and Ellice Islands"], // 1974-1979
            ["HVBF", "Upper Volta"], // 1974-1984
            ["JTUM", "Johnston Island", "United States"], // 1974-1986
            ["MIUM", "Midway Islands", "United States"], // 1974-1986
            ["NHVU", "New Hebrides", ["France", "United Kingdom"]], // 1974-1980
            ["NQAQ", "Dronning Maud Land", "Norway", "Norway"], // 1974-1983
            ["NTHH", "Neutral Zone"], // 1974-1993
            ["PCHH", "Pacific Islands", "United States"], // 1974-1986
            ["PUUM", "United States Miscellaneous Pacific Islands",
                    "United States", "United States"], // 1974-1986
            ["PZPA", "Panama Canal Zone"], // 1974-1980
            ["RHZW", "Rhodesia"], // 1974-1980
            ["SKIN", "Sikkim"], // 1974-1975
            ["SUHH", "Soviet Union"], // 1974-1992
            ["TPTL", "East Timor", "", "Timor-Leste"], // 1974-2002
            ["VDVN", "North Vietnam", "", "Vietnam"], // 1974-1977
            ["WKUM", "Wake Island", "United States"], // 1974-1986
            ["YDYE", "South Yemen"], // 1974-1990
            ["YUCS", "Yugoslavia"], // 1974-2003
            ["ZRCD", "Zaire"], // 1974-1997
            // see http://www.imdb.com/Sections/Countries/
            ["KOHH-", "Korea"], // 1919-1948
            ["SITH-", "Siam"], // 1238-1932
            // see http://en.wikipedia.org/wiki/List_of_sovereign_states
            ["AZ-NK", "Nagorno-Karabakh"],
            ["CY-NC", "Northern Cyprus"],
            ["GE-AB", "Abkhazia"],
            ["GE-SO", "South Ossetia"],
            ["MD-TR", "Transnistria"],
            ["RS-KO-", "Kosovo"],
            ["SO-SO-", "Somaliland"],
            // see http://en.wikipedia.org/wiki/ISO_3166-2:GB
            ["GB-ENG", "England"],
            ["GB-NIR", "Northern Ireland"],
            ["GB-SCT", "Scotland"],
            ["GB-WLS", "Wales"],
        ];
    })();

    var aliases = (function() {
        // see http://www.imdb.com/Sections/Countries/
        return {
            "Democratic Republic of Congo": "Democratic Republic of the Congo",
            "Federal Republic of Yugoslavia": "Yugoslavia",
            "Ivory Coast": "Côte d'Ivoire",
            "Occupied Palestinian Territory": "Palestine",
            "Republic of Macedonia": "Macedonia",
            "U.S. Virgin Islands": "United States Virgin Islands",
            "UK": "United Kingdom",
            "USA": "United States",
            "West Germany": "Germany"
        };
    })();

    function makeCountryCode(str) {
        return str == str.toUpperCase() ? str : Ox.getCountryCode(str);
    }

    Ox.getAreaCode = (function() {
        /*
        >>> Ox.getAreaCode("US", "New York")
        "NY"
        >>> Ox.getAreaCode("United States", "New York")
        "NY"
        */
        var codes = {};
        $.each(areas, function(k, v) {
            codes[k] = {};
            $.each(v, function(i, v_) {
                codes[k][v_[1]] = v_[0];
            });
        });
        return function(countryCode, areaName) {
            return codes[makeCountryCode(countryCode)][areaName];
        };
    })();

    Ox.getAreaName = (function() {
        /*
        >>> Ox.getAreaName("US", "NY")
        "New York"
        >>> Ox.getAreaName("United States", "NY")
        "New York"
        */
        var names = {};
        $.each(areas, function(k, v) {
            names[k] = {};
            $.each(v, function(i, v_) {
                names[k][v_[0]] = v_[1];
            });
        });
        return function(countryCode, areaCode) {
            return names[makeCountryCode(countryCode)][areaCode];
        };
    })();

    Ox.getAreas = function(str) {
        /*
        >>> Ox.getAreas("US").length
        52
        >>> Ox.getAreas("France").length
        23
        */
        return areas[makeCountryCode(str)] || [];
    };

    Ox.getCountryCode = (function() {
        /*
        >>> Ox.getCountryCode("Saint Barthélemy")
        "BL"
        */
        var codes = {};
        $.each(countries, function(i, v) {
            codes[v[1]] = v[0];
        });
        return function(str) {
            return codes[str];
        };
    })();

    Ox.getCountryName = (function() {
        /*
        >>> Ox.getCountryName("BL")
        "Saint Barthélemy"
        */
        var names = {};
        $.each(countries, function(i, v) {
            names[v[0]] = v[1];
        });
        return function(str) {
            return names[str];
        };
    })();

    Ox.getCountryFlag = (function() {
        /*
        >>> Ox.getCountryFlag("US")
        "US"
        >>> Ox.getCountryFlag("United States Minor Outlying Islands")
        "US"
        */
        var flags = {};
        $.each(countries, function(i, v) {
            flags[v[0]] = v.length < 4 ? v[0] : Ox.getCountryCode(v[3]);
        });
        return function(str) {
            return flags[makeCountryCode(str)];
        };
    })();

    Ox.getCountries = (function() {
        /*
        // see http://en.wikipedia.org/wiki/List_of_sovereign_states
        // 193 + Palestine, Taiwain, Western Sahara
        >>> Ox.getCountries().length
        196
        >>> Ox.getCountries(true).length
        295
        */
        var all = $.map(countries, function(v) {
                return v[2] === null ? null : {
                    code: v[0],
                    dependency: v[2] || null,
                    flag: Ox.getCountryFlag(v[0]),
                    name: v[1]
                };
            }),
            independent = $.map(all, function(v) {
                return v.code.length == 2 && v.dependency === null ? v : null;
            });
        return function(includeAll) {
            includeAll = typeof includeAll != "undefined" ? includeAll : false;
            return includeAll ? all : independent;
        };
    })();


})();

/*
================================================================================
Unicode functions
================================================================================
*/

(function() {

    var letters = function() {
        return {
            A: [
                "\u00C0", // LATIN CAPITAL LETTER A WITH GRAVE
                "\u00C1", // LATIN CAPITAL LETTER A WITH ACUTE
                "\u00C2", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX
                "\u00C3", // LATIN CAPITAL LETTER A WITH TILDE
                "\u00C4", // LATIN CAPITAL LETTER A WITH DIAERESIS
                "\u00C5", // LATIN CAPITAL LETTER A WITH RING ABOVE
                "\u0100", // LATIN CAPITAL LETTER A WITH MACRON
                "\u0102", // LATIN CAPITAL LETTER A WITH BREVE
                "\u0104", // LATIN CAPITAL LETTER A WITH OGONEK
                "\u01CD", // LATIN CAPITAL LETTER A WITH CARON
                "\u01DE", // LATIN CAPITAL LETTER A WITH DIAERESIS AND MACRON
                "\u01E0", // LATIN CAPITAL LETTER A WITH DOT ABOVE AND MACRON
                "\u01FA", // LATIN CAPITAL LETTER A WITH RING ABOVE AND ACUTE
                "\u0200", // LATIN CAPITAL LETTER A WITH DOUBLE GRAVE
                "\u0202", // LATIN CAPITAL LETTER A WITH INVERTED BREVE
                "\u0226", // LATIN CAPITAL LETTER A WITH DOT ABOVE
                "\u023A", // LATIN CAPITAL LETTER A WITH STROKE
                "\u1E00", // LATIN CAPITAL LETTER A WITH RING BELOW
                "\u1EA0", // LATIN CAPITAL LETTER A WITH DOT BELOW
                "\u1EA2", // LATIN CAPITAL LETTER A WITH HOOK ABOVE
                "\u1EA4", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND ACUTE
                "\u1EA6", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND GRAVE
                "\u1EA8", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1EAA", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND TILDE
                "\u1EAC", // LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND DOT BELOW
                "\u1EAE", // LATIN CAPITAL LETTER A WITH BREVE AND ACUTE
                "\u1EB0", // LATIN CAPITAL LETTER A WITH BREVE AND GRAVE
                "\u1EB2", // LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE
                "\u1EB4", // LATIN CAPITAL LETTER A WITH BREVE AND TILDE
                "\u1EB6"  // LATIN CAPITAL LETTER A WITH BREVE AND DOT BELOW
            ],
            B: [
                "\u0181", // LATIN CAPITAL LETTER B WITH HOOK
                "\u0182", // LATIN CAPITAL LETTER B WITH TOPBAR
                "\u0243", // LATIN CAPITAL LETTER B WITH STROKE
                "\u1E02", // LATIN CAPITAL LETTER B WITH DOT ABOVE
                "\u1E04", // LATIN CAPITAL LETTER B WITH DOT BELOW
                "\u1E06"  // LATIN CAPITAL LETTER B WITH LINE BELOW
            ],
            C: [
                "\u00C7", // LATIN CAPITAL LETTER C WITH CEDILLA
                "\u0106", // LATIN CAPITAL LETTER C WITH ACUTE
                "\u0108", // LATIN CAPITAL LETTER C WITH CIRCUMFLEX
                "\u010A", // LATIN CAPITAL LETTER C WITH DOT ABOVE
                "\u010C", // LATIN CAPITAL LETTER C WITH CARON
                "\u0187", // LATIN CAPITAL LETTER C WITH HOOK
                "\u023B", // LATIN CAPITAL LETTER C WITH STROKE
                "\u1E08"  // LATIN CAPITAL LETTER C WITH CEDILLA AND ACUTE
            ],
            D: [
                "\u010E", // LATIN CAPITAL LETTER D WITH CARON
                "\u0110", // LATIN CAPITAL LETTER D WITH STROKE
                "\u018A", // LATIN CAPITAL LETTER D WITH HOOK
                "\u018B", // LATIN CAPITAL LETTER D WITH TOPBAR
                "\u01C5", // LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON
                "\u1E0A", // LATIN CAPITAL LETTER D WITH DOT ABOVE
                "\u1E0C", // LATIN CAPITAL LETTER D WITH DOT BELOW
                "\u1E0E", // LATIN CAPITAL LETTER D WITH LINE BELOW
                "\u1E10", // LATIN CAPITAL LETTER D WITH CEDILLA
                "\u1E12"  // LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW
            ],
            E: [
                "\u00C8", // LATIN CAPITAL LETTER E WITH GRAVE
                "\u00C9", // LATIN CAPITAL LETTER E WITH ACUTE
                "\u00CA", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX
                "\u00CB", // LATIN CAPITAL LETTER E WITH DIAERESIS
                "\u0112", // LATIN CAPITAL LETTER E WITH MACRON
                "\u0114", // LATIN CAPITAL LETTER E WITH BREVE
                "\u0116", // LATIN CAPITAL LETTER E WITH DOT ABOVE
                "\u0118", // LATIN CAPITAL LETTER E WITH OGONEK
                "\u011A", // LATIN CAPITAL LETTER E WITH CARON
                "\u0204", // LATIN CAPITAL LETTER E WITH DOUBLE GRAVE
                "\u0206", // LATIN CAPITAL LETTER E WITH INVERTED BREVE
                "\u0228", // LATIN CAPITAL LETTER E WITH CEDILLA
                "\u0246", // LATIN CAPITAL LETTER E WITH STROKE
                "\u1E14", // LATIN CAPITAL LETTER E WITH MACRON AND GRAVE
                "\u1E16", // LATIN CAPITAL LETTER E WITH MACRON AND ACUTE
                "\u1E18", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW
                "\u1E1A", // LATIN CAPITAL LETTER E WITH TILDE BELOW
                "\u1E1C", // LATIN CAPITAL LETTER E WITH CEDILLA AND BREVE
                "\u1EB8", // LATIN CAPITAL LETTER E WITH DOT BELOW
                "\u1EBA", // LATIN CAPITAL LETTER E WITH HOOK ABOVE
                "\u1EBC", // LATIN CAPITAL LETTER E WITH TILDE
                "\u1EBE", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND ACUTE
                "\u1EC0", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND GRAVE
                "\u1EC2", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1EC4", // LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND TILDE
                "\u1EC6"  // LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND DOT BELOW
            ],
            F: [
                "\u0191", // LATIN CAPITAL LETTER F WITH HOOK
                "\u1E1E"  // LATIN CAPITAL LETTER F WITH DOT ABOVE
            ],
            G: [
                "\u011C", // LATIN CAPITAL LETTER G WITH CIRCUMFLEX
                "\u011E", // LATIN CAPITAL LETTER G WITH BREVE
                "\u0120", // LATIN CAPITAL LETTER G WITH DOT ABOVE
                "\u0122", // LATIN CAPITAL LETTER G WITH CEDILLA
                "\u0193", // LATIN CAPITAL LETTER G WITH HOOK
                "\u01E4", // LATIN CAPITAL LETTER G WITH STROKE
                "\u01E6", // LATIN CAPITAL LETTER G WITH CARON
                "\u01F4", // LATIN CAPITAL LETTER G WITH ACUTE
                "\u1E20"  // LATIN CAPITAL LETTER G WITH MACRON
            ],
            H: [
                "\u0124", // LATIN CAPITAL LETTER H WITH CIRCUMFLEX
                "\u0126", // LATIN CAPITAL LETTER H WITH STROKE
                "\u021E", // LATIN CAPITAL LETTER H WITH CARON
                "\u1E22", // LATIN CAPITAL LETTER H WITH DOT ABOVE
                "\u1E24", // LATIN CAPITAL LETTER H WITH DOT BELOW
                "\u1E26", // LATIN CAPITAL LETTER H WITH DIAERESIS
                "\u1E28", // LATIN CAPITAL LETTER H WITH CEDILLA
                "\u1E2A", // LATIN CAPITAL LETTER H WITH BREVE BELOW
                "\u2C67"  // LATIN CAPITAL LETTER H WITH DESCENDER
            ],
            I: [
                "\u00CC", // LATIN CAPITAL LETTER I WITH GRAVE
                "\u00CD", // LATIN CAPITAL LETTER I WITH ACUTE
                "\u00CE", // LATIN CAPITAL LETTER I WITH CIRCUMFLEX
                "\u00CF", // LATIN CAPITAL LETTER I WITH DIAERESIS
                "\u0128", // LATIN CAPITAL LETTER I WITH TILDE
                "\u012A", // LATIN CAPITAL LETTER I WITH MACRON
                "\u012C", // LATIN CAPITAL LETTER I WITH BREVE
                "\u012E", // LATIN CAPITAL LETTER I WITH OGONEK
                "\u0130", // LATIN CAPITAL LETTER I WITH DOT ABOVE
                "\u0197", // LATIN CAPITAL LETTER I WITH STROKE
                "\u01CF", // LATIN CAPITAL LETTER I WITH CARON
                "\u0208", // LATIN CAPITAL LETTER I WITH DOUBLE GRAVE
                "\u020A", // LATIN CAPITAL LETTER I WITH INVERTED BREVE
                "\u1E2C", // LATIN CAPITAL LETTER I WITH TILDE BELOW
                "\u1E2E", // LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
                "\u1EC8", // LATIN CAPITAL LETTER I WITH HOOK ABOVE
                "\u1ECA"  // LATIN CAPITAL LETTER I WITH DOT BELOW
            ],
            J: [
                "\u0134", // LATIN CAPITAL LETTER J WITH CIRCUMFLEX
                "\u0248"  // LATIN CAPITAL LETTER J WITH STROKE
            ],
            K: [
                "\u0136", // LATIN CAPITAL LETTER K WITH CEDILLA
                "\u0198", // LATIN CAPITAL LETTER K WITH HOOK
                "\u01E8", // LATIN CAPITAL LETTER K WITH CARON
                "\u1E30", // LATIN CAPITAL LETTER K WITH ACUTE
                "\u1E32", // LATIN CAPITAL LETTER K WITH DOT BELOW
                "\u1E34", // LATIN CAPITAL LETTER K WITH LINE BELOW
                "\u2C69", // LATIN CAPITAL LETTER K WITH DESCENDER
                "\uA740", // LATIN CAPITAL LETTER K WITH STROKE
                "\uA742", // LATIN CAPITAL LETTER K WITH DIAGONAL STROKE
                "\uA744"  // LATIN CAPITAL LETTER K WITH STROKE AND DIAGONAL STROKE
            ],
            L: [
                "\u0139", // LATIN CAPITAL LETTER L WITH ACUTE
                "\u013B", // LATIN CAPITAL LETTER L WITH CEDILLA
                "\u013D", // LATIN CAPITAL LETTER L WITH CARON
                "\u013F", // LATIN CAPITAL LETTER L WITH MIDDLE DOT
                "\u0141", // LATIN CAPITAL LETTER L WITH STROKE
                "\u023D", // LATIN CAPITAL LETTER L WITH BAR
                "\u1E36", // LATIN CAPITAL LETTER L WITH DOT BELOW
                "\u1E38", // LATIN CAPITAL LETTER L WITH DOT BELOW AND MACRON
                "\u1E3A", // LATIN CAPITAL LETTER L WITH LINE BELOW
                "\u1E3C", // LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW
                "\u2C60", // LATIN CAPITAL LETTER L WITH DOUBLE BAR
                "\u2C62", // LATIN CAPITAL LETTER L WITH MIDDLE TILDE
                "\uA748"  // LATIN CAPITAL LETTER L WITH HIGH STROKE
            ],
            M: [
                "\u1E3E", // LATIN CAPITAL LETTER M WITH ACUTE
                "\u1E40", // LATIN CAPITAL LETTER M WITH DOT ABOVE
                "\u1E42", // LATIN CAPITAL LETTER M WITH DOT BELOW
                "\u2C6E"  // LATIN CAPITAL LETTER M WITH HOOK
            ],
            N: [
                "\u00D1", // LATIN CAPITAL LETTER N WITH TILDE
                "\u0143", // LATIN CAPITAL LETTER N WITH ACUTE
                "\u0145", // LATIN CAPITAL LETTER N WITH CEDILLA
                "\u0147", // LATIN CAPITAL LETTER N WITH CARON
                "\u019D", // LATIN CAPITAL LETTER N WITH LEFT HOOK
                "\u01F8", // LATIN CAPITAL LETTER N WITH GRAVE
                "\u0220", // LATIN CAPITAL LETTER N WITH LONG RIGHT LEG
                "\u1E44", // LATIN CAPITAL LETTER N WITH DOT ABOVE
                "\u1E46", // LATIN CAPITAL LETTER N WITH DOT BELOW
                "\u1E48", // LATIN CAPITAL LETTER N WITH LINE BELOW
                "\u1E4A"  // LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW
            ],
            O: [
                "\u00D2", // LATIN CAPITAL LETTER O WITH GRAVE
                "\u00D3", // LATIN CAPITAL LETTER O WITH ACUTE
                "\u00D4", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX
                "\u00D5", // LATIN CAPITAL LETTER O WITH TILDE
                "\u00D6", // LATIN CAPITAL LETTER O WITH DIAERESIS
                "\u00D8", // LATIN CAPITAL LETTER O WITH STROKE
                "\u014C", // LATIN CAPITAL LETTER O WITH MACRON
                "\u014E", // LATIN CAPITAL LETTER O WITH BREVE
                "\u0150", // LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
                "\u019F", // LATIN CAPITAL LETTER O WITH MIDDLE TILDE
                "\u01A0", // LATIN CAPITAL LETTER O WITH HORN
                "\u01D1", // LATIN CAPITAL LETTER O WITH CARON
                "\u01EA", // LATIN CAPITAL LETTER O WITH OGONEK
                "\u01EC", // LATIN CAPITAL LETTER O WITH OGONEK AND MACRON
                "\u01FE", // LATIN CAPITAL LETTER O WITH STROKE AND ACUTE
                "\u020C", // LATIN CAPITAL LETTER O WITH DOUBLE GRAVE
                "\u020E", // LATIN CAPITAL LETTER O WITH INVERTED BREVE
                "\u022A", // LATIN CAPITAL LETTER O WITH DIAERESIS AND MACRON
                "\u022C", // LATIN CAPITAL LETTER O WITH TILDE AND MACRON
                "\u022E", // LATIN CAPITAL LETTER O WITH DOT ABOVE
                "\u0230", // LATIN CAPITAL LETTER O WITH DOT ABOVE AND MACRON
                "\u1E4C", // LATIN CAPITAL LETTER O WITH TILDE AND ACUTE
                "\u1E4E", // LATIN CAPITAL LETTER O WITH TILDE AND DIAERESIS
                "\u1E50", // LATIN CAPITAL LETTER O WITH MACRON AND GRAVE
                "\u1E52", // LATIN CAPITAL LETTER O WITH MACRON AND ACUTE
                "\u1ECC", // LATIN CAPITAL LETTER O WITH DOT BELOW
                "\u1ECE", // LATIN CAPITAL LETTER O WITH HOOK ABOVE
                "\u1ED0", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND ACUTE
                "\u1ED2", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND GRAVE
                "\u1ED4", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1ED6", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND TILDE
                "\u1ED8", // LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND DOT BELOW
                "\u1EDA", // LATIN CAPITAL LETTER O WITH HORN AND ACUTE
                "\u1EDC", // LATIN CAPITAL LETTER O WITH HORN AND GRAVE
                "\u1EDE", // LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE
                "\u1EE0", // LATIN CAPITAL LETTER O WITH HORN AND TILDE
                "\u1EE2", // LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW
                "\uA74A", // LATIN CAPITAL LETTER O WITH LONG STROKE OVERLAY
                "\uA74C"  // LATIN CAPITAL LETTER O WITH LOOP
            ],
            P: [
                "\u01A4", // LATIN CAPITAL LETTER P WITH HOOK
                "\u1E54", // LATIN CAPITAL LETTER P WITH ACUTE
                "\u1E56", // LATIN CAPITAL LETTER P WITH DOT ABOVE
                "\u2C63", // LATIN CAPITAL LETTER P WITH STROKE
                "\uA750", // LATIN CAPITAL LETTER P WITH STROKE THROUGH DESCENDER
                "\uA752", // LATIN CAPITAL LETTER P WITH FLOURISH
                "\uA754"  // LATIN CAPITAL LETTER P WITH SQUIRREL TAIL
            ],
            Q: [
                "\uA756", // LATIN CAPITAL LETTER Q WITH STROKE THROUGH DESCENDER
                "\uA758"  // LATIN CAPITAL LETTER Q WITH DIAGONAL STROKE
            ],
            R: [
                "\u0154", // LATIN CAPITAL LETTER R WITH ACUTE
                "\u0156", // LATIN CAPITAL LETTER R WITH CEDILLA
                "\u0158", // LATIN CAPITAL LETTER R WITH CARON
                "\u0210", // LATIN CAPITAL LETTER R WITH DOUBLE GRAVE
                "\u0212", // LATIN CAPITAL LETTER R WITH INVERTED BREVE
                "\u024C", // LATIN CAPITAL LETTER R WITH STROKE
                "\u1E58", // LATIN CAPITAL LETTER R WITH DOT ABOVE
                "\u1E5A", // LATIN CAPITAL LETTER R WITH DOT BELOW
                "\u1E5C", // LATIN CAPITAL LETTER R WITH DOT BELOW AND MACRON
                "\u1E5E", // LATIN CAPITAL LETTER R WITH LINE BELOW
                "\u2C64", // LATIN CAPITAL LETTER R WITH TAIL
                "\uA75A"  // LATIN CAPITAL LETTER R ROTUNDA
            ],
            S: [
                "\u015A", // LATIN CAPITAL LETTER S WITH ACUTE
                "\u015C", // LATIN CAPITAL LETTER S WITH CIRCUMFLEX
                "\u015E", // LATIN CAPITAL LETTER S WITH CEDILLA
                "\u0160", // LATIN CAPITAL LETTER S WITH CARON
                "\u0218", // LATIN CAPITAL LETTER S WITH COMMA BELOW
                "\u1E60", // LATIN CAPITAL LETTER S WITH DOT ABOVE
                "\u1E62", // LATIN CAPITAL LETTER S WITH DOT BELOW
                "\u1E64", // LATIN CAPITAL LETTER S WITH ACUTE AND DOT ABOVE
                "\u1E66", // LATIN CAPITAL LETTER S WITH CARON AND DOT ABOVE
                "\u1E68"  // LATIN CAPITAL LETTER S WITH DOT BELOW AND DOT ABOVE
            ],
            T: [
                "\u0162", // LATIN CAPITAL LETTER T WITH CEDILLA
                "\u0164", // LATIN CAPITAL LETTER T WITH CARON
                "\u0166", // LATIN CAPITAL LETTER T WITH STROKE
                "\u01AC", // LATIN CAPITAL LETTER T WITH HOOK
                "\u01AE", // LATIN CAPITAL LETTER T WITH RETROFLEX HOOK
                "\u021A", // LATIN CAPITAL LETTER T WITH COMMA BELOW
                "\u023E", // LATIN CAPITAL LETTER T WITH DIAGONAL STROKE
                "\u1E6A", // LATIN CAPITAL LETTER T WITH DOT ABOVE
                "\u1E6C", // LATIN CAPITAL LETTER T WITH DOT BELOW
                "\u1E6E", // LATIN CAPITAL LETTER T WITH LINE BELOW
                "\u1E70"  // LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW
            ],
            U: [
                "\u00D9", // LATIN CAPITAL LETTER U WITH GRAVE
                "\u00DA", // LATIN CAPITAL LETTER U WITH ACUTE
                "\u00DB", // LATIN CAPITAL LETTER U WITH CIRCUMFLEX
                "\u00DC", // LATIN CAPITAL LETTER U WITH DIAERESIS
                "\u0168", // LATIN CAPITAL LETTER U WITH TILDE
                "\u016A", // LATIN CAPITAL LETTER U WITH MACRON
                "\u016C", // LATIN CAPITAL LETTER U WITH BREVE
                "\u016E", // LATIN CAPITAL LETTER U WITH RING ABOVE
                "\u0170", // LATIN CAPITAL LETTER U WITH DOUBLE ACUTE
                "\u0172", // LATIN CAPITAL LETTER U WITH OGONEK
                "\u01AF", // LATIN CAPITAL LETTER U WITH HORN
                "\u01D3", // LATIN CAPITAL LETTER U WITH CARON
                "\u01D5", // LATIN CAPITAL LETTER U WITH DIAERESIS AND MACRON
                "\u01D7", // LATIN CAPITAL LETTER U WITH DIAERESIS AND ACUTE
                "\u01D9", // LATIN CAPITAL LETTER U WITH DIAERESIS AND CARON
                "\u01DB", // LATIN CAPITAL LETTER U WITH DIAERESIS AND GRAVE
                "\u0214", // LATIN CAPITAL LETTER U WITH DOUBLE GRAVE
                "\u0216", // LATIN CAPITAL LETTER U WITH INVERTED BREVE
                "\u0244", // LATIN CAPITAL LETTER U BAR
                "\u1E72", // LATIN CAPITAL LETTER U WITH DIAERESIS BELOW
                "\u1E74", // LATIN CAPITAL LETTER U WITH TILDE BELOW
                "\u1E76", // LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW
                "\u1E78", // LATIN CAPITAL LETTER U WITH TILDE AND ACUTE
                "\u1E7A", // LATIN CAPITAL LETTER U WITH MACRON AND DIAERESIS
                "\u1EE4", // LATIN CAPITAL LETTER U WITH DOT BELOW
                "\u1EE6", // LATIN CAPITAL LETTER U WITH HOOK ABOVE
                "\u1EE8", // LATIN CAPITAL LETTER U WITH HORN AND ACUTE
                "\u1EEA", // LATIN CAPITAL LETTER U WITH HORN AND GRAVE
                "\u1EEC", // LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE
                "\u1EEE", // LATIN CAPITAL LETTER U WITH HORN AND TILDE
                "\u1EF0"  // LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW
            ],
            V: [
                "\u01B2", // LATIN CAPITAL LETTER V WITH HOOK
                "\u1E7C", // LATIN CAPITAL LETTER V WITH TILDE
                "\u1E7E", // LATIN CAPITAL LETTER V WITH DOT BELOW
                "\uA75E"  // LATIN CAPITAL LETTER V WITH DIAGONAL STROKE
            ],
            W: [
                "\u0174", // LATIN CAPITAL LETTER W WITH CIRCUMFLEX
                "\u1E80", // LATIN CAPITAL LETTER W WITH GRAVE
                "\u1E82", // LATIN CAPITAL LETTER W WITH ACUTE
                "\u1E84", // LATIN CAPITAL LETTER W WITH DIAERESIS
                "\u1E86", // LATIN CAPITAL LETTER W WITH DOT ABOVE
                "\u1E88", // LATIN CAPITAL LETTER W WITH DOT BELOW
                "\u2C72"  // LATIN CAPITAL LETTER W WITH HOOK
            ],
            X: [
                "\u1E8A", // LATIN CAPITAL LETTER X WITH DOT ABOVE
                "\u1E8C"  // LATIN CAPITAL LETTER X WITH DIAERESIS
            ],
            Y: [
                "\u00DD", // LATIN CAPITAL LETTER Y WITH ACUTE
                "\u0176", // LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
                "\u0178", // LATIN CAPITAL LETTER Y WITH DIAERESIS
                "\u01B3", // LATIN CAPITAL LETTER Y WITH HOOK
                "\u0232", // LATIN CAPITAL LETTER Y WITH MACRON
                "\u024E", // LATIN CAPITAL LETTER Y WITH STROKE
                "\u1E8E", // LATIN CAPITAL LETTER Y WITH DOT ABOVE
                "\u1EF2", // LATIN CAPITAL LETTER Y WITH GRAVE
                "\u1EF4", // LATIN CAPITAL LETTER Y WITH DOT BELOW
                "\u1EF6", // LATIN CAPITAL LETTER Y WITH HOOK ABOVE
                "\u1EF8", // LATIN CAPITAL LETTER Y WITH TILDE
                "\u1EFE"  // LATIN CAPITAL LETTER Y WITH LOOP
            ],
            Z: [
                "\u0179", // LATIN CAPITAL LETTER Z WITH ACUTE
                "\u017B", // LATIN CAPITAL LETTER Z WITH DOT ABOVE
                "\u017D", // LATIN CAPITAL LETTER Z WITH CARON
                "\u01B5", // LATIN CAPITAL LETTER Z WITH STROKE
                "\u0224", // LATIN CAPITAL LETTER Z WITH HOOK
                "\u1E90", // LATIN CAPITAL LETTER Z WITH CIRCUMFLEX
                "\u1E92", // LATIN CAPITAL LETTER Z WITH DOT BELOW
                "\u1E94", // LATIN CAPITAL LETTER Z WITH LINE BELOW
                "\u2C6B"  // LATIN CAPITAL LETTER Z WITH DESCENDER
            ],
            AE: [
                "\u00C6", // LATIN CAPITAL LETTER AE
                "\u01E2", // LATIN CAPITAL LETTER AE WITH MACRON
                "\u01FC"  // LATIN CAPITAL LETTER AE WITH ACUTE
            ],
            DZ: [
                "\u01C4", // LATIN CAPITAL LETTER DZ WITH CARON
                "\u01F1"  // LATIN CAPITAL LETTER DZ
            ],
            NJ: [
                "\u01CA"  // LATIN CAPITAL LETTER NJ
            ],
            OE: [
                "\u0152"  // LATIN CAPITAL LIGATURE OE
            ],
            SZ: [
                "\u1E9E"  // LATIN CAPITAL LETTER SHARP S
            ],
            a: [
                "\u00E0", // LATIN SMALL LETTER A WITH GRAVE
                "\u00E1", // LATIN SMALL LETTER A WITH ACUTE
                "\u00E2", // LATIN SMALL LETTER A WITH CIRCUMFLEX
                "\u00E3", // LATIN SMALL LETTER A WITH TILDE
                "\u00E4", // LATIN SMALL LETTER A WITH DIAERESIS
                "\u00E5", // LATIN SMALL LETTER A WITH RING ABOVE
                "\u0101", // LATIN SMALL LETTER A WITH MACRON
                "\u0103", // LATIN SMALL LETTER A WITH BREVE
                "\u0105", // LATIN SMALL LETTER A WITH OGONEK
                "\u01CE", // LATIN SMALL LETTER A WITH CARON
                "\u01DF", // LATIN SMALL LETTER A WITH DIAERESIS AND MACRON
                "\u01E1", // LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON
                "\u01FB", // LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE
                "\u0201", // LATIN SMALL LETTER A WITH DOUBLE GRAVE
                "\u0203", // LATIN SMALL LETTER A WITH INVERTED BREVE
                "\u0227", // LATIN SMALL LETTER A WITH DOT ABOVE
                "\u1D8F", // LATIN SMALL LETTER A WITH RETROFLEX HOOK
                "\u1E01", // LATIN SMALL LETTER A WITH RING BELOW
                "\u1E9A", // LATIN SMALL LETTER A WITH RIGHT HALF RING
                "\u1EA1", // LATIN SMALL LETTER A WITH DOT BELOW
                "\u1EA3", // LATIN SMALL LETTER A WITH HOOK ABOVE
                "\u1EA5", // LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
                "\u1EA7", // LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
                "\u1EA9", // LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1EAB", // LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
                "\u1EAD", // LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
                "\u1EAF", // LATIN SMALL LETTER A WITH BREVE AND ACUTE
                "\u1EB1", // LATIN SMALL LETTER A WITH BREVE AND GRAVE
                "\u1EB3", // LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
                "\u1EB5", // LATIN SMALL LETTER A WITH BREVE AND TILDE
                "\u1EB7", // LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
                "\u2C65"  // LATIN SMALL LETTER A WITH STROKE
            ],
            b: [
                "\u0180", // LATIN SMALL LETTER B WITH STROKE
                "\u0183", // LATIN SMALL LETTER B WITH TOPBAR
                "\u0253", // LATIN SMALL LETTER B WITH HOOK
                "\u1D6C", // LATIN SMALL LETTER B WITH MIDDLE TILDE
                "\u1D80", // LATIN SMALL LETTER B WITH PALATAL HOOK
                "\u1E03", // LATIN SMALL LETTER B WITH DOT ABOVE
                "\u1E05", // LATIN SMALL LETTER B WITH DOT BELOW
                "\u1E07"  // LATIN SMALL LETTER B WITH LINE BELOW
            ],
            c: [
                "\u00E7", // LATIN SMALL LETTER C WITH CEDILLA
                "\u0107", // LATIN SMALL LETTER C WITH ACUTE
                "\u0109", // LATIN SMALL LETTER C WITH CIRCUMFLEX
                "\u010B", // LATIN SMALL LETTER C WITH DOT ABOVE
                "\u010D", // LATIN SMALL LETTER C WITH CARON
                "\u0188", // LATIN SMALL LETTER C WITH HOOK
                "\u023C", // LATIN SMALL LETTER C WITH STROKE
                "\u0255", // LATIN SMALL LETTER C WITH CURL
                "\u1E09"  // LATIN SMALL LETTER C WITH CEDILLA AND ACUTE
            ],
            d: [
                "\u010F", // LATIN SMALL LETTER D WITH CARON
                "\u0111", // LATIN SMALL LETTER D WITH STROKE
                "\u018C", // LATIN SMALL LETTER D WITH TOPBAR
                "\u0221", // LATIN SMALL LETTER D WITH CURL
                "\u0256", // LATIN SMALL LETTER D WITH TAIL
                "\u0257", // LATIN SMALL LETTER D WITH HOOK
                "\u1D6D", // LATIN SMALL LETTER D WITH MIDDLE TILDE
                "\u1D81", // LATIN SMALL LETTER D WITH PALATAL HOOK
                "\u1D91", // LATIN SMALL LETTER D WITH HOOK AND TAIL
                "\u1E0B", // LATIN SMALL LETTER D WITH DOT ABOVE
                "\u1E0D", // LATIN SMALL LETTER D WITH DOT BELOW
                "\u1E0F", // LATIN SMALL LETTER D WITH LINE BELOW
                "\u1E11", // LATIN SMALL LETTER D WITH CEDILLA
                "\u1E13"  // LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW
            ],
            e: [
                "\u00E8", // LATIN SMALL LETTER E WITH GRAVE
                "\u00E9", // LATIN SMALL LETTER E WITH ACUTE
                "\u00EA", // LATIN SMALL LETTER E WITH CIRCUMFLEX
                "\u00EB", // LATIN SMALL LETTER E WITH DIAERESIS
                "\u0113", // LATIN SMALL LETTER E WITH MACRON
                "\u0115", // LATIN SMALL LETTER E WITH BREVE
                "\u0117", // LATIN SMALL LETTER E WITH DOT ABOVE
                "\u0119", // LATIN SMALL LETTER E WITH OGONEK
                "\u011B", // LATIN SMALL LETTER E WITH CARON
                "\u0205", // LATIN SMALL LETTER E WITH DOUBLE GRAVE
                "\u0207", // LATIN SMALL LETTER E WITH INVERTED BREVE
                "\u0229", // LATIN SMALL LETTER E WITH CEDILLA
                "\u0247", // LATIN SMALL LETTER E WITH STROKE
                "\u1D92", // LATIN SMALL LETTER E WITH RETROFLEX HOOK
                "\u1E15", // LATIN SMALL LETTER E WITH MACRON AND GRAVE
                "\u1E17", // LATIN SMALL LETTER E WITH MACRON AND ACUTE
                "\u1E19", // LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW
                "\u1E1B", // LATIN SMALL LETTER E WITH TILDE BELOW
                "\u1E1D", // LATIN SMALL LETTER E WITH CEDILLA AND BREVE
                "\u1EB9", // LATIN SMALL LETTER E WITH DOT BELOW
                "\u1EBB", // LATIN SMALL LETTER E WITH HOOK ABOVE
                "\u1EBD", // LATIN SMALL LETTER E WITH TILDE
                "\u1EBF", // LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
                "\u1EC1", // LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
                "\u1EC3", // LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1EC5", // LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
                "\u1EC7", // LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
                "\u2C78"  // LATIN SMALL LETTER E WITH NOTCH
            ],
            f: [
                "\u0192", // LATIN SMALL LETTER F WITH HOOK
                "\u1D6E", // LATIN SMALL LETTER F WITH MIDDLE TILDE
                "\u1D82", // LATIN SMALL LETTER F WITH PALATAL HOOK
                "\u1E1F"  // LATIN SMALL LETTER F WITH DOT ABOVE
            ],
            g: [
                "\u011D", // LATIN SMALL LETTER G WITH CIRCUMFLEX
                "\u011F", // LATIN SMALL LETTER G WITH BREVE
                "\u0121", // LATIN SMALL LETTER G WITH DOT ABOVE
                "\u0123", // LATIN SMALL LETTER G WITH CEDILLA
                "\u01E5", // LATIN SMALL LETTER G WITH STROKE
                "\u01E7", // LATIN SMALL LETTER G WITH CARON
                "\u01F5", // LATIN SMALL LETTER G WITH ACUTE
                "\u0260", // LATIN SMALL LETTER G WITH HOOK
                "\u1D83", // LATIN SMALL LETTER G WITH PALATAL HOOK
                "\u1E21"  // LATIN SMALL LETTER G WITH MACRON
            ],
            h: [
                "\u0125", // LATIN SMALL LETTER H WITH CIRCUMFLEX
                "\u0127", // LATIN SMALL LETTER H WITH STROKE
                "\u021F", // LATIN SMALL LETTER H WITH CARON
                "\u0266", // LATIN SMALL LETTER H WITH HOOK
                "\u1E23", // LATIN SMALL LETTER H WITH DOT ABOVE
                "\u1E25", // LATIN SMALL LETTER H WITH DOT BELOW
                "\u1E27", // LATIN SMALL LETTER H WITH DIAERESIS
                "\u1E29", // LATIN SMALL LETTER H WITH CEDILLA
                "\u1E2B", // LATIN SMALL LETTER H WITH BREVE BELOW
                "\u1E96", // LATIN SMALL LETTER H WITH LINE BELOW
                "\u2C68"  // LATIN SMALL LETTER H WITH DESCENDER
            ],
            i: [
                "\u00EC", // LATIN SMALL LETTER I WITH GRAVE
                "\u00ED", // LATIN SMALL LETTER I WITH ACUTE
                "\u00EE", // LATIN SMALL LETTER I WITH CIRCUMFLEX
                "\u00EF", // LATIN SMALL LETTER I WITH DIAERESIS
                "\u0129", // LATIN SMALL LETTER I WITH TILDE
                "\u012B", // LATIN SMALL LETTER I WITH MACRON
                "\u012D", // LATIN SMALL LETTER I WITH BREVE
                "\u012F", // LATIN SMALL LETTER I WITH OGONEK
                "\u01D0", // LATIN SMALL LETTER I WITH CARON
                "\u0209", // LATIN SMALL LETTER I WITH DOUBLE GRAVE
                "\u020B", // LATIN SMALL LETTER I WITH INVERTED BREVE
                "\u0268", // LATIN SMALL LETTER I WITH STROKE
                "\u1D96", // LATIN SMALL LETTER I WITH RETROFLEX HOOK
                "\u1E2D", // LATIN SMALL LETTER I WITH TILDE BELOW
                "\u1E2F", // LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
                "\u1EC9", // LATIN SMALL LETTER I WITH HOOK ABOVE
                "\u1ECB"  // LATIN SMALL LETTER I WITH DOT BELOW
            ],
            j: [
                "\u0135", // LATIN SMALL LETTER J WITH CIRCUMFLEX
                "\u01F0", // LATIN SMALL LETTER J WITH CARON
                "\u0249", // LATIN SMALL LETTER J WITH STROKE
                "\u029D"  // LATIN SMALL LETTER J WITH CROSSED-TAIL
            ],
            k: [
                "\u0137", // LATIN SMALL LETTER K WITH CEDILLA
                "\u0199", // LATIN SMALL LETTER K WITH HOOK
                "\u01E9", // LATIN SMALL LETTER K WITH CARON
                "\u1D84", // LATIN SMALL LETTER K WITH PALATAL HOOK
                "\u1E31", // LATIN SMALL LETTER K WITH ACUTE
                "\u1E33", // LATIN SMALL LETTER K WITH DOT BELOW
                "\u1E35", // LATIN SMALL LETTER K WITH LINE BELOW
                "\u2C6A", // LATIN SMALL LETTER K WITH DESCENDER
                "\uA741", // LATIN SMALL LETTER K WITH STROKE
                "\uA743", // LATIN SMALL LETTER K WITH DIAGONAL STROKE
                "\uA745"  // LATIN SMALL LETTER K WITH STROKE AND DIAGONAL STROKE
            ],
            l: [
                "\u013A", // LATIN SMALL LETTER L WITH ACUTE
                "\u013C", // LATIN SMALL LETTER L WITH CEDILLA
                "\u013E", // LATIN SMALL LETTER L WITH CARON
                "\u0140", // LATIN SMALL LETTER L WITH MIDDLE DOT
                "\u0142", // LATIN SMALL LETTER L WITH STROKE
                "\u019A", // LATIN SMALL LETTER L WITH BAR
                "\u0234", // LATIN SMALL LETTER L WITH CURL
                "\u026B", // LATIN SMALL LETTER L WITH MIDDLE TILDE
                "\u026C", // LATIN SMALL LETTER L WITH BELT
                "\u026D", // LATIN SMALL LETTER L WITH RETROFLEX HOOK
                "\u1D85", // LATIN SMALL LETTER L WITH PALATAL HOOK
                "\u1E37", // LATIN SMALL LETTER L WITH DOT BELOW
                "\u1E39", // LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
                "\u1E3B", // LATIN SMALL LETTER L WITH LINE BELOW
                "\u1E3D", // LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW
                "\u2C61", // LATIN SMALL LETTER L WITH DOUBLE BAR
                "\uA749"  // LATIN SMALL LETTER L WITH HIGH STROKE
            ],
            m: [
                "\u0271", // LATIN SMALL LETTER M WITH HOOK
                "\u1D6F", // LATIN SMALL LETTER M WITH MIDDLE TILDE
                "\u1D86", // LATIN SMALL LETTER M WITH PALATAL HOOK
                "\u1E3F", // LATIN SMALL LETTER M WITH ACUTE
                "\u1E41", // LATIN SMALL LETTER M WITH DOT ABOVE
                "\u1E43"  // LATIN SMALL LETTER M WITH DOT BELOW
            ],
            n: [
                "\u00F1", // LATIN SMALL LETTER N WITH TILDE
                "\u0144", // LATIN SMALL LETTER N WITH ACUTE
                "\u0146", // LATIN SMALL LETTER N WITH CEDILLA
                "\u0148", // LATIN SMALL LETTER N WITH CARON
                "\u0149", // LATIN SMALL LETTER N PRECEDED BY APOSTROPHE
                "\u019E", // LATIN SMALL LETTER N WITH LONG RIGHT LEG
                "\u01F9", // LATIN SMALL LETTER N WITH GRAVE
                "\u0235", // LATIN SMALL LETTER N WITH CURL
                "\u0272", // LATIN SMALL LETTER N WITH LEFT HOOK
                "\u0273", // LATIN SMALL LETTER N WITH RETROFLEX HOOK
                "\u1D70", // LATIN SMALL LETTER N WITH MIDDLE TILDE
                "\u1D87", // LATIN SMALL LETTER N WITH PALATAL HOOK
                "\u1E45", // LATIN SMALL LETTER N WITH DOT ABOVE
                "\u1E47", // LATIN SMALL LETTER N WITH DOT BELOW
                "\u1E49", // LATIN SMALL LETTER N WITH LINE BELOW
                "\u1E4B"  // LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW
            ],
            o: [
                "\u00F2", // LATIN SMALL LETTER O WITH GRAVE
                "\u00F3", // LATIN SMALL LETTER O WITH ACUTE
                "\u00F4", // LATIN SMALL LETTER O WITH CIRCUMFLEX
                "\u00F5", // LATIN SMALL LETTER O WITH TILDE
                "\u00F6", // LATIN SMALL LETTER O WITH DIAERESIS
                "\u00F8", // LATIN SMALL LETTER O WITH STROKE
                "\u014D", // LATIN SMALL LETTER O WITH MACRON
                "\u014F", // LATIN SMALL LETTER O WITH BREVE
                "\u0151", // LATIN SMALL LETTER O WITH DOUBLE ACUTE
                "\u01A1", // LATIN SMALL LETTER O WITH HORN
                "\u01D2", // LATIN SMALL LETTER O WITH CARON
                "\u01EB", // LATIN SMALL LETTER O WITH OGONEK
                "\u01ED", // LATIN SMALL LETTER O WITH OGONEK AND MACRON
                "\u01FF", // LATIN SMALL LETTER O WITH STROKE AND ACUTE
                "\u020D", // LATIN SMALL LETTER O WITH DOUBLE GRAVE
                "\u020F", // LATIN SMALL LETTER O WITH INVERTED BREVE
                "\u022B", // LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
                "\u022D", // LATIN SMALL LETTER O WITH TILDE AND MACRON
                "\u022F", // LATIN SMALL LETTER O WITH DOT ABOVE
                "\u0231", // LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON
                "\u1E4D", // LATIN SMALL LETTER O WITH TILDE AND ACUTE
                "\u1E4F", // LATIN SMALL LETTER O WITH TILDE AND DIAERESIS
                "\u1E51", // LATIN SMALL LETTER O WITH MACRON AND GRAVE
                "\u1E53", // LATIN SMALL LETTER O WITH MACRON AND ACUTE
                "\u1ECD", // LATIN SMALL LETTER O WITH DOT BELOW
                "\u1ECF", // LATIN SMALL LETTER O WITH HOOK ABOVE
                "\u1ED1", // LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
                "\u1ED3", // LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
                "\u1ED5", // LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
                "\u1ED7", // LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
                "\u1ED9", // LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
                "\u1EDB", // LATIN SMALL LETTER O WITH HORN AND ACUTE
                "\u1EDD", // LATIN SMALL LETTER O WITH HORN AND GRAVE
                "\u1EDF", // LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
                "\u1EE1", // LATIN SMALL LETTER O WITH HORN AND TILDE
                "\u1EE3", // LATIN SMALL LETTER O WITH HORN AND DOT BELOW
                "\u2C7A", // LATIN SMALL LETTER O WITH LOW RING INSIDE
                "\uA74B", // LATIN SMALL LETTER O WITH LONG STROKE OVERLAY
                "\uA74D"  // LATIN SMALL LETTER O WITH LOOP
            ],
            p: [
                "\u01A5", // LATIN SMALL LETTER P WITH HOOK
                "\u1D71", // LATIN SMALL LETTER P WITH MIDDLE TILDE
                "\u1D7D", // LATIN SMALL LETTER P WITH STROKE
                "\u1D88", // LATIN SMALL LETTER P WITH PALATAL HOOK
                "\u1E55", // LATIN SMALL LETTER P WITH ACUTE
                "\u1E57", // LATIN SMALL LETTER P WITH DOT ABOVE
                "\uA751", // LATIN SMALL LETTER P WITH STROKE THROUGH DESCENDER
                "\uA753", // LATIN SMALL LETTER P WITH FLOURISH
                "\uA755"  // LATIN SMALL LETTER P WITH SQUIRREL TAIL
            ],
            q: [
                "\u024B", // LATIN SMALL LETTER Q WITH HOOK TAIL
                "\u02A0", // LATIN SMALL LETTER Q WITH HOOK
                "\uA757", // LATIN SMALL LETTER Q WITH STROKE THROUGH DESCENDER
                "\uA759"  // LATIN SMALL LETTER Q WITH DIAGONAL STROKE
            ],
            r: [
                "\u0155", // LATIN SMALL LETTER R WITH ACUTE
                "\u0157", // LATIN SMALL LETTER R WITH CEDILLA
                "\u0159", // LATIN SMALL LETTER R WITH CARON
                "\u0211", // LATIN SMALL LETTER R WITH DOUBLE GRAVE
                "\u0213", // LATIN SMALL LETTER R WITH INVERTED BREVE
                "\u024D", // LATIN SMALL LETTER R WITH STROKE
                "\u027C", // LATIN SMALL LETTER R WITH LONG LEG
                "\u027D", // LATIN SMALL LETTER R WITH TAIL
                "\u027E", // LATIN SMALL LETTER R WITH FISHHOOK
                "\u1D72", // LATIN SMALL LETTER R WITH MIDDLE TILDE
                "\u1D73", // LATIN SMALL LETTER R WITH FISHHOOK AND MIDDLE TILDE
                "\u1D89", // LATIN SMALL LETTER R WITH PALATAL HOOK
                "\u1E59", // LATIN SMALL LETTER R WITH DOT ABOVE
                "\u1E5B", // LATIN SMALL LETTER R WITH DOT BELOW
                "\u1E5D", // LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
                "\u1E5F", // LATIN SMALL LETTER R WITH LINE BELOW
                "\uA75B"  // LATIN SMALL LETTER R ROTUNDA
            ],
            s: [
                "\u015B", // LATIN SMALL LETTER S WITH ACUTE
                "\u015D", // LATIN SMALL LETTER S WITH CIRCUMFLEX
                "\u015F", // LATIN SMALL LETTER S WITH CEDILLA
                "\u0161", // LATIN SMALL LETTER S WITH CARON
                "\u0219", // LATIN SMALL LETTER S WITH COMMA BELOW
                "\u023F", // LATIN SMALL LETTER S WITH SWASH TAIL
                "\u0282", // LATIN SMALL LETTER S WITH HOOK
                "\u1D74", // LATIN SMALL LETTER S WITH MIDDLE TILDE
                "\u1D8A", // LATIN SMALL LETTER S WITH PALATAL HOOK
                "\u1E61", // LATIN SMALL LETTER S WITH DOT ABOVE
                "\u1E63", // LATIN SMALL LETTER S WITH DOT BELOW
                "\u1E65", // LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE
                "\u1E67", // LATIN SMALL LETTER S WITH CARON AND DOT ABOVE
                "\u1E69"  // LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE
            ],
            t: [
                "\u0163", // LATIN SMALL LETTER T WITH CEDILLA
                "\u0165", // LATIN SMALL LETTER T WITH CARON
                "\u0167", // LATIN SMALL LETTER T WITH STROKE
                "\u01AB", // LATIN SMALL LETTER T WITH PALATAL HOOK
                "\u01AD", // LATIN SMALL LETTER T WITH HOOK
                "\u021B", // LATIN SMALL LETTER T WITH COMMA BELOW
                "\u0236", // LATIN SMALL LETTER T WITH CURL
                "\u0288", // LATIN SMALL LETTER T WITH RETROFLEX HOOK
                "\u1D75", // LATIN SMALL LETTER T WITH MIDDLE TILDE
                "\u1E6B", // LATIN SMALL LETTER T WITH DOT ABOVE
                "\u1E6D", // LATIN SMALL LETTER T WITH DOT BELOW
                "\u1E6F", // LATIN SMALL LETTER T WITH LINE BELOW
                "\u1E71", // LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW
                "\u1E97", // LATIN SMALL LETTER T WITH DIAERESIS
                "\u2C66"  // LATIN SMALL LETTER T WITH DIAGONAL STROKE
            ],
            u: [
                "\u00F9", // LATIN SMALL LETTER U WITH GRAVE
                "\u00FA", // LATIN SMALL LETTER U WITH ACUTE
                "\u00FB", // LATIN SMALL LETTER U WITH CIRCUMFLEX
                "\u00FC", // LATIN SMALL LETTER U WITH DIAERESIS
                "\u0169", // LATIN SMALL LETTER U WITH TILDE
                "\u016B", // LATIN SMALL LETTER U WITH MACRON
                "\u016D", // LATIN SMALL LETTER U WITH BREVE
                "\u016F", // LATIN SMALL LETTER U WITH RING ABOVE
                "\u0171", // LATIN SMALL LETTER U WITH DOUBLE ACUTE
                "\u0173", // LATIN SMALL LETTER U WITH OGONEK
                "\u01B0", // LATIN SMALL LETTER U WITH HORN
                "\u01D4", // LATIN SMALL LETTER U WITH CARON
                "\u01D6", // LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
                "\u01D8", // LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
                "\u01DA", // LATIN SMALL LETTER U WITH DIAERESIS AND CARON
                "\u01DC", // LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
                "\u0215", // LATIN SMALL LETTER U WITH DOUBLE GRAVE
                "\u0217", // LATIN SMALL LETTER U WITH INVERTED BREVE
                "\u0289", // LATIN SMALL LETTER U BAR
                "\u1D99", // LATIN SMALL LETTER U WITH RETROFLEX HOOK
                "\u1E73", // LATIN SMALL LETTER U WITH DIAERESIS BELOW
                "\u1E75", // LATIN SMALL LETTER U WITH TILDE BELOW
                "\u1E77", // LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW
                "\u1E79", // LATIN SMALL LETTER U WITH TILDE AND ACUTE
                "\u1E7B", // LATIN SMALL LETTER U WITH MACRON AND DIAERESIS
                "\u1EE5", // LATIN SMALL LETTER U WITH DOT BELOW
                "\u1EE7", // LATIN SMALL LETTER U WITH HOOK ABOVE
                "\u1EE9", // LATIN SMALL LETTER U WITH HORN AND ACUTE
                "\u1EEB", // LATIN SMALL LETTER U WITH HORN AND GRAVE
                "\u1EED", // LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
                "\u1EEF", // LATIN SMALL LETTER U WITH HORN AND TILDE
                "\u1EF1"  // LATIN SMALL LETTER U WITH HORN AND DOT BELOW
            ],
            v: [
                "\u028B", // LATIN SMALL LETTER V WITH HOOK
                "\u1D8C", // LATIN SMALL LETTER V WITH PALATAL HOOK
                "\u1E7D", // LATIN SMALL LETTER V WITH TILDE
                "\u1E7F", // LATIN SMALL LETTER V WITH DOT BELOW
                "\u2C71", // LATIN SMALL LETTER V WITH RIGHT HOOK
                "\u2C74", // LATIN SMALL LETTER V WITH CURL
                "\uA75F"  // LATIN SMALL LETTER V WITH DIAGONAL STROKE
            ],
            w: [
                "\u0175", // LATIN SMALL LETTER W WITH CIRCUMFLEX
                "\u1E81", // LATIN SMALL LETTER W WITH GRAVE
                "\u1E83", // LATIN SMALL LETTER W WITH ACUTE
                "\u1E85", // LATIN SMALL LETTER W WITH DIAERESIS
                "\u1E87", // LATIN SMALL LETTER W WITH DOT ABOVE
                "\u1E89", // LATIN SMALL LETTER W WITH DOT BELOW
                "\u1E98", // LATIN SMALL LETTER W WITH RING ABOVE
                "\u2C73"  // LATIN SMALL LETTER W WITH HOOK
            ],
            x: [
                "\u1D8D", // LATIN SMALL LETTER X WITH PALATAL HOOK
                "\u1E8B", // LATIN SMALL LETTER X WITH DOT ABOVE
                "\u1E8D"  // LATIN SMALL LETTER X WITH DIAERESIS
            ],
            y: [
                "\u00FD", // LATIN SMALL LETTER Y WITH ACUTE
                "\u00FF", // LATIN SMALL LETTER Y WITH DIAERESIS
                "\u0177", // LATIN SMALL LETTER Y WITH CIRCUMFLEX
                "\u01B4", // LATIN SMALL LETTER Y WITH HOOK
                "\u0233", // LATIN SMALL LETTER Y WITH MACRON
                "\u024F", // LATIN SMALL LETTER Y WITH STROKE
                "\u1E8F", // LATIN SMALL LETTER Y WITH DOT ABOVE
                "\u1E99", // LATIN SMALL LETTER Y WITH RING ABOVE
                "\u1EF3", // LATIN SMALL LETTER Y WITH GRAVE
                "\u1EF5", // LATIN SMALL LETTER Y WITH DOT BELOW
                "\u1EF7", // LATIN SMALL LETTER Y WITH HOOK ABOVE
                "\u1EF9", // LATIN SMALL LETTER Y WITH TILDE
                "\u1EFF"  // LATIN SMALL LETTER Y WITH LOOP
            ],
            z: [
                "\u017A", // LATIN SMALL LETTER Z WITH ACUTE
                "\u017C", // LATIN SMALL LETTER Z WITH DOT ABOVE
                "\u017E", // LATIN SMALL LETTER Z WITH CARON
                "\u01B6", // LATIN SMALL LETTER Z WITH STROKE
                "\u0225", // LATIN SMALL LETTER Z WITH HOOK
                "\u0240", // LATIN SMALL LETTER Z WITH SWASH TAIL
                "\u0290", // LATIN SMALL LETTER Z WITH RETROFLEX HOOK
                "\u0291", // LATIN SMALL LETTER Z WITH CURL
                "\u1D76", // LATIN SMALL LETTER Z WITH MIDDLE TILDE
                "\u1D8E", // LATIN SMALL LETTER Z WITH PALATAL HOOK
                "\u1E91", // LATIN SMALL LETTER Z WITH CIRCUMFLEX
                "\u1E93", // LATIN SMALL LETTER Z WITH DOT BELOW
                "\u1E95", // LATIN SMALL LETTER Z WITH LINE BELOW
                "\u2C6C"  // LATIN SMALL LETTER Z WITH DESCENDER
            ],
            ae: [
                "\u00E6", // LATIN SMALL LETTER AE
                "\u01E3", // LATIN SMALL LETTER AE WITH MACRON
                "\u01FD"  // LATIN SMALL LETTER AE WITH ACUTE
            ],
            dz: [
                "\u01C6", // LATIN SMALL LETTER DZ WITH CARON
                "\u01F3", // LATIN SMALL LETTER DZ
                "\u02A3", // LATIN SMALL LETTER DZ DIGRAPH
                "\u02A5"  // LATIN SMALL LETTER DZ DIGRAPH WITH CURL
            ],
            nj: [
                "\u01CC"  // LATIN SMALL LETTER NJ
            ],
            oe: [
                "\u0153"  // LATIN SMALL LIGATURE OE
            ],
            sz: [
                "\u00DF"  // LATIN SMALL LETTER SHARP S
            ]
        };
    }();

    var symbols = function() {
        // 25D_ 25F_ are interesting for progress
        // $d = $("div").appendTo($("body")); i = 0; setInterval(function() {$d.html(String.fromCharCode(0x25F7 - i % 4)); i++}, 125)
        return {
            // ARITHMETICS
            // CARD
            "BLACK SPADE": "\u2660",
            "WHITE HEART": "\u2661",
            "WHITE DIAMOND": "\u2662",
            "BLACK CLUB": "\u2663",
            "WHITE SPADE": "\u2664",
            "BLACK HEART": "\u2665",
            "BLACK DIAMOND": "\u2666",
            "WHITE CLUB": "\u2667",
            // CHESS
            "WHITE KING": "\u2654",
            "WHITE QUEEN": "\u2655",
            "WHITE ROOK": "\u2656",
            "WHITE BISHOP": "\u2657",
            "WHITE KNIGHT": "\u2658",
            "WHITE PAWN": "\u2659",
            "BLACK KING": "\u265A",
            "BLACK QUEEN": "\u265B",
            "BLACK ROOK": "\u265C",
            "BLACK BISHOP": "\u265D",
            "BLACK KNIGHT": "\u265E",
            "BLACK PAWN": "\u265F",
            // CURRENCY
            "DOLLAR": "\u0024", // United States
            "CENT": "\u00A2", // $0.01
            "POUND": "\u00A3", // United Kingdom
            "CURRENCY": "\u00A4",
            "YEN": "\u00A5", // Japan
            "FLORIN": "\u0192", // Netherlands
            "AFGHANI": "\u060B", // Afghani
            "TAMIL RUPEE": "\u0BF9", // Sri Lanka
            "BAHT": "\u0E3F", // Thailand
            "ECU": "\u20A2", // European Union
            "COLON": "\u20A1", // Costa Rica, El Salvador
            "CRUZEIRO": "\u20A2", // Brazil
            "FRANC": "\u20A3", // France
            "LIRA": "\u20A4", // Italy
            "MILL": "\u20A5", // $0.001
            "NAIRA": "\u20A6", // Nigeria
            "PESETA": "\u20A7", // Spain
            "RUPEE": "\u20A8", // India
            "WON": "\u20A9", // Korea
            "SHEQEL": "\u20AA", // Israel
            "DONG": "\u20AB", // Vietnam
            "EURO": "\u20AC", // European Union
            "KIP": "\u20AD", // Laos
            "TUGRIK": "\u20AE", // Mongolia
            "DRACHMA": "\u20AF", // Greece
            "PENNY": "\u20B0", // Germany
            "PESO": "\u20B1", // Philippines
            "GUARANI": "\u20B2", // Paraguay
            "AUSTRAL": "\u20B3", // Argentina
            "HRYVNIA": "\u20B4", // Ukraine
            "CEDI": "\u20B5", // Ghana
            "MARK": "\u2133", // Germany
            "YUAN": "\u5143", // China
            "RIAL": "\uFDFC", // Iran
            // DIE
            "[1]": "\u2680",
            "[2]": "\u2681",
            "[3]": "\u2682",
            "[4]": "\u2683",
            "[5]": "\u2684",
            "[6]": "\u2685",
            // KEYBOARD
            "LEFT": "\u2190",
            "UP": "\u2191",
            "RIGHT": "\u2192",
            "DOWN": "\u2193",
            "HOME": "\u2196",
            "END": "\u2198",
            "RETURN": "\u21A9",
            "SHIFT": "\u21E7",
            "PAGE UP": "\u21DE",
            "PAGE DOWN": "\u21DF",
            "CAPSLOCK": "\u21EA",
            "TAB": "\u21E5",
            "CONTROL": "\u2303",
            "COMMAND": "\u2318",
            "ENTER": "\u2324",
            "OPTION": "\u2325",
            "DELETE": "\u2326",
            "CLEAR": "\u2327",
            "KEYBOARD": "\u2328",
            "BACKSPACE": "\u232B",
            "ALT": "\u2387",
            "ESCAPE": "\u238B",
            // MATHEMATICS
            "NOT": "\u00AC",
            "DEGREE": "\u00B0",
            "+-": "\u00B1",
            "*": "\u00D7",
            "/": "\u00F7",
            "PI": "\u03C0",
            "0/00": "\u2030",
            "E": "\u2107",
            "1/2": "\u00BD",
            "1/3": "\u2153",
            "2/3": "\u2154",
            "1/4": "\u00BC",
            "3/4": "\u00BE",
            "1/5": "\u2155",
            "2/5": "\u2156",
            "3/5": "\u2157",
            "4/5": "\u2158",
            "1/6": "\u2159",
            "5/6": "\u215A",
            "1/8": "\u215B",
            "3/8": "\u215C",
            "5/8": "\u215D",
            "7/8": "\u215E",
            "1/": "\u2154",
            "/0": "\u2080",
            "/1": "\u2081",
            "/2": "\u2082",
            "/3": "\u2083",
            "/4": "\u2084",
            "/5": "\u2085",
            "/6": "\u2086",
            "/7": "\u2087",
            "/8": "\u2088",
            "/9": "\u2089",
            "^0": "\u2070",
            "^2": "\u00B2",
            "^3": "\u00B3",
            "^4": "\u2074",
            "^5": "\u2075",
            "^6": "\u2076",
            "^7": "\u2077",
            "^8": "\u2078",
            "^9": "\u2079",
            "SQUARE ROOT": "\u221A",
            "CUBE ROOT": "\u221B",
            "FOURTH ROOT": "\u221C",
            "!=": "\u2260",
            "===": "\u2261",
            "!==": "\u2262",
            "<=": "\u2264",
            ">=": "\u2265",
            "!<": "\u226E",
            "!>": "\u226F",
            "!<=": "\u2270",
            "!>=": "\u2271",
            "DIAMETER": "\u2300",
            // UNITS
            "CELSIUS": "\u2103",
            "FAHRENHEIT": "\u2109",
            "POUNDS": "\u2114",
            "OUNCE": "\u2125",
            "OHM": "\u2126",
            "KELVIN": "\u212A",
            "ANGSTROM": "\u212B",
            // NUMERALS
            "I": "\u2160",
            "II": "\u2161",
            "III": "\u2162",
            "IV": "\u2163",
            "V": "\u2164",
            "VI": "\u2165",
            "VII": "\u2166",
            "VIII": "\u2167",
            "IX": "\u2168",
            "X": "\u2169",
            "XI": "\u216A",
            "XII": "\u216B",
            "L": "\u216C",
            "C": "\u216D",
            "D": "\u216E",
            "M": "\u216F",
            // DIGITS ... fixme: these should rather be generated
            "ARABIC 0": "\u0660",
            "ARABIC 1": "\u0661",
            "ARABIC 2": "\u0662",
            "ARABIC 3": "\u0663",
            "ARABIC 4": "\u0664",
            "ARABIC 5": "\u0665",
            "ARABIC 6": "\u0666",
            "ARABIC 7": "\u0667",
            "ARABIC 8": "\u0668",
            "ARABIC 9": "\u0669",
            // PLANETS
            "MERCURY": "\u263F",
            "VENUS": "\u2640",
            "EARTH": "\u2641",
            "MARS": "\u2642",
            "JUPITER": "\u2643",
            "SATURN": "\u2644",
            "URANUS": "\u2645",
            "NEPTUNE": "\u2646",
            "PLUTO": "\u2647",
            // RELIGION
            "HINDUISM": "\u0950",
            "ISLAM": "\u262A",
            "SIKHISM": "\u262C",
            "TAOISM": "\u262F",
            "BUDDHISM": "\u2638",
            "CHRISTIANITY": "\u271D",
            "JUDAISM": "\u2721",
            // RIGHT
            "(C)": "\u00A9",
            "(R)": "\u00AE",
            "(P)": "\u2117",
            "SM": "\u2120",
            "TM": "\u2122",
            // SIGNS
            "ARIES": "\u2648",
            "TAURUS": "\u2649",
            "GEMINI": "\u264A",
            "CANCER": "\u264B",
            "LEO": "\u264C",
            "VIRGO": "\u264D",
            "LIBRA": "\u264E",
            "SCORPIUS": "\u264F",
            "SAGITTARIUS": "\u2650",
            "CAPRICORN": "\u2651",
            "AQUARIUS": "\u2652",
            "PISCES": "\u2652",
            // society
            "FINANCE": "\u00A4",
            "ANARCHY": "\u24B6",
            "COMMUNISM": "\u262D",
            "MONARCHY": "\u2654",
            "CULTURE": "\u266A",
            "WHITE FLAG": "\u2690",
            "BLACK FLAG": "\u2691",
            "LABOR": "\u2692",
            "TRANSPORTATION": "\u2693",
            "DEFENSE": "\u2694",
            "HEALTH": "\u2695",
            "JUSTICE": "\u2696",
            "CHEMISTRY": "\u2697",
            "ENVIRONMENT": "\u2698",
            "TECHNOLOGY": "\u2699",
            "COMMERCE": "\u269A",
            "PHYSICS": "\u269B",
            "PRESIDENT": "\u269C",
            "WRITING": "\u270D",
            // TYPOGRAPHY
            "<<": "\u00AB",
            ">>": "\u00BB",
            "<": "\u2039",
            ">": "\u203A",
            "C/O": "\u2105",
            // actions
            "SECTION": "\u00A7",
            "DAGGER": "\u2020",
            "BULLET": "\u2022",
            "ELLIPSIS": "\u2026",
            "???": "\u20E0",
            "NUMERO": "\u2116",
            "TEL": "\u2121",
            "ESTIMATED": "\u212E",
            "INFO": "\u2139",
            "FAX": "\u213B",
            "ASTERISK": "u2217",
            "INFINITY": "\u221E",
            "(PLUS)": "\u2295",
            "(MINUS)": "\u2296",
            "(TIMES)": "\u2297",
            "(SLASH)": "\u2298",
            "(DOT)": "\u2299",
            "(RING)": "\u229A",
            "(ASTERISK)": "\u229B",
            "(EQUAL)": "\u229C",
            "(DASH)": "\u229C",
            "(OR)": "\u29B6",
            "WATCH": "\u231A",
            "HOURGLASS": "\u231B",
            "HELM": "\u2388",
            "ROOT": "\u23B7",
            "EJECT": "\u23CF",
            "BLACK STAR": "\u2605",
            "WHITE STAR": "\u2606",
            "BLACK TELEPHONE": "\u260E",
            "WHITE TELEPHONE": "\u260F",
            "SKULL": "\u2620",
            "RADIOACTIVE": "\u2622",
            "BIOHAZARD": "\u2623",
            "PEACE": "\u262E",
            ":(": "\u2639",
            ":)": "\u2640",
            "MUSIC": "\u266A",
            "WHITE RECYCLING": "\u2672",
            "BLACK RECYCLING": "\u267B",
            "GEAR": "\u2699",
            "ATOM": "\u269B",
            "WARNING": "\u26A0",
            "VOLTAGE": "\u26A1",
            "CUT": "\u2702",
            "TAPE": "\u2707",
            "PLANE": "\u2708",
            "MAIL": "\u2709",
            "EDIT": "\u270E",
            "CHECK": "\u2713",
            "BALLOT": "\u2717",
            "UNDO": "\u27F2", // or 20D4 ... 238C is UNDO
            "REDO": "\u27F3", // or 20D5
            "(PAUSE)": "\u29B7",
            "(BACKSLASH)": "\u29B8",
            "(PERCENT)": "\u29BC",
            "(WHITE BULLET)": "\u29BE",
            "(BLACK BULLET)": "\u29BF",
            "(LESS)": "\u29C0",
            "(GREATER)": "\u29C1",
            "(1)": "\u2460",
            "(2)": "\u2461",
            "(3)": "\u2462",
            "(4)": "\u2463",
            "(5)": "\u2464",
            "(6)": "\u2465",
            "(7)": "\u2466",
            "(8)": "\u2467",
            "(9)": "\u2468",
            "(10)": "\u2469",
            "(11)": "\u246A",
            "(12)": "\u246B",
            "(13)": "\u246C",
            "(14)": "\u246D",
            "(15)": "\u246E",
            "(16)": "\u246F",
            "(17)": "\u2470",
            "(18)": "\u2471",
            "(19)": "\u2472",
            "(20)": "\u2473",
            "(21)": "\u3251",
            "(22)": "\u3252",
            "(23)": "\u3253",
            "(24)": "\u3254",
            "(25)": "\u3255",
            "(26)": "\u3256",
            "(27)": "\u3257",
            "(28)": "\u3258",
            "(29)": "\u3259",
            "(30)": "\u325A",
            "(31)": "\u325B",
            "(32)": "\u325C",
            "(33)": "\u325D",
            "(34)": "\u325E",
            "(35)": "\u325F",
            "(36)": "\u32B1",
            "(37)": "\u32B2",
            "(38)": "\u32B3",
            "(39)": "\u32B4",
            "(40)": "\u32B5",
            "(41)": "\u32B6",
            "(42)": "\u32B7",
            "(43)": "\u32B8",
            "(44)": "\u32B9",
            "(45)": "\u32BA",
            "(46)": "\u32BB",
            "(47)": "\u32BC",
            "(48)": "\u32BD",
            "(49)": "\u32BE",
            "(50)": "\u32BF",
            "_EDIT": "\uF802",
            "_CLICK": "\uF803",
            "_APPLE": "\uF8FF",
            "<?>": "\uFFFD",
            // METEOROLOGY
            "SUN": "\u2600",
            "CLOUD": "\u2601",
            "RAIN": "\u2602",
            "ASCENDING": "\u263D",
            "SNOW": "\u2744",
        }
        // fixme: make these lowerCase
        return {
            "ALT": "\u2325",
            "APPLE": "\uF8FF",
            "ARROW DOWN": "\u2193",
            "ARROW LEFT": "\u2190",
            "ARROW RIGHT": "\u2192",
            "ARROW UP": "\u2191",
            "BACKSPACE": "\u232B",
            "BACKUP": "\u2707",
            "BALLOT": "\u2717",
            "BLACK STAR": "\u2605",
            "BURN": "\u2622",
            "CAPS LOCK": "\u21EA",
            "CHECK": "\u2713",
            "CLEAR": "\u2327",
            "CLICK": "\uF803",
            "CLOSE": "\u2715",
            "COMMAND": "\u2318",
            "CONTROL": "\u2303",
            "CUT": "\u2702",
            "DELETE": "\u2326",
            "DIAMOND": "\u25C6",
            "EDIT": "\uF802",
            "EJECT": "\u23CF",
            "ESCAPE": "\u238B",
            "END": "\u2198",
            "ENTER": "\u2324",
            "FLY": "\u2708",
            "GEAR": "\u2699",
            "HOME": "\u2196",
            "INFO": "\u24D8",
            "NAVIGATE": "\u2388",
            "OPTION": "\u2387",
            "PAGE UP": "\u21DE",
            "PAGE DOWN": "\u21DF",
            "REDO": "\u21BA",
            "RETURN": "\u21A9",
            "SELECT": "\u21D5",
            "SHIFT": "\u21E7",
            "SOUND": "\u266B",
            "SPACE": "\u2423",
            "TAB": "\u21E5",
            "TRASH": "\u267A",
            "TRIANGLE DOWN": "\u25BC",
            "TRIANGLE LEFT": "\u25C0",
            "TRIANGLE RIGHT": "\u25BA",
            "TRIANGLE UP": "\u25B2",
            "UNDO": "\u21BB",
            "VOLTAGE": "\u26A1",
            "WARNING": "\u26A0",
            "WHITE STAR": "\u2606"
        };
    }();

    Ox.sortLatin = function(a, b) {
        /*
        >>> ["ä", "b", "ç", "d", "ê"].sort(Ox.sortLatin)
        ["ä", "b", "ç", "d", "ê"]
        */
        a = Ox.toLatin(a);
        b = Ox.toLatin(b);
        return (a < b) * -1 + (a > b);
    };

    Ox.symbol = function(str) {
        /*
        >>> Ox.symbol("COMMAND")
        "\u2318"
        */
        return symbols[str] || symbols["<?>"];
    };

    Ox.toLatin = function(str) {
        /*
        >>> Ox.toLatin("äbçdê")
        "abcde"
        */
        var latin = {};
        $.each(letters, function(k, v) {
            $.each(v, function(i, v_) {
                latin[v_] = k; 
            });
        });
        return function(str) {
            $.each(str, function(i, v) {
                if (typeof latin[v] != "undefined") {
                    str = str.substr(0, i) + latin[v] + str.substr(i + 1);
                }
            });
            return str;
        };
    }();

})();